diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index afee333..05f9ef1 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -290,6 +290,8 @@ in the bootstrap set. Thus,
 AffinePlane examples
 ====================================================================
 
+The related to projective space and part of the PAFF package
+
 See Also:
 o )show AffinePlane
 
@@ -373,6 +375,8 @@ AffinePlane(K):Exports == Implementation where
 AffinePlaneOverPseudoAlgebraicClosureOfFiniteField examples
 ====================================================================
 
+The related to projective space and part of the PAFF package
+
 See Also:
 o )show AffinePlaneOverPseudoAlgebraicClosureOfFiniteField
 
@@ -470,6 +474,8 @@ AffinePlaneOverPseudoAlgebraicClosureOfFiniteField(K):Exports == Impl where
 AffineSpace examples
 ====================================================================
 
+This is rrelated to projective space and part of the PAFF package
+
 See Also:
 o )show AffineSpace
 
@@ -702,6 +708,13 @@ AffineSpace(dim,K):Exports == Implementation where
 AlgebraGivenByStructuralConstants examples
 ====================================================================
 
+AlgebraGivenByStructuralConstants implements finite rank algebras
+over a commutative ring, given by the structural constants gamma
+with respect to a fixed  basis [a1,..,an], where gamma is an n-vector 
+of n by n matrices [(gammaijk) for k in 1..rank()] defined by
+   ai * aj = gammaij1 * a1 + ... + gammaijn * an
+The symbols for the fixed basis have to be given as a list of symbols.
+
 See Also:
 o )show AlgebraGivenByStructuralConstants
 
@@ -790,11 +803,6 @@ o )show AlgebraGivenByStructuralConstants
 ++ Authors: J. Grabmeier, R. Wisbauer
 ++ Date Created: 01 March 1991
 ++ Date Last Updated: 22 January 1992
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: algebra, structural constants
 ++ Reference:
 ++  R.D. Schafer: An Introduction to Nonassociative Algebras
 ++  Academic Press, New York, 1966
@@ -1362,6 +1370,8 @@ AlgebraGivenByStructuralConstants(R:Field, n : PositiveInteger,_
 AlgebraicFunctionField examples
 ====================================================================
 
+The Function field defined by f(x, y) = 0.
+
 See Also:
 o )show AlgebraicFunctionField
 
@@ -1495,7 +1505,6 @@ o )show AlgebraicFunctionField
 ++ Author: Manuel Bronstein
 ++ Date Created: 3 May 1988
 ++ Date Last Updated: 24 Jul 1990
-++ Keywords: algebraic, curve, function, field.
 ++ Description:
 ++ Function field defined by f(x, y) = 0.
 
@@ -1774,6 +1783,8 @@ AlgebraicFunctionField(F, UP, UPUP, modulus): Exports == Impl where
 AlgebraicNumber examples
 ====================================================================
 
+Algebraic closure of the rational numbers, with mathematical =
+
 See Also:
 o )show AlgebraicNumber
 
@@ -1878,7 +1889,6 @@ o )show AlgebraicNumber
 ++ Author: James Davenport
 ++ Date Created: 9 October 1995
 ++ Date Last Updated: 10 October 1995 (JHD)
-++ Keywords: algebraic, number.
 ++ Description:
 ++ Algebraic closure of the rational numbers, with mathematical =
 
@@ -1963,6 +1973,8 @@ AlgebraicNumber(): Exports == Implementation where
 AnonymousFunction examples
 ====================================================================
 
+This domain implements anonymous functions
+
 See Also:
 o )show AnonymousFunction
 
@@ -2052,6 +2064,8 @@ AnonymousFunction():SetCategory == add
 AntiSymm examples
 ====================================================================
 
+The domain of antisymmetric polynomials.
+
 See Also:
 o )show AntiSymm
 
@@ -2569,13 +2583,6 @@ o )show Any
 \begin{chunk}{domain ANY Any}
 )abbrev domain ANY Any
 ++ Author: Robert S. Sutor
-++ Date Created:
-++ Change History:
-++ Basic Functions: any, domainOf, objectOf, dom, obj, showTypeInOutput
-++ Related Constructors: AnyFunctions1
-++ Also See: None
-++ AMS Classification:
-++ Keywords:
 ++ Description:
 ++ \spadtype{Any} implements a type that packages up objects and their
 ++ types in objects of \spadtype{Any}. Roughly speaking that means
@@ -3332,13 +3339,6 @@ o )show BagAggregate
 ++ Author: Michael Monagan, Stephen Watt, Timothy Daly
 ++ Date Created:June 86 and July 87
 ++ Date Last Updated:Feb 92
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ A stack represented as a flexible array.
 --% Dequeue and Heap data types
@@ -3572,6 +3572,16 @@ ArrayStack(S:SetCategory): StackAggregate(S) with
 Asp1 examples
 ====================================================================
 
+Asp1 produces Fortran for Type 1 ASPs, needed for various NAG routines. 
+Type 1 ASPs take a univariate expression (in the symbol x) and turn it 
+into a Fortran Function like the following:
+
+   DOUBLE PRECISION FUNCTION F(X)
+   DOUBLE PRECISION X
+   F=DSIN(X)
+   RETURN
+   END
+
 See Also:
 o )show Asp1
 
@@ -3593,7 +3603,6 @@ o )show Asp1
 ++ Author: Mike Dewar, Grant Keady, Godfrey Nolan
 ++ Date Created: Mar 1993
 ++ Date Last Updated: 18 March 1994, 6 October 1994
-++ Related Constructors: FortranFunctionCategory, FortranProgramCategory.
 ++ Description:
 ++ \spadtype{Asp1} produces Fortran for Type 1 ASPs, needed for various
 ++ NAG routines. Type 1 ASPs take a univariate expression (in the symbol x)
@@ -3745,6 +3754,18 @@ Asp1(name): Exports == Implementation where
 Asp10 examples
 ====================================================================
 
+ASP10 produces Fortran for Type 10 ASPs, needed for NAG routine d02kef. 
+This ASP computes the values of a set of functions, for example: 
+
+  SUBROUTINE COEFFN(P,Q,DQDL,X,ELAM,JINT)
+  DOUBLE PRECISION ELAM,P,Q,X,DQDL
+  INTEGER JINT
+  P=1.0D0
+  Q=((-1.0D0*X**3)+ELAM*X*X-2.0D0)/(X*X)
+  DQDL=1.0D0
+  RETURN
+  END
+
 See Also:
 o )show Asp10
 
@@ -3765,9 +3786,7 @@ o )show Asp10
 )abbrev domain ASP10 Asp10
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 18 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 18 March 1994, 6 October 1994
 ++ Description: 
 ++ \spadtype{ASP10} produces Fortran for Type 10 ASPs, needed for NAG routine 
 ++ d02kef. This ASP computes the values of a set of functions, for example: 
@@ -3936,6 +3955,19 @@ Asp10(name): Exports == Implementation where
 Asp12 examples
 ====================================================================
 
+\spadtype{Asp12} produces Fortran for Type 12 ASPs, needed for NAG routine 
+d02kef etc., for example: 
+
+  SUBROUTINE MONIT (MAXIT,IFLAG,ELAM,FINFO)
+  DOUBLE PRECISION ELAM,FINFO(15)
+  INTEGER MAXIT,IFLAG
+  IF(MAXIT.EQ.-1)THEN
+  PRINT*,"Output from Monit"
+  ENDIF
+  PRINT*,MAXIT,IFLAG,ELAM,(FINFO(I),I=1,4)
+  RETURN
+  END
+
 See Also:
 o )show Asp12
 
@@ -3954,9 +3986,7 @@ o )show Asp12
 )abbrev domain ASP12 Asp12
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Oct 1993
-++ Date Last Updated: 18 March 1994
-++                    21 June 1994 Changed print to printStatement
-++ Related Constructors:
+++ Date Last Updated: 21 June 1994 Changed print to printStatement
 ++ Description:
 ++ \spadtype{Asp12} produces Fortran for Type 12 ASPs, needed for NAG routine 
 ++ d02kef etc., for example: 
@@ -4069,6 +4099,113 @@ Asp12(name): Exports == Implementation where
 Asp19 examples
 ====================================================================
 
+\spadtype{Asp19} produces Fortran for Type 19 ASPs, evaluating a set of
+functions and their jacobian at a given point, for example:
+
+  SUBROUTINE LSFUN2(M,N,XC,FVECC,FJACC,LJC)
+  DOUBLE PRECISION FVECC(M),FJACC(LJC,N),XC(N)
+  INTEGER M,N,LJC
+  INTEGER I,J
+  DO 25003 I=1,LJC
+  DO 25004 J=1,N
+  FJACC(I,J)=0.0D0
+004 CONTINUE
+003 CONTINUE
+  FVECC(1)=((XC(1)-0.14D0)*XC(3)+(15.0D0*XC(1)-2.1D0)*XC(2)+1.0D0)/(
+  &XC(3)+15.0D0*XC(2))
+  FVECC(2)=((XC(1)-0.18D0)*XC(3)+(7.0D0*XC(1)-1.26D0)*XC(2)+1.0D0)/(
+  &XC(3)+7.0D0*XC(2))
+  FVECC(3)=((XC(1)-0.22D0)*XC(3)+(4.333333333333333D0*XC(1)-0.953333
+  &3333333333D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))
+  FVECC(4)=((XC(1)-0.25D0)*XC(3)+(3.0D0*XC(1)-0.75D0)*XC(2)+1.0D0)/(
+  &XC(3)+3.0D0*XC(2))
+  FVECC(5)=((XC(1)-0.29D0)*XC(3)+(2.2D0*XC(1)-0.6379999999999999D0)*
+  &XC(2)+1.0D0)/(XC(3)+2.2D0*XC(2))
+  FVECC(6)=((XC(1)-0.32D0)*XC(3)+(1.666666666666667D0*XC(1)-0.533333
+  &3333333333D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))
+  FVECC(7)=((XC(1)-0.35D0)*XC(3)+(1.285714285714286D0*XC(1)-0.45D0)*
+  &XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))
+  FVECC(8)=((XC(1)-0.39D0)*XC(3)+(XC(1)-0.39D0)*XC(2)+1.0D0)/(XC(3)+
+  &XC(2))
+  FVECC(9)=((XC(1)-0.37D0)*XC(3)+(XC(1)-0.37D0)*XC(2)+1.285714285714
+  &286D0)/(XC(3)+XC(2))
+  FVECC(10)=((XC(1)-0.58D0)*XC(3)+(XC(1)-0.58D0)*XC(2)+1.66666666666
+  &6667D0)/(XC(3)+XC(2))
+  FVECC(11)=((XC(1)-0.73D0)*XC(3)+(XC(1)-0.73D0)*XC(2)+2.2D0)/(XC(3)
+  &+XC(2))
+  FVECC(12)=((XC(1)-0.96D0)*XC(3)+(XC(1)-0.96D0)*XC(2)+3.0D0)/(XC(3)
+  &+XC(2))
+  FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333
+  &3333D0)/(XC(3)+XC(2))
+  FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X
+  &C(2))
+  FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3
+  &)+XC(2))
+  FJACC(1,1)=1.0D0
+  FJACC(1,2)=-15.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)
+  FJACC(1,3)=-1.0D0/(XC(3)**2+30.0D0*XC(2)*XC(3)+225.0D0*XC(2)**2)
+  FJACC(2,1)=1.0D0
+  FJACC(2,2)=-7.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)
+  FJACC(2,3)=-1.0D0/(XC(3)**2+14.0D0*XC(2)*XC(3)+49.0D0*XC(2)**2)
+  FJACC(3,1)=1.0D0
+  FJACC(3,2)=((-0.1110223024625157D-15*XC(3))-4.333333333333333D0)/(
+  &XC(3)**2+8.666666666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)
+  &**2)
+  FJACC(3,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+8.666666
+  &666666666D0*XC(2)*XC(3)+18.77777777777778D0*XC(2)**2)
+  FJACC(4,1)=1.0D0
+  FJACC(4,2)=-3.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)
+  FJACC(4,3)=-1.0D0/(XC(3)**2+6.0D0*XC(2)*XC(3)+9.0D0*XC(2)**2)
+  FJACC(5,1)=1.0D0
+  FJACC(5,2)=((-0.1110223024625157D-15*XC(3))-2.2D0)/(XC(3)**2+4.399
+  &999999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)
+  FJACC(5,3)=(0.1110223024625157D-15*XC(2)-1.0D0)/(XC(3)**2+4.399999
+  &999999999D0*XC(2)*XC(3)+4.839999999999998D0*XC(2)**2)
+  FJACC(6,1)=1.0D0
+  FJACC(6,2)=((-0.2220446049250313D-15*XC(3))-1.666666666666667D0)/(
+  &XC(3)**2+3.333333333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)
+  &**2)
+  FJACC(6,3)=(0.2220446049250313D-15*XC(2)-1.0D0)/(XC(3)**2+3.333333
+  &333333333D0*XC(2)*XC(3)+2.777777777777777D0*XC(2)**2)
+  FJACC(7,1)=1.0D0
+  FJACC(7,2)=((-0.5551115123125783D-16*XC(3))-1.285714285714286D0)/(
+  &XC(3)**2+2.571428571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)
+  &**2)
+  FJACC(7,3)=(0.5551115123125783D-16*XC(2)-1.0D0)/(XC(3)**2+2.571428
+  &571428571D0*XC(2)*XC(3)+1.653061224489796D0*XC(2)**2)
+  FJACC(8,1)=1.0D0
+  FJACC(8,2)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(8,3)=-1.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(9,1)=1.0D0
+  FJACC(9,2)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*
+  &*2)
+  FJACC(9,3)=-1.285714285714286D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)*
+  &*2)
+  FJACC(10,1)=1.0D0
+  FJACC(10,2)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)
+  &**2)
+  FJACC(10,3)=-1.666666666666667D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)
+  &**2)
+  FJACC(11,1)=1.0D0
+  FJACC(11,2)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(11,3)=-2.2D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(12,1)=1.0D0
+  FJACC(12,2)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(12,3)=-3.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(13,1)=1.0D0
+  FJACC(13,2)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)
+  &**2)
+  FJACC(13,3)=-4.333333333333333D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)
+  &**2)
+  FJACC(14,1)=1.0D0
+  FJACC(14,2)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(14,3)=-7.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(15,1)=1.0D0
+  FJACC(15,2)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  FJACC(15,3)=-15.0D0/(XC(3)**2+2.0D0*XC(2)*XC(3)+XC(2)**2)
+  RETURN
+  END
+
 See Also:
 o )show Asp19
 
@@ -4089,9 +4226,7 @@ o )show Asp19
 )abbrev domain ASP19 Asp19
 ++ Author: Mike Dewar, Godfrey Nolan, Grant Keady
 ++ Date Created: Mar 1993
-++ Date Last Updated: 18 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp19} produces Fortran for Type 19 ASPs, evaluating a set of
 ++functions and their jacobian at a given point, for example:
@@ -4408,6 +4543,21 @@ Asp19(name): Exports == Implementation where
 Asp20 examples
 ====================================================================
 
+Asp20 produces Fortran for Type 20 ASPs, for example:
+
+  SUBROUTINE QPHESS(N,NROWH,NCOLH,JTHCOL,HESS,X,HX)
+  DOUBLE PRECISION HX(N),X(N),HESS(NROWH,NCOLH)
+  INTEGER JTHCOL,N,NROWH,NCOLH
+  HX(1)=2.0D0*X(1)
+  HX(2)=2.0D0*X(2)
+  HX(3)=2.0D0*X(4)+2.0D0*X(3)
+  HX(4)=2.0D0*X(4)+2.0D0*X(3)
+  HX(5)=2.0D0*X(5)
+  HX(6)=(-2.0D0*X(7))+(-2.0D0*X(6))
+  HX(7)=(-2.0D0*X(7))+(-2.0D0*X(6))
+  RETURN
+  END
+
 See Also:
 o )show Asp20
 
@@ -4428,9 +4578,7 @@ o )show Asp20
 )abbrev domain ASP20 Asp20
 ++ Author: Mike Dewar and Godfrey Nolan and Grant Keady
 ++ Date Created: Dec 1993
-++ Date Last Updated: 21 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp20} produces Fortran for Type 20 ASPs, for example:
 ++
@@ -4638,6 +4786,21 @@ Asp20(name): Exports == Implementation where
 Asp24 examples
 ====================================================================
 
+Asp24 produces Fortran for Type 24 ASPs which evaluate a 
+multivariate function at a point (needed for NAG routine e04jaf), 
+for example:
+
+  SUBROUTINE FUNCT1(N,XC,FC)
+  DOUBLE PRECISION FC,XC(N)
+  INTEGER N
+  FC=10.0D0*XC(4)**4+(-40.0D0*XC(1)*XC(4)**3)+(60.0D0*XC(1)**2+5
+  &.0D0)*XC(4)**2+((-10.0D0*XC(3))+(-40.0D0*XC(1)**3))*XC(4)+16.0D0*X
+  &C(3)**4+(-32.0D0*XC(2)*XC(3)**3)+(24.0D0*XC(2)**2+5.0D0)*XC(3)**2+
+  &(-8.0D0*XC(2)**3*XC(3))+XC(2)**4+100.0D0*XC(2)**2+20.0D0*XC(1)*XC(
+  &2)+10.0D0*XC(1)**4+XC(1)**2
+  RETURN
+  END
+
 See Also:
 o )show Asp24
 
@@ -4658,9 +4821,7 @@ o )show Asp24
 )abbrev domain ASP24 Asp24
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 21 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp24} produces Fortran for Type 24 ASPs which evaluate a 
 ++multivariate function at a point (needed for NAG routine e04jaf), 
@@ -4809,6 +4970,25 @@ Asp24(name): Exports == Implementation where
 Asp27 examples
 ====================================================================
 
+Asp27 produces Fortran for Type 27 ASPs, needed for NAG routine
+f02fjf ,for example:
+
+  FUNCTION DOT(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)
+  DOUBLE PRECISION W(N),Z(N),RWORK(LRWORK)
+  INTEGER N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)
+  DOT=(W(16)+(-0.5D0*W(15)))*Z(16)+((-0.5D0*W(16))+W(15)+(-0.5D0*W(1
+  &4)))*Z(15)+((-0.5D0*W(15))+W(14)+(-0.5D0*W(13)))*Z(14)+((-0.5D0*W(
+  &14))+W(13)+(-0.5D0*W(12)))*Z(13)+((-0.5D0*W(13))+W(12)+(-0.5D0*W(1
+  &1)))*Z(12)+((-0.5D0*W(12))+W(11)+(-0.5D0*W(10)))*Z(11)+((-0.5D0*W(
+  &11))+W(10)+(-0.5D0*W(9)))*Z(10)+((-0.5D0*W(10))+W(9)+(-0.5D0*W(8))
+  &)*Z(9)+((-0.5D0*W(9))+W(8)+(-0.5D0*W(7)))*Z(8)+((-0.5D0*W(8))+W(7)
+  &+(-0.5D0*W(6)))*Z(7)+((-0.5D0*W(7))+W(6)+(-0.5D0*W(5)))*Z(6)+((-0.
+  &5D0*W(6))+W(5)+(-0.5D0*W(4)))*Z(5)+((-0.5D0*W(5))+W(4)+(-0.5D0*W(3
+  &)))*Z(4)+((-0.5D0*W(4))+W(3)+(-0.5D0*W(2)))*Z(3)+((-0.5D0*W(3))+W(
+  &2)+(-0.5D0*W(1)))*Z(2)+((-0.5D0*W(2))+W(1))*Z(1)
+  RETURN
+  END
+
 See Also:
 o )show Asp27
 
@@ -4827,9 +5007,7 @@ o )show Asp27
 )abbrev domain ASP27 Asp27
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Nov 1993
-++ Date Last Updated: 27 April 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp27} produces Fortran for Type 27 ASPs, needed for NAG routine
 ++f02fjf ,for example:
@@ -4959,6 +5137,141 @@ Asp27(name): Exports == Implementation where
 Asp28 examples
 ====================================================================
 
+Asp28 produces Fortran for Type 28 ASPs, used in NAG routine f02fjf, 
+for example:
+
+  SUBROUTINE IMAGE(IFLAG,N,Z,W,RWORK,LRWORK,IWORK,LIWORK)
+  DOUBLE PRECISION Z(N),W(N),IWORK(LRWORK),RWORK(LRWORK)
+  INTEGER N,LIWORK,IFLAG,LRWORK
+  W(1)=0.01707454969713436D0*Z(16)+0.001747395874954051D0*Z(15)+0.00
+  &2106973900813502D0*Z(14)+0.002957434991769087D0*Z(13)+(-0.00700554
+  &0882865317D0*Z(12))+(-0.01219194009813166D0*Z(11))+0.0037230647365
+  &3087D0*Z(10)+0.04932374658377151D0*Z(9)+(-0.03586220812223305D0*Z(
+  &8))+(-0.04723268012114625D0*Z(7))+(-0.02434652144032987D0*Z(6))+0.
+  &2264766947290192D0*Z(5)+(-0.1385343580686922D0*Z(4))+(-0.116530050
+  &8238904D0*Z(3))+(-0.2803531651057233D0*Z(2))+1.019463911841327D0*Z
+  &(1)
+  W(2)=0.0227345011107737D0*Z(16)+0.008812321197398072D0*Z(15)+0.010
+  &94012210519586D0*Z(14)+(-0.01764072463999744D0*Z(13))+(-0.01357136
+  &72105995D0*Z(12))+0.00157466157362272D0*Z(11)+0.05258889186338282D
+  &0*Z(10)+(-0.01981532388243379D0*Z(9))+(-0.06095390688679697D0*Z(8)
+  &)+(-0.04153119955569051D0*Z(7))+0.2176561076571465D0*Z(6)+(-0.0532
+  &5555586632358D0*Z(5))+(-0.1688977368984641D0*Z(4))+(-0.32440166056
+  &67343D0*Z(3))+0.9128222941872173D0*Z(2)+(-0.2419652703415429D0*Z(1
+  &))
+  W(3)=0.03371198197190302D0*Z(16)+0.02021603150122265D0*Z(15)+(-0.0
+  &06607305534689702D0*Z(14))+(-0.03032392238968179D0*Z(13))+0.002033
+  &305231024948D0*Z(12)+0.05375944956767728D0*Z(11)+(-0.0163213312502
+  &9967D0*Z(10))+(-0.05483186562035512D0*Z(9))+(-0.04901428822579872D
+  &0*Z(8))+0.2091097927887612D0*Z(7)+(-0.05760560341383113D0*Z(6))+(-
+  &0.1236679206156403D0*Z(5))+(-0.3523683853026259D0*Z(4))+0.88929961
+  &32269974D0*Z(3)+(-0.2995429545781457D0*Z(2))+(-0.02986582812574917
+  &D0*Z(1))
+  W(4)=0.05141563713660119D0*Z(16)+0.005239165960779299D0*Z(15)+(-0.
+  &01623427735779699D0*Z(14))+(-0.01965809746040371D0*Z(13))+0.054688
+  &97337339577D0*Z(12)+(-0.014224695935687D0*Z(11))+(-0.0505181779315
+  &6355D0*Z(10))+(-0.04353074206076491D0*Z(9))+0.2012230497530726D0*Z
+  &(8)+(-0.06630874514535952D0*Z(7))+(-0.1280829963720053D0*Z(6))+(-0
+  &.305169742604165D0*Z(5))+0.8600427128450191D0*Z(4)+(-0.32415033802
+  &68184D0*Z(3))+(-0.09033531980693314D0*Z(2))+0.09089205517109111D0*
+  &Z(1)
+  W(5)=0.04556369767776375D0*Z(16)+(-0.001822737697581869D0*Z(15))+(
+  &-0.002512226501941856D0*Z(14))+0.02947046460707379D0*Z(13)+(-0.014
+  &45079632086177D0*Z(12))+(-0.05034242196614937D0*Z(11))+(-0.0376966
+  &3291725935D0*Z(10))+0.2171103102175198D0*Z(9)+(-0.0824949256021352
+  &4D0*Z(8))+(-0.1473995209288945D0*Z(7))+(-0.315042193418466D0*Z(6))
+  &+0.9591623347824002D0*Z(5)+(-0.3852396953763045D0*Z(4))+(-0.141718
+  &5427288274D0*Z(3))+(-0.03423495461011043D0*Z(2))+0.319820917706851
+  &6D0*Z(1)
+  W(6)=0.04015147277405744D0*Z(16)+0.01328585741341559D0*Z(15)+0.048
+  &26082005465965D0*Z(14)+(-0.04319641116207706D0*Z(13))+(-0.04931323
+  &319055762D0*Z(12))+(-0.03526886317505474D0*Z(11))+0.22295383396730
+  &01D0*Z(10)+(-0.07375317649315155D0*Z(9))+(-0.1589391311991561D0*Z(
+  &8))+(-0.328001910890377D0*Z(7))+0.952576555482747D0*Z(6)+(-0.31583
+  &09975786731D0*Z(5))+(-0.1846882042225383D0*Z(4))+(-0.0703762046700
+  &4427D0*Z(3))+0.2311852964327382D0*Z(2)+0.04254083491825025D0*Z(1)
+  W(7)=0.06069778964023718D0*Z(16)+0.06681263884671322D0*Z(15)+(-0.0
+  &2113506688615768D0*Z(14))+(-0.083996867458326D0*Z(13))+(-0.0329843
+  &8523869648D0*Z(12))+0.2276878326327734D0*Z(11)+(-0.067356038933017
+  &95D0*Z(10))+(-0.1559813965382218D0*Z(9))+(-0.3363262957694705D0*Z(
+  &8))+0.9442791158560948D0*Z(7)+(-0.3199955249404657D0*Z(6))+(-0.136
+  &2463839920727D0*Z(5))+(-0.1006185171570586D0*Z(4))+0.2057504515015
+  &423D0*Z(3)+(-0.02065879269286707D0*Z(2))+0.03160990266745513D0*Z(1
+  &)
+  W(8)=0.126386868896738D0*Z(16)+0.002563370039476418D0*Z(15)+(-0.05
+  &581757739455641D0*Z(14))+(-0.07777893205900685D0*Z(13))+0.23117338
+  &45834199D0*Z(12)+(-0.06031581134427592D0*Z(11))+(-0.14805474755869
+  &52D0*Z(10))+(-0.3364014128402243D0*Z(9))+0.9364014128402244D0*Z(8)
+  &+(-0.3269452524413048D0*Z(7))+(-0.1396841886557241D0*Z(6))+(-0.056
+  &1733845834199D0*Z(5))+0.1777789320590069D0*Z(4)+(-0.04418242260544
+  &359D0*Z(3))+(-0.02756337003947642D0*Z(2))+0.07361313110326199D0*Z(
+  &1)
+  W(9)=0.07361313110326199D0*Z(16)+(-0.02756337003947642D0*Z(15))+(-
+  &0.04418242260544359D0*Z(14))+0.1777789320590069D0*Z(13)+(-0.056173
+  &3845834199D0*Z(12))+(-0.1396841886557241D0*Z(11))+(-0.326945252441
+  &3048D0*Z(10))+0.9364014128402244D0*Z(9)+(-0.3364014128402243D0*Z(8
+  &))+(-0.1480547475586952D0*Z(7))+(-0.06031581134427592D0*Z(6))+0.23
+  &11733845834199D0*Z(5)+(-0.07777893205900685D0*Z(4))+(-0.0558175773
+  &9455641D0*Z(3))+0.002563370039476418D0*Z(2)+0.126386868896738D0*Z(
+  &1)
+  W(10)=0.03160990266745513D0*Z(16)+(-0.02065879269286707D0*Z(15))+0
+  &.2057504515015423D0*Z(14)+(-0.1006185171570586D0*Z(13))+(-0.136246
+  &3839920727D0*Z(12))+(-0.3199955249404657D0*Z(11))+0.94427911585609
+  &48D0*Z(10)+(-0.3363262957694705D0*Z(9))+(-0.1559813965382218D0*Z(8
+  &))+(-0.06735603893301795D0*Z(7))+0.2276878326327734D0*Z(6)+(-0.032
+  &98438523869648D0*Z(5))+(-0.083996867458326D0*Z(4))+(-0.02113506688
+  &615768D0*Z(3))+0.06681263884671322D0*Z(2)+0.06069778964023718D0*Z(
+  &1)
+  W(11)=0.04254083491825025D0*Z(16)+0.2311852964327382D0*Z(15)+(-0.0
+  &7037620467004427D0*Z(14))+(-0.1846882042225383D0*Z(13))+(-0.315830
+  &9975786731D0*Z(12))+0.952576555482747D0*Z(11)+(-0.328001910890377D
+  &0*Z(10))+(-0.1589391311991561D0*Z(9))+(-0.07375317649315155D0*Z(8)
+  &)+0.2229538339673001D0*Z(7)+(-0.03526886317505474D0*Z(6))+(-0.0493
+  &1323319055762D0*Z(5))+(-0.04319641116207706D0*Z(4))+0.048260820054
+  &65965D0*Z(3)+0.01328585741341559D0*Z(2)+0.04015147277405744D0*Z(1)
+  W(12)=0.3198209177068516D0*Z(16)+(-0.03423495461011043D0*Z(15))+(-
+  &0.1417185427288274D0*Z(14))+(-0.3852396953763045D0*Z(13))+0.959162
+  &3347824002D0*Z(12)+(-0.315042193418466D0*Z(11))+(-0.14739952092889
+  &45D0*Z(10))+(-0.08249492560213524D0*Z(9))+0.2171103102175198D0*Z(8
+  &)+(-0.03769663291725935D0*Z(7))+(-0.05034242196614937D0*Z(6))+(-0.
+  &01445079632086177D0*Z(5))+0.02947046460707379D0*Z(4)+(-0.002512226
+  &501941856D0*Z(3))+(-0.001822737697581869D0*Z(2))+0.045563697677763
+  &75D0*Z(1)
+  W(13)=0.09089205517109111D0*Z(16)+(-0.09033531980693314D0*Z(15))+(
+  &-0.3241503380268184D0*Z(14))+0.8600427128450191D0*Z(13)+(-0.305169
+  &742604165D0*Z(12))+(-0.1280829963720053D0*Z(11))+(-0.0663087451453
+  &5952D0*Z(10))+0.2012230497530726D0*Z(9)+(-0.04353074206076491D0*Z(
+  &8))+(-0.05051817793156355D0*Z(7))+(-0.014224695935687D0*Z(6))+0.05
+  &468897337339577D0*Z(5)+(-0.01965809746040371D0*Z(4))+(-0.016234277
+  &35779699D0*Z(3))+0.005239165960779299D0*Z(2)+0.05141563713660119D0
+  &*Z(1)
+  W(14)=(-0.02986582812574917D0*Z(16))+(-0.2995429545781457D0*Z(15))
+  &+0.8892996132269974D0*Z(14)+(-0.3523683853026259D0*Z(13))+(-0.1236
+  &679206156403D0*Z(12))+(-0.05760560341383113D0*Z(11))+0.20910979278
+  &87612D0*Z(10)+(-0.04901428822579872D0*Z(9))+(-0.05483186562035512D
+  &0*Z(8))+(-0.01632133125029967D0*Z(7))+0.05375944956767728D0*Z(6)+0
+  &.002033305231024948D0*Z(5)+(-0.03032392238968179D0*Z(4))+(-0.00660
+  &7305534689702D0*Z(3))+0.02021603150122265D0*Z(2)+0.033711981971903
+  &02D0*Z(1)
+  W(15)=(-0.2419652703415429D0*Z(16))+0.9128222941872173D0*Z(15)+(-0
+  &.3244016605667343D0*Z(14))+(-0.1688977368984641D0*Z(13))+(-0.05325
+  &555586632358D0*Z(12))+0.2176561076571465D0*Z(11)+(-0.0415311995556
+  &9051D0*Z(10))+(-0.06095390688679697D0*Z(9))+(-0.01981532388243379D
+  &0*Z(8))+0.05258889186338282D0*Z(7)+0.00157466157362272D0*Z(6)+(-0.
+  &0135713672105995D0*Z(5))+(-0.01764072463999744D0*Z(4))+0.010940122
+  &10519586D0*Z(3)+0.008812321197398072D0*Z(2)+0.0227345011107737D0*Z
+  &(1)
+  W(16)=1.019463911841327D0*Z(16)+(-0.2803531651057233D0*Z(15))+(-0.
+  &1165300508238904D0*Z(14))+(-0.1385343580686922D0*Z(13))+0.22647669
+  &47290192D0*Z(12)+(-0.02434652144032987D0*Z(11))+(-0.04723268012114
+  &625D0*Z(10))+(-0.03586220812223305D0*Z(9))+0.04932374658377151D0*Z
+  &(8)+0.00372306473653087D0*Z(7)+(-0.01219194009813166D0*Z(6))+(-0.0
+  &07005540882865317D0*Z(5))+0.002957434991769087D0*Z(4)+0.0021069739
+  &00813502D0*Z(3)+0.001747395874954051D0*Z(2)+0.01707454969713436D0*
+  &Z(1)
+  RETURN
+  END
+
 See Also:
 o )show Asp28
 
@@ -4977,9 +5290,7 @@ o )show Asp28
 )abbrev domain ASP28 Asp28
 ++ Author: Mike Dewar
 ++ Date Created: 21 March 1994
-++ Date Last Updated: 28 April 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp28} produces Fortran for Type 28 ASPs, used in NAG routine 
 ++f02fjf, for example:
@@ -5218,6 +5529,16 @@ Asp28(name): Exports == Implementation where
 Asp29 examples
 ====================================================================
 
+Asp29 produces Fortran for Type 29 ASPs, needed for NAG routine f02fjf, 
+for example:
+
+  SUBROUTINE MONIT(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)
+  DOUBLE PRECISION D(K),F(K)
+  INTEGER K,NEXTIT,NEVALS,NVECS,ISTATE
+  CALL F02FJZ(ISTATE,NEXTIT,NEVALS,NEVECS,K,F,D)
+  RETURN
+  END
+
 See Also:
 o )show Asp29
 
@@ -5237,7 +5558,6 @@ o )show Asp29
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Nov 1993
 ++ Date Last Updated: 18 March 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
 ++ Description:
 ++\spadtype{Asp29} produces Fortran for Type 29 ASPs, needed for NAG routine
 ++f02fjf, for example:
@@ -5342,6 +5662,47 @@ Asp29(name): Exports == Implementation where
 Asp30 examples
 ====================================================================
 
+Asp30 produces Fortran for Type 30 ASPs, needed for NAG routine f04qaf, 
+for example:
+
+  SUBROUTINE APROD(MODE,M,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)
+  DOUBLE PRECISION X(N),Y(M),RWORK(LRWORK)
+  INTEGER M,N,LIWORK,IFAIL,LRWORK,IWORK(LIWORK),MODE
+  DOUBLE PRECISION A(5,5)
+  EXTERNAL F06PAF
+  A(1,1)=1.0D0
+  A(1,2)=0.0D0
+  A(1,3)=0.0D0
+  A(1,4)=-1.0D0
+  A(1,5)=0.0D0
+  A(2,1)=0.0D0
+  A(2,2)=1.0D0
+  A(2,3)=0.0D0
+  A(2,4)=0.0D0
+  A(2,5)=-1.0D0
+  A(3,1)=0.0D0
+  A(3,2)=0.0D0
+  A(3,3)=1.0D0
+  A(3,4)=-1.0D0
+  A(3,5)=0.0D0
+  A(4,1)=-1.0D0
+  A(4,2)=0.0D0
+  A(4,3)=-1.0D0
+  A(4,4)=4.0D0
+  A(4,5)=-1.0D0
+  A(5,1)=0.0D0
+  A(5,2)=-1.0D0
+  A(5,3)=0.0D0
+  A(5,4)=-1.0D0
+  A(5,5)=4.0D0
+  IF(MODE.EQ.1)THEN
+  CALL F06PAF('N',M,N,1.0D0,A,M,X,1,1.0D0,Y,1)
+  ELSEIF(MODE.EQ.2)THEN
+  CALL F06PAF('T',M,N,1.0D0,A,M,Y,1,1.0D0,X,1)
+  ENDIF
+  RETURN
+  END
+
 See Also:
 o )show Asp30
 
@@ -5360,9 +5721,7 @@ o )show Asp30
 )abbrev domain ASP30 Asp30
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Nov 1993
-++ Date Last Updated: 28 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp30} produces Fortran for Type 30 ASPs, needed for NAG routine
 ++f04qaf, for example:
@@ -5534,6 +5893,24 @@ Asp30(name): Exports == Implementation where
 Asp31 examples
 ====================================================================
 
+Asp31 produces Fortran for Type 31 ASPs, needed for NAG routine d02ejf, 
+for example:
+
+  SUBROUTINE PEDERV(X,Y,PW)
+  DOUBLE PRECISION X,Y(*)
+  DOUBLE PRECISION PW(3,3)
+  PW(1,1)=-0.03999999999999999D0
+  PW(1,2)=10000.0D0*Y(3)
+  PW(1,3)=10000.0D0*Y(2)
+  PW(2,1)=0.03999999999999999D0
+  PW(2,2)=(-10000.0D0*Y(3))+(-60000000.0D0*Y(2))
+  PW(2,3)=-10000.0D0*Y(2)
+  PW(3,1)=0.0D0
+  PW(3,2)=60000000.0D0*Y(2)
+  PW(3,3)=0.0D0
+  RETURN
+  END
+
 See Also:
 o )show Asp31
 
@@ -5554,9 +5931,7 @@ o )show Asp31
 )abbrev domain ASP31 Asp31
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 22 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranMatrixFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp31} produces Fortran for Type 31 ASPs, needed for NAG routine 
 ++d02ejf, for example:
@@ -5748,6 +6123,15 @@ Asp31(name): Exports == Implementation where
 Asp33 examples
 ====================================================================
 
+Asp33 produces Fortran for Type 33 ASPs, needed for NAG routine d02kef.  
+The code is a dummy ASP:
+
+  SUBROUTINE REPORT(X,V,JINT)
+  DOUBLE PRECISION V(3),X
+  INTEGER JINT
+  RETURN
+  END
+
 See Also:
 o )show Asp33
 
@@ -5767,7 +6151,6 @@ o )show Asp33
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Nov 1993
 ++ Date Last Updated: 30 March 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory.
 ++ Description:
 ++\spadtype{Asp33} produces Fortran for Type 33 ASPs, needed for NAG routine 
 ++d02kef.  The code is a dummy ASP:
@@ -5852,6 +6235,28 @@ Asp33(name): Exports == Implementation where
 Asp34 examples
 ====================================================================
 
+Asp34 produces Fortran for Type 34 ASPs, needed for NAG routine f04mbf, 
+for example:
+
+  SUBROUTINE MSOLVE(IFLAG,N,X,Y,RWORK,LRWORK,IWORK,LIWORK)
+  DOUBLE PRECISION RWORK(LRWORK),X(N),Y(N)
+  INTEGER I,J,N,LIWORK,IFLAG,LRWORK,IWORK(LIWORK)
+  DOUBLE PRECISION W1(3),W2(3),MS(3,3)
+  IFLAG=-1
+  MS(1,1)=2.0D0
+  MS(1,2)=1.0D0
+  MS(1,3)=0.0D0
+  MS(2,1)=1.0D0
+  MS(2,2)=2.0D0
+  MS(2,3)=1.0D0
+  MS(3,1)=0.0D0
+  MS(3,2)=1.0D0
+  MS(3,3)=2.0D0
+  CALL F04ASF(MS,N,X,N,Y,W1,W2,IFLAG)
+  IFLAG=-IFLAG
+  RETURN
+  END
+
 See Also:
 o )show Asp34
 
@@ -5868,11 +6273,9 @@ o )show Asp34
 
 \begin{chunk}{domain ASP34 Asp34}
 )abbrev domain ASP34 Asp34
-++ Author: Mike Dewar and Godfrey Nolan
+++ Author: Mike Dewar and Godfrey Nolan and Themos Tsikas
 ++ Date Created: Nov 1993
-++ Date Last Updated: 14 June 1994 (Themos Tsikas)
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp34} produces Fortran for Type 34 ASPs, needed for NAG routine 
 ++f04mbf, for example:
@@ -6016,6 +6419,29 @@ Asp34(name): Exports == Implementation where
 Asp35 examples
 ====================================================================
 
+Asp35 produces Fortran for Type 35 ASPs, needed for NAG routines c05pbf, 
+c05pcf, for example:
+
+  SUBROUTINE FCN(N,X,FVEC,FJAC,LDFJAC,IFLAG)
+  DOUBLE PRECISION X(N),FVEC(N),FJAC(LDFJAC,N)
+  INTEGER LDFJAC,N,IFLAG
+  IF(IFLAG.EQ.1)THEN
+  FVEC(1)=(-1.0D0*X(2))+X(1)
+  FVEC(2)=(-1.0D0*X(3))+2.0D0*X(2)
+  FVEC(3)=3.0D0*X(3)
+  ELSEIF(IFLAG.EQ.2)THEN
+  FJAC(1,1)=1.0D0
+  FJAC(1,2)=-1.0D0
+  FJAC(1,3)=0.0D0
+  FJAC(2,1)=0.0D0
+  FJAC(2,2)=2.0D0
+  FJAC(2,3)=-1.0D0
+  FJAC(3,1)=0.0D0
+  FJAC(3,2)=0.0D0
+  FJAC(3,3)=3.0D0
+  ENDIF
+  END
+
 See Also:
 o )show Asp35
 
@@ -6036,9 +6462,7 @@ o )show Asp35
 )abbrev domain ASP35 Asp35
 ++ Author: Mike Dewar, Godfrey Nolan, Grant Keady
 ++ Date Created: Mar 1993
-++ Date Last Updated: 22 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp35} produces Fortran for Type 35 ASPs, needed for NAG routines 
 ++c05pbf, c05pcf, for example:
@@ -6253,6 +6677,17 @@ Asp35(name): Exports == Implementation where
 Asp4 examples
 ====================================================================
 
+Asp4 produces Fortran for Type 4 ASPs, which take an expression
+in X(1) .. X(NDIM) and produce a real function of the form:
+
+  DOUBLE PRECISION FUNCTION FUNCTN(NDIM,X)
+  DOUBLE PRECISION X(NDIM)
+  INTEGER NDIM
+  FUNCTN=(4.0D0*X(1)*X(3)**2*DEXP(2.0D0*X(1)*X(3)))/(X(4)**2+(2.0D0*
+  &X(2)+2.0D0)*X(4)+X(2)**2+2.0D0*X(2)+1.0D0)
+  RETURN
+  END
+
 See Also:
 o )show Asp4
 
@@ -6273,9 +6708,7 @@ o )show Asp4
 )abbrev domain ASP4 Asp4
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 18 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp4} produces Fortran for Type 4 ASPs, which take an expression
 ++in X(1) .. X(NDIM) and produce a real function of the form:
@@ -6429,6 +6862,42 @@ Asp4(name): Exports == Implementation where
 Asp41 examples
 ====================================================================
 
+Asp41 produces Fortran for Type 41 ASPs, needed for NAG routines d02raf 
+and d02saf in particular.  These ASPs are in fact three Fortran routines 
+which return a vector of functions, and their derivatives wrt Y(i) and 
+also a continuation parameter EPS, for example:
+
+  SUBROUTINE FCN(X,EPS,Y,F,N)
+  DOUBLE PRECISION EPS,F(N),X,Y(N)
+  INTEGER N
+  F(1)=Y(2)
+  F(2)=Y(3)
+  F(3)=(-1.0D0*Y(1)*Y(3))+2.0D0*EPS*Y(2)**2+(-2.0D0*EPS)
+  RETURN
+  END
+  SUBROUTINE JACOBF(X,EPS,Y,F,N)
+  DOUBLE PRECISION EPS,F(N,N),X,Y(N)
+  INTEGER N
+  F(1,1)=0.0D0
+  F(1,2)=1.0D0
+  F(1,3)=0.0D0
+  F(2,1)=0.0D0
+  F(2,2)=0.0D0
+  F(2,3)=1.0D0
+  F(3,1)=-1.0D0*Y(3)
+  F(3,2)=4.0D0*EPS*Y(2)
+  F(3,3)=-1.0D0*Y(1)
+  RETURN
+  END
+  SUBROUTINE JACEPS(X,EPS,Y,F,N)
+  DOUBLE PRECISION EPS,F(N),X,Y(N)
+  INTEGER N
+  F(1)=0.0D0
+  F(2)=0.0D0
+  F(3)=2.0D0*Y(2)**2-2.0D0
+  RETURN
+  END
+
 See Also:
 o )show Asp41
 
@@ -6449,9 +6918,7 @@ o )show Asp41
 )abbrev domain ASP41 Asp41
 ++ Author: Mike Dewar, Godfrey Nolan
 ++ Date Created: 
-++ Date Last Updated: 29 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranFunctionCategory, FortranProgramCategory.
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp41} produces Fortran for Type 41 ASPs, needed for NAG
 ++routines d02raf and d02saf in particular.  These ASPs are in fact 
@@ -6713,6 +7180,51 @@ Asp41(nameOne,nameTwo,nameThree): Exports == Implementation where
 Asp42 examples
 ====================================================================
 
+Asp42 produces Fortran for Type 42 ASPs, needed for NAG routines d02raf 
+and d02saf in particular.  These ASPs are in fact three Fortran routines 
+which return a vector of functions, and their derivatives wrt Y(i) and 
+also a continuation parameter EPS, for example:
+
+  SUBROUTINE G(EPS,YA,YB,BC,N)
+  DOUBLE PRECISION EPS,YA(N),YB(N),BC(N)
+  INTEGER N
+  BC(1)=YA(1)
+  BC(2)=YA(2)
+  BC(3)=YB(2)-1.0D0
+  RETURN
+  END
+  SUBROUTINE JACOBG(EPS,YA,YB,AJ,BJ,N)
+  DOUBLE PRECISION EPS,YA(N),AJ(N,N),BJ(N,N),YB(N)
+  INTEGER N
+  AJ(1,1)=1.0D0
+  AJ(1,2)=0.0D0
+  AJ(1,3)=0.0D0
+  AJ(2,1)=0.0D0
+  AJ(2,2)=1.0D0
+  AJ(2,3)=0.0D0
+  AJ(3,1)=0.0D0
+  AJ(3,2)=0.0D0
+  AJ(3,3)=0.0D0
+  BJ(1,1)=0.0D0
+  BJ(1,2)=0.0D0
+  BJ(1,3)=0.0D0
+  BJ(2,1)=0.0D0
+  BJ(2,2)=0.0D0
+  BJ(2,3)=0.0D0
+  BJ(3,1)=0.0D0
+  BJ(3,2)=1.0D0
+  BJ(3,3)=0.0D0
+  RETURN
+  END
+  SUBROUTINE JACGEP(EPS,YA,YB,BCEP,N)
+  DOUBLE PRECISION EPS,YA(N),YB(N),BCEP(N)
+  INTEGER N
+  BCEP(1)=0.0D0
+  BCEP(2)=0.0D0
+  BCEP(3)=0.0D0
+  RETURN
+  END
+
 See Also:
 o )show Asp42
 
@@ -6733,9 +7245,7 @@ o )show Asp42
 )abbrev domain ASP42 Asp42
 ++ Author: Mike Dewar, Godfrey Nolan
 ++ Date Created:
-++ Date Last Updated: 29 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranFunctionCategory, FortranProgramCategory.
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp42} produces Fortran for Type 42 ASPs, needed for NAG
 ++routines d02raf and d02saf
@@ -7018,6 +7528,26 @@ Asp42(nameOne,nameTwo,nameThree): Exports == Implementation where
 Asp49 examples
 ====================================================================
 
+Asp49 produces Fortran for Type 49 ASPs, needed for NAG routines
+e04dgf, e04ucf, for example:
+
+  SUBROUTINE OBJFUN(MODE,N,X,OBJF,OBJGRD,NSTATE,IUSER,USER)
+  DOUBLE PRECISION X(N),OBJF,OBJGRD(N),USER(*)
+  INTEGER N,IUSER(*),MODE,NSTATE
+  OBJF=X(4)*X(9)+((-1.0D0*X(5))+X(3))*X(8)+((-1.0D0*X(3))+X(1))*X(7)
+  &+(-1.0D0*X(2)*X(6))
+  OBJGRD(1)=X(7)
+  OBJGRD(2)=-1.0D0*X(6)
+  OBJGRD(3)=X(8)+(-1.0D0*X(7))
+  OBJGRD(4)=X(9)
+  OBJGRD(5)=-1.0D0*X(8)
+  OBJGRD(6)=-1.0D0*X(2)
+  OBJGRD(7)=(-1.0D0*X(3))+X(1)
+  OBJGRD(8)=(-1.0D0*X(5))+X(3)
+  OBJGRD(9)=X(4)
+  RETURN
+  END
+
 See Also:
 o )show Asp49
 
@@ -7038,9 +7568,7 @@ o )show Asp49
 )abbrev domain ASP49 Asp49
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 23 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp49} produces Fortran for Type 49 ASPs, needed for NAG routines
 ++e04dgf, e04ucf, for example:
@@ -7230,6 +7758,44 @@ Asp49(name): Exports == Implementation where
 Asp50 examples
 ====================================================================
 
+Asp50 produces Fortran for Type 50 ASPs, needed for NAG routine 
+e04fdf, for example:
+
+  SUBROUTINE LSFUN1(M,N,XC,FVECC)
+  DOUBLE PRECISION FVECC(M),XC(N)
+  INTEGER I,M,N
+  FVECC(1)=((XC(1)-2.4D0)*XC(3)+(15.0D0*XC(1)-36.0D0)*XC(2)+1.0D0)/(
+  &XC(3)+15.0D0*XC(2))
+  FVECC(2)=((XC(1)-2.8D0)*XC(3)+(7.0D0*XC(1)-19.6D0)*XC(2)+1.0D0)/(X
+  &C(3)+7.0D0*XC(2))
+  FVECC(3)=((XC(1)-3.2D0)*XC(3)+(4.333333333333333D0*XC(1)-13.866666
+  &66666667D0)*XC(2)+1.0D0)/(XC(3)+4.333333333333333D0*XC(2))
+  FVECC(4)=((XC(1)-3.5D0)*XC(3)+(3.0D0*XC(1)-10.5D0)*XC(2)+1.0D0)/(X
+  &C(3)+3.0D0*XC(2))
+  FVECC(5)=((XC(1)-3.9D0)*XC(3)+(2.2D0*XC(1)-8.579999999999998D0)*XC
+  &(2)+1.0D0)/(XC(3)+2.2D0*XC(2))
+  FVECC(6)=((XC(1)-4.199999999999999D0)*XC(3)+(1.666666666666667D0*X
+  &C(1)-7.0D0)*XC(2)+1.0D0)/(XC(3)+1.666666666666667D0*XC(2))
+  FVECC(7)=((XC(1)-4.5D0)*XC(3)+(1.285714285714286D0*XC(1)-5.7857142
+  &85714286D0)*XC(2)+1.0D0)/(XC(3)+1.285714285714286D0*XC(2))
+  FVECC(8)=((XC(1)-4.899999999999999D0)*XC(3)+(XC(1)-4.8999999999999
+  &99D0)*XC(2)+1.0D0)/(XC(3)+XC(2))
+  FVECC(9)=((XC(1)-4.699999999999999D0)*XC(3)+(XC(1)-4.6999999999999
+  &99D0)*XC(2)+1.285714285714286D0)/(XC(3)+XC(2))
+  FVECC(10)=((XC(1)-6.8D0)*XC(3)+(XC(1)-6.8D0)*XC(2)+1.6666666666666
+  &67D0)/(XC(3)+XC(2))
+  FVECC(11)=((XC(1)-8.299999999999999D0)*XC(3)+(XC(1)-8.299999999999
+  &999D0)*XC(2)+2.2D0)/(XC(3)+XC(2))
+  FVECC(12)=((XC(1)-10.6D0)*XC(3)+(XC(1)-10.6D0)*XC(2)+3.0D0)/(XC(3)
+  &+XC(2))
+  FVECC(13)=((XC(1)-1.34D0)*XC(3)+(XC(1)-1.34D0)*XC(2)+4.33333333333
+  &3333D0)/(XC(3)+XC(2))
+  FVECC(14)=((XC(1)-2.1D0)*XC(3)+(XC(1)-2.1D0)*XC(2)+7.0D0)/(XC(3)+X
+  &C(2))
+  FVECC(15)=((XC(1)-4.39D0)*XC(3)+(XC(1)-4.39D0)*XC(2)+15.0D0)/(XC(3
+  &)+XC(2))
+  END
+
 See Also:
 o )show Asp50
 
@@ -7250,9 +7816,7 @@ o )show Asp50
 )abbrev domain ASP50 Asp50
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 23 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp50} produces Fortran for Type 50 ASPs, needed for NAG routine 
 ++e04fdf, for example:
@@ -7458,6 +8022,43 @@ Asp50(name): Exports == Implementation where
 Asp55 examples
 ====================================================================
 
+Asp55 produces Fortran for Type 55 ASPs, needed for NAG routines 
+e04dgf and e04ucf, for example:
+
+  SUBROUTINE CONFUN(MODE,NCNLN,N,NROWJ,NEEDC,X,C,CJAC,NSTATE,IUSER
+  &,USER)
+  DOUBLE PRECISION C(NCNLN),X(N),CJAC(NROWJ,N),USER(*)
+  INTEGER N,IUSER(*),NEEDC(NCNLN),NROWJ,MODE,NCNLN,NSTATE
+  IF(NEEDC(1).GT.0)THEN
+  C(1)=X(6)**2+X(1)**2
+  CJAC(1,1)=2.0D0*X(1)
+  CJAC(1,2)=0.0D0
+  CJAC(1,3)=0.0D0
+  CJAC(1,4)=0.0D0
+  CJAC(1,5)=0.0D0
+  CJAC(1,6)=2.0D0*X(6)
+  ENDIF
+  IF(NEEDC(2).GT.0)THEN
+  C(2)=X(2)**2+(-2.0D0*X(1)*X(2))+X(1)**2
+  CJAC(2,1)=(-2.0D0*X(2))+2.0D0*X(1)
+  CJAC(2,2)=2.0D0*X(2)+(-2.0D0*X(1))
+  CJAC(2,3)=0.0D0
+  CJAC(2,4)=0.0D0
+  CJAC(2,5)=0.0D0
+  CJAC(2,6)=0.0D0
+  ENDIF
+  IF(NEEDC(3).GT.0)THEN
+  C(3)=X(3)**2+(-2.0D0*X(1)*X(3))+X(2)**2+X(1)**2
+  CJAC(3,1)=(-2.0D0*X(3))+2.0D0*X(1)
+  CJAC(3,2)=2.0D0*X(2)
+  CJAC(3,3)=2.0D0*X(3)+(-2.0D0*X(1))
+  CJAC(3,4)=0.0D0
+  CJAC(3,5)=0.0D0
+  CJAC(3,6)=0.0D0
+  ENDIF
+  RETURN
+  END
+
 See Also:
 o )show Asp55
 
@@ -7478,9 +8079,7 @@ o )show Asp55
 )abbrev domain ASP55 Asp55
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: June 1993
-++ Date Last Updated: 23 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++\spadtype{Asp55} produces Fortran for Type 55 ASPs, needed for NAG routines 
 ++e04dgf and e04ucf, for example:
@@ -7729,6 +8328,31 @@ Asp55(name): Exports == Implementation where
 Asp6 examples
 ====================================================================
 
+Asp6 produces Fortran for Type 6 ASPs, needed for NAG routines
+c05nbf, c05ncf. These represent vectors of functions of X(i) and look like:
+
+  SUBROUTINE FCN(N,X,FVEC,IFLAG)
+  DOUBLE PRECISION X(N),FVEC(N)
+  INTEGER N,IFLAG
+  FVEC(1)=(-2.0D0*X(2))+(-2.0D0*X(1)**2)+3.0D0*X(1)+1.0D0
+  FVEC(2)=(-2.0D0*X(3))+(-2.0D0*X(2)**2)+3.0D0*X(2)+(-1.0D0*X(1))+1.
+  &0D0
+  FVEC(3)=(-2.0D0*X(4))+(-2.0D0*X(3)**2)+3.0D0*X(3)+(-1.0D0*X(2))+1.
+  &0D0
+  FVEC(4)=(-2.0D0*X(5))+(-2.0D0*X(4)**2)+3.0D0*X(4)+(-1.0D0*X(3))+1.
+  &0D0
+  FVEC(5)=(-2.0D0*X(6))+(-2.0D0*X(5)**2)+3.0D0*X(5)+(-1.0D0*X(4))+1.
+  &0D0
+  FVEC(6)=(-2.0D0*X(7))+(-2.0D0*X(6)**2)+3.0D0*X(6)+(-1.0D0*X(5))+1.
+  &0D0
+  FVEC(7)=(-2.0D0*X(8))+(-2.0D0*X(7)**2)+3.0D0*X(7)+(-1.0D0*X(6))+1.
+  &0D0
+  FVEC(8)=(-2.0D0*X(9))+(-2.0D0*X(8)**2)+3.0D0*X(8)+(-1.0D0*X(7))+1.
+  &0D0
+  FVEC(9)=(-2.0D0*X(9)**2)+3.0D0*X(9)+(-1.0D0*X(8))+1.0D0
+  RETURN
+  END
+
 See Also:
 o )show Asp6
 
@@ -7749,9 +8373,7 @@ o )show Asp6
 )abbrev domain ASP6 Asp6
 ++ Author: Mike Dewar and Godfrey Nolan and Grant Keady
 ++ Date Created: Mar 1993
-++ Date Last Updated: 18 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp6} produces Fortran for Type 6 ASPs, needed for NAG routines
 ++ c05nbf, c05ncf. These represent vectors of functions of X(i) and look like:
@@ -7943,6 +8565,19 @@ Asp6(name): Exports == Implementation where
 Asp7 examples
 ====================================================================
 
+Asp7 produces Fortran for Type 7 ASPs, needed for NAG routines
+d02bbf, d02gaf. These represent a vector of functions of the scalar X and
+the array Z, and look like:
+
+  SUBROUTINE FCN(X,Z,F)
+  DOUBLE PRECISION F(*),X,Z(*)
+  F(1)=DTAN(Z(3))
+  F(2)=((-0.03199999999999999D0*DCOS(Z(3))*DTAN(Z(3)))+(-0.02D0*Z(2)
+  &**2))/(Z(2)*DCOS(Z(3)))
+  F(3)=-0.03199999999999999D0/(X*Z(2)**2)
+  RETURN
+  END
+
 See Also:
 o )show Asp7
 
@@ -7963,9 +8598,7 @@ o )show Asp7
 )abbrev domain ASP7 Asp7
 ++ Author: Mike Dewar and Godfrey Nolan and Grant Keady
 ++ Date Created: Mar 1993
-++ Date Last Updated: 18 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp7} produces Fortran for Type 7 ASPs, needed for NAG routines
 ++ d02bbf, d02gaf. These represent a vector of functions of the scalar X and
@@ -8142,6 +8775,21 @@ Asp7(name): Exports == Implementation where
 Asp73 examples
 ====================================================================
 
+Asp73 produces Fortran for Type 73 ASPs, needed for NAG routine
+d03eef, for example:
+
+  SUBROUTINE PDEF(X,Y,ALPHA,BETA,GAMMA,DELTA,EPSOLN,PHI,PSI)
+  DOUBLE PRECISION ALPHA,EPSOLN,PHI,X,Y,BETA,DELTA,GAMMA,PSI
+  ALPHA=DSIN(X)
+  BETA=Y
+  GAMMA=X*Y
+  DELTA=DCOS(X)*DSIN(Y)
+  EPSOLN=Y+X
+  PHI=X
+  PSI=Y
+  RETURN
+  END
+
 See Also:
 o )show Asp73
 
@@ -8163,7 +8811,6 @@ o )show Asp73
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
 ++ Date Last Updated: 30 March 1994, 6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
 ++ Description:
 ++ \spadtype{Asp73} produces Fortran for Type 73 ASPs, needed for NAG routine
 ++ d03eef, for example:
@@ -8353,6 +9000,31 @@ Asp73(name): Exports == Implementation where
 Asp74 examples
 ====================================================================
 
+Asp74 produces Fortran for Type 74 ASPs, needed for NAG routine d03eef, 
+for example:
+
+  SUBROUTINE BNDY(X,Y,A,B,C,IBND)
+  DOUBLE PRECISION A,B,C,X,Y
+  INTEGER IBND
+  IF(IBND.EQ.0)THEN
+  A=0.0D0
+  B=1.0D0
+  C=-1.0D0*DSIN(X)
+  ELSEIF(IBND.EQ.1)THEN
+  A=1.0D0
+  B=0.0D0
+  C=DSIN(X)*DSIN(Y)
+  ELSEIF(IBND.EQ.2)THEN
+  A=1.0D0
+  B=0.0D0
+  C=DSIN(X)*DSIN(Y)
+  ELSEIF(IBND.EQ.3)THEN
+  A=0.0D0
+  B=1.0D0
+  C=-1.0D0*DSIN(Y)
+  ENDIF
+  END
+
 See Also:
 o )show Asp74
 
@@ -8373,9 +9045,7 @@ o )show Asp74
 )abbrev domain ASP74 Asp74
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Oct 1993
-++ Date Last Updated: 30 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranScalarFunctionCategory, FortranProgramCategory.
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp74} produces Fortran for Type 74 ASPs, needed for NAG routine 
 ++ d03eef, for example:
@@ -8606,6 +9276,19 @@ Asp74(name): Exports == Implementation where
 Asp77 examples
 ====================================================================
 
+Asp77 produces Fortran for Type 77 ASPs, needed for NAG routine d02gbf, 
+for example:
+
+ SUBROUTINE FCNF(X,F)
+ DOUBLE PRECISION X
+ DOUBLE PRECISION F(2,2)
+ F(1,1)=0.0D0
+ F(1,2)=1.0D0
+ F(2,1)=0.0D0
+ F(2,2)=-10.0D0
+ RETURN
+ END
+
 See Also:
 o )show Asp77
 
@@ -8626,9 +9309,7 @@ o )show Asp77
 )abbrev domain ASP77 Asp77
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 30 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranMatrixFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp77} produces Fortran for Type 77 ASPs, needed for NAG routine 
 ++ d02gbf, for example:
@@ -8824,6 +9505,15 @@ Asp77(name): Exports == Implementation where
 Asp78 examples
 ====================================================================
 
+Asp78 produces Fortran for Type 78 ASPs, needed for NAG routine d02gbf, 
+for example:
+
+ SUBROUTINE FCNG(X,G)
+ DOUBLE PRECISION G(*),X
+ G(1)=0.0D0
+ G(2)=0.0D0
+ END
+
 See Also:
 o )show Asp78
 
@@ -8844,9 +9534,7 @@ o )show Asp78
 )abbrev domain ASP78 Asp78
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 30 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp78} produces Fortran for Type 78 ASPs, needed for NAG routine 
 ++ d02gbf, for example:
@@ -9005,6 +9693,40 @@ Asp78(name): Exports == Implementation where
 Asp8 examples
 ====================================================================
 
+Asp8 produces Fortran for Type 8 ASPs, needed for NAG routine d02bbf.  
+This ASP prints intermediate values of the computed solution of
+an ODE and might look like:
+
+ SUBROUTINE OUTPUT(XSOL,Y,COUNT,M,N,RESULT,FORWRD)
+ DOUBLE PRECISION Y(N),RESULT(M,N),XSOL
+ INTEGER M,N,COUNT
+ LOGICAL FORWRD
+ DOUBLE PRECISION X02ALF,POINTS(8)
+ EXTERNAL X02ALF
+ INTEGER I
+ POINTS(1)=1.0D0
+ POINTS(2)=2.0D0
+ POINTS(3)=3.0D0
+ POINTS(4)=4.0D0
+ POINTS(5)=5.0D0
+ POINTS(6)=6.0D0
+ POINTS(7)=7.0D0
+ POINTS(8)=8.0D0
+ COUNT=COUNT+1
+ DO 25001 I=1,N
+ RESULT(COUNT,I)=Y(I)
+25001 CONTINUE
+ IF(COUNT.EQ.M)THEN
+ IF(FORWRD)THEN
+ XSOL=X02ALF()
+ ELSE
+ XSOL=-X02ALF()
+ ENDIF
+ ELSE
+  XSOL=POINTS(COUNT)
+ ENDIF
+ END
+
 See Also:
 o )show Asp8
 
@@ -9023,11 +9745,7 @@ o )show Asp8
 )abbrev domain ASP8 Asp8
 ++ Author: Godfrey Nolan and Mike Dewar
 ++ Date Created: 11 February 1994
-++ Date Last Updated: 18 March 1994
-++                    31 May 1994 to use alternative interface. MCD
-++                    30 June 1994 to handle the end condition correctly. MCD
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp8} produces Fortran for Type 8 ASPs, needed for NAG routine
 ++ d02bbf.  This ASP prints intermediate values of the computed solution of
@@ -9198,6 +9916,18 @@ Asp8(name): Exports == Implementation where
 Asp80 examples
 ====================================================================
 
+Asp80 produces Fortran for Type 80 ASPs, needed for NAG routine d02kef, 
+for example:
+
+ SUBROUTINE BDYVAL(XL,XR,ELAM,YL,YR)
+ DOUBLE PRECISION ELAM,XL,YL(3),XR,YR(3)
+ YL(1)=XL
+ YL(2)=2.0D0
+ YR(1)=1.0D0
+ YR(2)=-1.0D0*DSQRT(XR+(-1.0D0*ELAM))
+ RETURN
+ END
+
 See Also:
 o )show Asp80
 
@@ -9218,9 +9948,7 @@ o )show Asp80
 )abbrev domain ASP80 Asp80
 ++ Author: Mike Dewar and Godfrey Nolan
 ++ Date Created: Oct 1993
-++ Date Last Updated: 30 March 1994
-++                     6 October 1994
-++ Related Constructors: FortranMatrixFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp80} produces Fortran for Type 80 ASPs, needed for NAG routine 
 ++ d02kef, for example:
@@ -9413,6 +10141,20 @@ Asp80(name): Exports == Implementation where
 Asp9 examples
 ====================================================================
 
+Asp9 produces Fortran for Type 9 ASPs, needed for NAG routines
+d02bhf, d02cjf, d02ejf.
+These ASPs represent a function of a scalar X and a vector Y, for example:
+
+ DOUBLE PRECISION FUNCTION G(X,Y)
+ DOUBLE PRECISION X,Y(*)
+ G=X+Y(1)
+ RETURN
+ END
+ 
+If the user provides a constant value for G, then extra information is added
+via COMMON blocks used by certain routines.  This specifies that the value
+returned by G in this case is to be ignored.
+
 See Also:
 o )show Asp9
 
@@ -9433,10 +10175,7 @@ o )show Asp9
 )abbrev domain ASP9 Asp9
 ++ Author: Mike Dewar, Grant Keady and Godfrey Nolan
 ++ Date Created: Mar 1993
-++ Date Last Updated: 18 March 1994
-++                    12 July 1994 added COMMON blocks for d02cjf, d02ejf
-++                     6 October 1994
-++ Related Constructors: FortranVectorFunctionCategory, FortranProgramCategory
+++ Date Last Updated: 6 October 1994
 ++ Description:
 ++ \spadtype{Asp9} produces Fortran for Type 9 ASPs, needed for NAG routines
 ++ d02bhf, d02cjf, d02ejf.
@@ -9670,6 +10409,26 @@ Asp9(name): Exports == Implementation where
 AssociatedJordanAlgebra examples
 ====================================================================
 
+AssociatedJordanAlgebra takes an algebra A and uses *$A to define the 
+new multiplications 
+      a*b := (a *$A b + b *$A a)/2     (anticommutator)
+
+The usual notation {a,b}_+ cannot be used due to restrictions in the 
+current language.
+
+This domain only gives a Jordan algebra if the Jordan-identity 
+     (a*b)*c + (b*c)*a + (c*a)*b = 0 
+holds for all a, b, c in A.
+This relation can be checked by jordanAdmissible?()$A.
+
+If the underlying algebra is of type FramedNonAssociativeAlgebra(R) 
+(i.e. a non-associative algebra over R which is a free R-module of finite
+rank, together with a fixed R-module basis), then the same is true for the 
+associated Jordan algebra. Moreover, if the underlying algebra is of type
+FiniteRankNonAssociativeAlgebra(R) (i.e. a non-associative algebra over R 
+which is a free R-module of finite rank), then the same true for the 
+associated Jordan algebra.
+
 See Also:
 o )show AssociatedJordanAlgebra
 
@@ -9760,12 +10519,6 @@ o )show AssociatedJordanAlgebra
 ++ Author: J. Grabmeier
 ++ Date Created: 14 June 1991
 ++ Date Last Updated: 14 June 1991
-++ Basic Operations: *,**,+,-
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: associated Jordan algebra
-++ References:
 ++ Description:
 ++ AssociatedJordanAlgebra takes an algebra \spad{A} and uses \spadfun{*$A}
 ++ to define the new multiplications \spad{a*b := (a *$A b + b *$A a)/2}
@@ -9930,6 +10683,24 @@ AssociatedJordanAlgebra(R:CommutativeRing,A:NonAssociativeAlgebra R):
 AssociatedLieAlgebra examples
 ====================================================================
 
+AssociatedLieAlgebra takes an algebra A and uses *$A to define the
+Lie bracket 
+    a*b := (a *$A b - b *$A a) (commutator). 
+Note that the notation [a,b] cannot be used due to restrictions of the 
+current compiler. This domain only gives a Lie algebra if the
+Jacobi-identity 
+   (a*b)*c + (b*c)*a + (c*a)*b = 0 
+holds for all a, b, c in A. This relation can be checked by 
+lieAdmissible?()$A.
+
+If the underlying algebra is of type FramedNonAssociativeAlgebra(R)
+(i.e. a non-associative algebra over R which is a free R-module of finite
+rank, together with a fixed R-module basis), then the same is true for the 
+associated Lie algebra. Also, if the underlying algebra is of type
+FiniteRankNonAssociativeAlgebra(R) (i.e. a non-associative algebra over R 
+which is a free R-module of finite rank), then the same is true for the 
+associated Lie algebra.
+
 See Also:
 o )show AssociatedLieAlgebra
 
@@ -10022,12 +10793,6 @@ o )show AssociatedLieAlgebra
 ++ Author: J. Grabmeier
 ++ Date Created: 07 March 1991
 ++ Date Last Updated: 14 June 1991
-++ Basic Operations: *,**,+,-
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: associated Liealgebra
-++ References:
 ++ Description:
 ++ AssociatedLieAlgebra takes an algebra \spad{A}
 ++ and uses \spadfun{*$A} to define the
@@ -10187,6 +10952,12 @@ delete!(al,1)
 AssociationList examples
 ====================================================================
 
+AssociationList implements association lists. These may be viewed as 
+lists of pairs where the first part is a key and the second is the 
+stored value. For example, the key might be a string with a persons 
+employee identification number and the value might be a record with 
+personnel data.
+
 The AssociationList constructor provides a general structure for
 associative storage.  This type provides association lists in which
 data objects can be saved according to keys of any type.  For a given
@@ -10391,14 +11162,6 @@ o )show AssociationList
 \begin{chunk}{domain ALIST AssociationList}
 )abbrev domain ALIST AssociationList
 ++ Author: Mark Botch
-++ Date Created:
-++ Change History:
-++ Basic Operations: empty, empty?, keys, \#, concat, first, rest,
-++   setrest!, search, setelt, remove!
-++ Related Constructors:
-++ Also See: List
-++ AMS Classification:
-++ Keywords: list, association list
 ++ Description:
 ++ \spadtype{AssociationList} implements association lists. These
 ++ may be viewed as lists of pairs where the first part is a key
@@ -10516,6 +11279,25 @@ AssociationList(Key:SetCategory, Entry:SetCategory):
 AttributeButtons examples
 ====================================================================
 
+AttributeButtons implements a database and associated adjustment 
+mechanisms for a set of attributes.
+
+For ODEs these attributes are "stiffness", "stability" (i.e. how much
+affect the cosine or sine component of the solution has on the stability of
+the result), "accuracy" and "expense" (i.e. how expensive is the evaluation
+of the ODE).  All these have bearing on the cost of calculating the 
+solution given that reducing the step-length to achieve greater accuracy 
+requires considerable number of evaluations and calculations.
+
+The effect of each of these attributes can be altered by increasing or
+decreasing the button value.
+
+For Integration there is a button for increasing and decreasing the preset
+number of function evaluations for each method.  This is automatically used
+by ANNA when a method fails due to insufficient workspace or where the
+limit of function evaluations has been reached before the required
+accuracy is achieved. 
+
 See Also:
 o )show AttributeButtons
 
@@ -10544,8 +11326,6 @@ o )show AttributeButtons
 ++ Author: Brian Dupee
 ++ Date Created: April 1996
 ++ Date Last Updated: December 1997
-++ Basic Operations: increase, decrease, getButtonValue, setButtonValue
-++ Related Constructors: Table(String,Float)
 ++ Description:
 ++ \axiomType{AttributeButtons} implements a database and associated
 ++ adjustment mechanisms for a set of attributes.
@@ -10802,6 +11582,11 @@ AttributeButtons(): E == I where
 Automorphism examples
 ====================================================================
 
+Automorphism R is the multiplicative group of automorphisms of R.
+In fact, non-invertible endomorphism are allowed as partial functions.
+This domain is noncanonical in that f*f^{-1} will be the identity
+function but won't be equal to 1.
+
 See Also:
 o )show Automorphism
 
@@ -10840,7 +11625,6 @@ o )show Automorphism
 ++ Author: Manuel Bronstein
 ++ Date Created: 31 January 1994
 ++ Date Last Updated: 31 January 1994
-++ References:
 ++ Description:
 ++ Automorphism R is the multiplicative group of automorphisms of R.
 -- In fact, non-invertible endomorphism are allowed as partial functions.
@@ -10947,6 +11731,12 @@ leaves %
 BalancedBinaryTree examples
 ====================================================================
 
+BalancedBinaryTree(S) is the domain of balanced binary trees (bbtree). 
+A balanced binary tree of 2**k leaves, for some k > 0, is symmetric, 
+that is, the left and right subtree of each interior node have identical 
+shape. In general, the left and right subtree of a given node can differ
+ by at most leaf node.
+
 BalancedBinaryTrees(S) is the domain of balanced binary trees with
 elements of type S at the nodes.  A binary tree is either empty or
 else consists of a node having a value and two branches, each branch a
@@ -11334,6 +12124,9 @@ BalancedBinaryTree(S: SetCategory): Exports == Implementation where
 BalancedPAdicInteger examples
 ====================================================================
 
+Stream-based implementation of Zp: p-adic numbers are represented as
+sum(i = 0.., a[i] * p^i), where the a[i] lie in -(p - 1)/2,...,(p - 1)/2.
+
 See Also:
 o )show BalancedPAdicInteger
 
@@ -11403,13 +12196,6 @@ o )show BalancedPAdicInteger
 ++ Author: Clifton J. Williamson
 ++ Date Created: 15 May 1990
 ++ Date Last Updated: 15 May 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: p-adic, complementation
-++ Examples:
-++ References:
 ++ Description:
 ++ Stream-based implementation of Zp: p-adic numbers are represented as
 ++ sum(i = 0.., a[i] * p^i), where the a[i] lie in -(p - 1)/2,...,(p - 1)/2.
@@ -11567,6 +12353,9 @@ BalancedPAdicInteger(p:Integer) == InnerPAdicInteger(p,false$Boolean)
 BalancedPAdicRational examples
 ====================================================================
 
+Stream-based implementation of Qp: numbers are represented as
+sum(i = k.., a[i] * p^i), where the a[i] lie in -(p - 1)/2,...,(p - 1)/2.
+
 See Also:
 o )show BalancedPAdicRational
 
@@ -11672,14 +12461,6 @@ o )show BalancedPAdicRational
 ++ Author: Clifton J. Williamson
 ++ Date Created: 15 May 1990
 ++ Date Last Updated: 15 May 1990
-++ Keywords: p-adic, complementation
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: p-adic, completion
-++ Examples:
-++ References:
 ++ Description:
 ++ Stream-based implementation of Qp: numbers are represented as
 ++ sum(i = k.., a[i] * p^i), where the a[i] lie in -(p - 1)/2,...,(p - 1)/2.
@@ -11729,6 +12510,9 @@ BalancedPAdicRational(p:Integer) ==
 BasicFunctions examples
 ====================================================================
 
+A Domain which implements a table containing details of points at which 
+particular functions have evaluation problems.
+
 See Also:
 o )show BasicFunctions
 
@@ -11753,7 +12537,6 @@ o )show BasicFunctions
 ++ Author: Brian Dupee
 ++ Date Created: August 1994
 ++ Date Last Updated: April 1996
-++ Basic Operations: bfKeys, bfEntry
 ++ Description:
 ++ A Domain which implements a table containing details of 
 ++ points at which particular functions have evaluation problems.
@@ -12176,7 +12959,6 @@ o )show BasicOperator
 ++ Author: Manuel Bronstein
 ++ Date Created: 22 March 1988
 ++ Date Last Updated: 11 October 1993
-++ Keywords: operator, kernel.
 ++ Description:
 ++ Basic system operators.
 ++ A basic operator is an object that can be applied to a list of
@@ -12756,7 +13538,6 @@ o )show BasicStochasticDifferential
 ++ Author: Wilfrid S. Kendall
 ++ Date Last Updated: July 26, 1999
 ++ Related Domains: StochasticDifferential(R)
-++ Keywords: stochastic differential, semimartingale.
 ++ References: Ito (1975), Kendall (1991a,b; 1993a,b; 1999a,b).
 ++ Description:
 ++ Based on Symbol: a domain of symbols representing basic stochastic 
@@ -12947,6 +13728,7 @@ g := gcd(p, q)
 ====================================================================
 BinaryExpansion examples
 ====================================================================
+
 All rational numbers have repeating binary expansions.  Operations to
 access the individual bits of a binary expansion can be obtained by
 converting the value to RadixExpansion(2).  More examples of
@@ -13117,13 +13899,6 @@ o )show BinaryExpansion
 ++ Author: Clifton J. Williamson
 ++ Date Created: April 26, 1990
 ++ Date Last Updated: May 15, 1991
-++ Basic Operations:
-++ Related Domains: RadixExpansion
-++ Also See:
-++ AMS Classifications:
-++ Keywords: radix, base, binary
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain allows rational numbers to be presented as repeating
 ++ binary expansions.
@@ -13192,6 +13967,9 @@ BinaryExpansion(): Exports == Implementation where
 BinaryFile examples
 ====================================================================
 
+This domain provides an implementation of binary files. Data is accessed 
+one byte at a time as a small integer.
+
 See Also:
 o )show BinaryFile
 
@@ -13228,13 +14006,6 @@ o )show BinaryFile
 )abbrev domain BINFILE BinaryFile
 ++ Author: Barry M. Trager
 ++ Date Created: 1993
-++ Date Last Updated:
-++ Basic Operations: writeByte! readByte! readByteIfCan!
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description: 
 ++ This domain provides an implementation of binary files. Data is
 ++ accessed one byte at a time as a small integer.
@@ -13756,6 +14527,9 @@ both BinaryTree(S)
 BinaryTournament examples
 ====================================================================
 
+BinaryTournament creates a binary tournament with the elements of ls 
+as values at the nodes.
+
 See Also:
 o )show BinaryTournament
 
@@ -13937,6 +14711,10 @@ BinaryTournament(S: OrderedSet): Exports == Implementation where
 BinaryTree examples
 ====================================================================
 
+BinaryTree(S) is the domain of all binary trees. A binary tree over S 
+is either empty or has a value which is an S and a right and left 
+which are both binary trees.
+
 See Also:
 o )show BinaryTree
 
@@ -14168,6 +14946,8 @@ BinaryTree(S: SetCategory): Exports == Implementation where
 Bits examples
 ====================================================================
 
+Bits provides logical functions for Indexed Bits.
+
 See Also:
 o )show Bits
 
@@ -14260,11 +15040,6 @@ o )show Bits
 \begin{chunk}{domain BITS Bits}
 )abbrev domain BITS Bits
 ++ Author: Stephen M. Watt
-++ Date Created:
-++ Change History:
-++ Basic Operations: And, Not, Or
-++ Related Constructors:
-++ Keywords: bits
 ++ Description:
 ++ \spadtype{Bits} provides logical functions for Indexed Bits.
 
@@ -14322,6 +15097,8 @@ Bits(): Exports == Implementation where
 BlowUpWithHamburgerNoether examples
 ====================================================================
 
+This domain is part of the PAFF package
+
 See Also:
 o )show BlowUpWithHamburgerNoether
 
@@ -14429,6 +15206,8 @@ BlowUpWithHamburgerNoether: Exports == Implementation where
 BlowUpWithQuadTrans examples
 ====================================================================
 
+This domain is part of the PAFF package
+
 See Also:
 o )show BlowUpWithQuadTrans
 
@@ -14542,6 +15321,8 @@ BlowUpWithQuadTrans: Exports == Implementation where
 Boolean examples
 ====================================================================
 
+Boolean is the elementary logic with 2 values: true and false
+
 See Also:
 o )show Boolean
 
@@ -14591,11 +15372,6 @@ o )show Boolean
 \begin{chunk}{domain BOOLEAN Boolean}
 )abbrev domain BOOLEAN Boolean
 ++ Author: Stephen M. Watt
-++ Date Created:
-++ Change History:
-++ Basic Operations: true, false, not, and, or, xor, nand, nor, implies, ^
-++ Related Constructors:
-++ Keywords: boolean
 ++ Description: 
 ++ \spadtype{Boolean} is the elementary logic with 2 values:
 ++ true and false
@@ -15041,12 +15817,6 @@ o )show CardinalNumber
 ++ Author: S.M. Watt
 ++ Date Created: June 1986
 ++ Date Last Updated: May 1990
-++ Basic Operations: Aleph, +, -, *, **
-++ Related Domains: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: cardinal number, transfinite arithmetic
-++ Examples:
 ++ References:
 ++   Goedel, "The consistency of the continuum hypothesis",
 ++   Ann. Math. Studies, Princeton Univ. Press, 1940
@@ -16217,13 +16987,6 @@ o )show CartesianTensor
 ++ Author: Stephen M. Watt
 ++ Date Created: December 1986
 ++ Date Last Updated: May 15, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: tensor, graded algebra
-++ Examples:
-++ References:
 ++ Description:
 ++ CartesianTensor(minix,dim,R) provides Cartesian tensors with
 ++ components belonging to a commutative ring R.  These tensors
@@ -17073,13 +17836,6 @@ o )show Character
 ++ Author: Stephen M. Watt
 ++ Date Created: July 1986
 ++ Date Last Updated: June 20, 1991
-++ Basic Operations: char
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: character, string
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides the basic character data type.
 
@@ -17532,13 +18288,6 @@ o )show CharacterClass
 ++ Author: Stephen M. Watt
 ++ Date Created: July 1986
 ++ Date Last Updated: June 20, 1991
-++ Basic Operations: charClass
-++ Related Domains: Character, Bits
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain allows classes of characters to be defined and manipulated
 ++ efficiently.
@@ -18492,14 +19241,6 @@ o $AXIOM/doc/src/algebra/clifford.spad
 ++ Author: Stephen M. Watt
 ++ Date Created: August 1988
 ++ Date Last Updated: May 17, 1991
-++ Basic Operations: wholeRadix, fractRadix, wholeRagits, fractRagits
-++ Related Domains: QuadraticForm, Quaternion, Complex
-++ Also See:
-++ AMS Classifications:
-++ Keywords: clifford algebra, grassman algebra, spin algebra
-++ Examples:
-++ References:
-++
 ++ Description:
 ++ CliffordAlgebra(n, K, Q) defines a vector space of dimension \spad{2**n}
 ++ over K, given a quadratic form Q on \spad{K**n}.
@@ -18735,6 +19476,9 @@ CliffordAlgebra(n, K, Q): T == Impl where
 Color examples
 ====================================================================
 
+Color() specifies a domain of 27 colors provided in the Axiom system 
+(the colors mix additively).
+
 See Also:
 o )show Color
 
@@ -18768,15 +19512,9 @@ o )show Color
 ++ Author: Jim Wen
 ++ Date Created: 10 May 1989
 ++ Date Last Updated: 19 Mar 1991 by Jon Steinbach
-++ Basic Operations: red, yellow, green, blue, hue, numberOfHues, color, +, *, =
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ Color() specifies a domain of 27 colors provided in the 
-++ \Language{} system (the colors mix additively).
+++ Axiom system (the colors mix additively).
 
 Color(): Exports == Implementation where
   I      ==> Integer
@@ -18897,6 +19635,8 @@ Color(): Exports == Implementation where
 Commutator examples
 ====================================================================
 
+A type for basic commutators
+
 See Also:
 o )show Commutator
 
@@ -19397,14 +20137,6 @@ o )show Complex
 \begin{chunk}{domain COMPLEX Complex}
 )abbrev domain COMPLEX Complex
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ \spadtype{Complex(R)} creates the domain of elements of the form
 ++ \spad{a + b * i} where \spad{a} and b come from the ring R,
@@ -19755,7 +20487,8 @@ o )show ComplexDoubleFloatMatrix
 \begin{chunk}{domain CDFMAT ComplexDoubleFloatMatrix}
 )abbrev domain CDFMAT ComplexDoubleFloatMatrix
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements matrices
+++ Description:
+++ This is a low-level domain which implements matrices
 ++ (two dimensional arrays) of complex double precision floating point
 ++ numbers.  Indexing is 0 based, there is no bound checking (unless
 ++ provided by lower level).
@@ -20076,7 +20809,8 @@ o )show ComplexDoubleFloatVector
 \begin{chunk}{domain CDFVEC ComplexDoubleFloatVector}
 )abbrev domain CDFVEC ComplexDoubleFloatVector
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements vectors
+++ Description:
+++ This is a low-level domain which implements vectors
 ++ (one dimensional arrays) of complex double precision floating point
 ++ numbers.  Indexing is 0 based, there is no bound checking (unless
 ++ provided by lower level).
@@ -20737,19 +21471,7 @@ o )show ContinuedFraction
 )abbrev domain CONTFRAC ContinuedFraction
 ++ Author: Stephen M. Watt
 ++ Date Created: January 1987
-++ Change History:
-++   11 April   1990
-++    7 October 1991 -- SMW: Treat whole part specially.  Added comments.
-++ Basic Operations:
-++   (Field), (Algebra),
-++   approximants, complete, continuedFraction, convergents, denominators,
-++   extend, numerators, partialDenominators, partialNumerators,
-++   partialQuotients, reducedContinuedFraction, reducedForm, wholePart
-++ Related Constructors:
-++ Also See: Fraction
-++ AMS Classifications: 11A55 11J70 11K50 11Y65 30B70 40A15
-++ Keywords: continued fraction, convergent
-++ References:
+++ Change History: 7 October 1991
 ++ Description: 
 ++ \spadtype{ContinuedFraction} implements general
 ++ continued fractions.  This version is not restricted to simple,
@@ -21115,6 +21837,9 @@ ContinuedFraction(R): Exports == Implementation where
 Database examples
 ====================================================================
 
+This domain implements a simple view of a database whose fields are 
+indexed by symbols
+
 See Also:
 o )show Database
 
@@ -21342,6 +22067,8 @@ Database(S): Exports == Implementation where
 DataList examples
 ====================================================================
 
+This domain provides some nice functions on lists
+
 See Also:
 o )show DataList
 
@@ -21750,13 +22477,6 @@ o )show DecimalExpansion
 ++ Author: Stephen M. Watt
 ++ Date Created: October, 1986
 ++ Date Last Updated: May 15, 1991
-++ Basic Operations:
-++ Related Domains: RadixExpansion
-++ Also See:
-++ AMS Classifications:
-++ Keywords: radix, base, repeating decimal
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain allows rational numbers to be presented as repeating
 ++ decimal expansions.
@@ -23461,7 +24181,6 @@ description is in terms of a vector and angle of rotation.
 
   
 )abbrev domain DHMATRIX DenavitHartenbergMatrix
- 
 ++ Author: Timothy Daly
 ++ Date Created: June 26, 1991
 ++ Date Last Updated: 26 June 1991
@@ -24499,13 +25218,6 @@ o )show BagAggregate
 ++ Author: Michael Monagan and Stephen Watt
 ++ Date Created:June 86 and July 87
 ++ Date Last Updated:Feb 92
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Linked list implementation of a Dequeue
  
@@ -25391,11 +26103,6 @@ o )show DeRhamComplex
 ++ Author: Larry A. Lambe
 ++ Date    : 01/26/91.
 ++ Revised : 12/01/91.
-++
-++ based on code from '89 (AntiSymmetric)
-++
-++ Needs: LeftAlgebra, ExtAlgBasis, FreeMod(Ring,OrderedSet)
-++
 ++ Description:
 ++ The deRham complex of Euclidean space, that is, the
 ++ class of differential forms of arbitary degree over a coefficient ring.
@@ -25574,6 +26281,8 @@ DeRhamComplex(CoefRing,listIndVar:List Symbol): Export == Implement where
 DesingTree examples
 ====================================================================
 
+This category is part of the PAFF package
+
 See Also:
 o )show DesingTree
 
@@ -25886,6 +26595,11 @@ DesingTree(S: SetCategory): T==C where
 DifferentialSparseMultivariatePolynomial examples
 ====================================================================
 
+DifferentialSparseMultivariatePolynomial implements an ordinary 
+differential polynomial ring by combining a domain belonging to the 
+category DifferentialVariableCategory with the domain 
+SparseMultivariatePolynomial.
+
 See Also:
 o )show DifferentialSparseMultivariatePolynomial
 
@@ -25999,12 +26713,6 @@ o )show DifferentialSparseMultivariatePolynomial
 ++ Author:  William Sit
 ++ Date Created: 19 July 1990
 ++ Date Last Updated: 13 September 1991
-++ Basic Operations:DifferentialPolynomialCategory
-++ Related Constructors:
-++ See Also:
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, ranking, differential polynomials,
-++           order, weight, leader, separant, initial, isobaric
 ++ References:Kolchin, E.R. "Differential Algebra and Algebraic Groups"
 ++   (Academic Press, 1973).
 ++ Description:
@@ -26179,6 +26887,16 @@ DifferentialSparseMultivariatePolynomial(R, S, V):
 DirectProduct examples
 ====================================================================
 
+This type represents the finite direct or cartesian product of an
+underlying component type. This contrasts with simple vectors in that
+the members can be viewed as having constant length. Thus many
+categorical properties can by lifted from the underlying component
+type.  Component extraction operations are provided but no updating
+operations.  Thus new direct product elements can either be created by
+converting vector elements using the directProduct function or by
+taking appropriate linear combinations of basis vectors provided by
+the unitVector operation.
+
 See Also:
 o )show DirectProduct
 
@@ -26269,14 +26987,6 @@ o )show DirectProduct
 \begin{chunk}{domain DIRPROD DirectProduct}
 )abbrev domain DIRPROD DirectProduct
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: Vector, IndexedVector
-++ Also See: OrderedDirectProduct
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type represents the finite direct or cartesian product of an
 ++ underlying component type. This contrasts with simple vectors in that
@@ -26503,6 +27213,9 @@ DirectProduct(dim:NonNegativeInteger, R:Type):
 DirectProductMatrixModule examples
 ====================================================================
 
+This constructor provides a direct product type with a left
+matrix-module view.
+
 See Also:
 o )show DirectProductMatrixModule
 
@@ -26600,13 +27313,6 @@ o )show DirectProductMatrixModule
 ++ Author:  Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This constructor provides a direct product type with a
 ++ left matrix-module view.
@@ -26762,6 +27468,9 @@ DirectProductMatrixModule(n, R, M, S): DPcategory == DPcapsule where
 DirectProductModule examples
 ====================================================================
 
+This constructor provides a direct product of R-modules with an
+R-module view.
+
 See Also:
 o )show DirectProductModule
 
@@ -26858,13 +27567,6 @@ o )show DirectProductModule
 ++ Author:  Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This constructor provides a direct product of R-modules
 ++ with an R-module view.
@@ -27130,6 +27832,9 @@ reduce(_and,[(x = y)@Boolean for x in t9 for y in t10])
 DirichletRing examples
 ====================================================================
 
+DirichletRing is the ring of arithmetical functions with Dirichlet
+convolution as multiplication
+
 See Also:
 o )show DirichletRing
 
@@ -27173,7 +27878,8 @@ o )show DirichletRing
 \begin{chunk}{domain DIRRING DirichletRing}
 )abbrev domain DIRRING DirichletRing
 ++ Author: Martin Rubey
-++ Description: DirichletRing is the ring of arithmetical functions
+++ Description:
+++ DirichletRing is the ring of arithmetical functions
 ++ with Dirichlet convolution as multiplication
 DirichletRing(Coef: Ring):
             Exports == Implementation where
@@ -27619,16 +28325,6 @@ o )show DistributedMultivariatePolynomial
 \begin{chunk}{domain DMP DistributedMultivariatePolynomial}
 )abbrev domain DMP DistributedMultivariatePolynomial
 ++ Author: Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, degree, eval, coefficient, monomial, differentiate,
-++ resultant, gcd, leadingCoefficient
-++ Related Constructors: GeneralDistributedMultivariatePolynomial,
-++ HomogeneousDistributedMultivariatePolynomial
-++ Also See: Polynomial
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, distributed
-++ References:
 ++ Description:
 ++ This type supports distributed multivariate polynomials
 ++ whose variables are from a user specified list of symbols.
@@ -27717,6 +28413,8 @@ DistributedMultivariatePolynomial(vl,R): public == private where
 Divisor examples
 ====================================================================
 
+The following is part of the PAFF package
+
 See Also:
 o )show Divisor
 
@@ -28435,12 +29133,7 @@ o )show DoubleFloat
 \begin{chunk}{domain DFLOAT DoubleFloat}
 )abbrev domain DFLOAT DoubleFloat
 ++ Author: Michael Monagan
-++ Date Created:
-++   January 1988
-++ Change History:
-++ Basic Operations: exp1, hash, log2, log10, rationalApproximation, / , **
-++ Related Constructors:
-++ Keywords: small float
+++ Date Created: January 1988
 ++ Description:  
 ++ \spadtype{DoubleFloat} is intended to make accessible
 ++ hardware floating point arithmetic in Axiom, either native double
@@ -29055,7 +29748,8 @@ o )show DoubleFloatMatrix
 \begin{chunk}{domain DFMAT DoubleFloatMatrix}
 )abbrev domain DFMAT DoubleFloatMatrix
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements matrices
+++ Description:
+++ This is a low-level domain which implements matrices
 ++ (two dimensional arrays) of double precision floating point
 ++ numbers.  Indexing is 0 based, there is no bound checking (unless
 ++ provided by lower level).
@@ -29368,7 +30062,8 @@ o )show DoubleFloatVector
 \begin{chunk}{domain DFVEC DoubleFloatVector}
 )abbrev domain DFVEC DoubleFloatVector
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements vectors
+++ Description:
+++ This is a low-level domain which implements vectors
 ++ (one dimensional arrays) of double precision floating point
 ++ numbers.  Indexing is 0 based, there is no bound checking (unless
 ++ provided by lower level).
@@ -29462,6 +30157,9 @@ DoubleFloatVector : VectorCategory DoubleFloat with
 DrawOption examples
 ====================================================================
 
+DrawOption allows the user to specify defaults for the creation and
+rendering of plots.
+
 See Also:
 o )show DrawOption
 
@@ -29505,14 +30203,6 @@ o )show DrawOption
 ++ Author: Stephen Watt
 ++ Date Created: 1 March 1990
 ++ Date Last Updated: 31 Oct 1990, Jim Wen
-++ Basic Operations: adaptive, clip, title, style, toScale, coordinates,
-++ pointColor, curveColor, colorFunction, tubeRadius, range, ranges,
-++ var1Steps, var2Steps, tubePoints, unit
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ DrawOption allows the user to specify defaults for the 
 ++ creation and rendering of plots.
@@ -29757,6 +30447,12 @@ DrawOption(): Exports == Implementation where
 d01ajfAnnaType examples
 ====================================================================
 
+d01ajfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01AJF, a general numerical integration routine which can handle 
+some singularities in the input function.  The function measure measures 
+the usefulness of the routine D01AJF for the given problem.  The function 
+numericalIntegration performs the integration by using NagIntegrationPackage.
+
 See Also:
 o )show d01ajfAnnaType
 
@@ -29781,8 +30477,6 @@ o )show d01ajfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01ajfAnnaType} is a domain of 
 ++ \axiomType{NumericalIntegrationCategory}
@@ -29875,6 +30569,12 @@ d01ajfAnnaType(): NumericalIntegrationCategory == Result add
 d01akfAnnaType examples
 ====================================================================
 
+d01akfAnnaType is a domain of NumericalIntegrationCategoryfor the NAG 
+routine D01AKF, a numerical integration routine which is is suitable for 
+oscillating, non-singular functions.  The function measure measures the 
+usefulness of the routine D01AKF for the given problem.  The function 
+numericalIntegration performs the integration by using NagIntegrationPackage.
+
 See Also:
 o )show d01akfAnnaType
 
@@ -29899,8 +30599,6 @@ o )show d01akfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01akfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -29998,6 +30696,12 @@ d01akfAnnaType(): NumericalIntegrationCategory == Result add
 d01alfAnnaType examples
 ====================================================================
 
+d01alfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01ALF, a general numerical integration routine which can handle 
+a list of singularities.  The function measure measures the usefulness of 
+the routine D01ALF for the given problem. The function numericalIntegration
+performs the integration by using NagIntegrationPackage.
+
 See Also:
 o )show d01alfAnnaType
 
@@ -30022,8 +30726,6 @@ o )show d01alfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01alfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30133,6 +30835,13 @@ d01alfAnnaType(): NumericalIntegrationCategory == Result add
 d01amfAnnaType examples
 ====================================================================
 
+d01amfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01AMF, a general numerical integration routine which can handle 
+infinite or semi-infinite range of the input function.  The function 
+measure measures the usefulness of the routine D01AMF for the given problem.
+The function numericalIntegration performs the integration by using 
+NagIntegrationPackage.
+
 See Also:
 o )show d01amfAnnaType
 
@@ -30157,8 +30866,6 @@ o )show d01amfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01amfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30264,6 +30971,13 @@ d01amfAnnaType(): NumericalIntegrationCategory == Result add
 d01anfAnnaType examples
 ====================================================================
 
+d01anfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01ANF, a numerical integration routine which can handle weight 
+functions of the form cos(omega x) or sin(omega x).  The function 
+measure measures the usefulness of the routine D01ANF for the given 
+problem. The function numericalIntegration performs the integration 
+by using NagIntegrationPackage.
+
 See Also:
 o )show d01anfAnnaType
 
@@ -30288,8 +31002,6 @@ o )show d01anfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01anfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30397,6 +31109,14 @@ d01anfAnnaType(): NumericalIntegrationCategory == Result add
 d01apfAnnaType examples
 ====================================================================
 
+d01apfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01APF, a general numerical integration routine which can handle 
+end point singularities of the algebraico-logarithmic form
+    w(x) = (x-a)^c * (b-x)^d.  
+The function measure measures the usefulness of the routine D01APF
+for the given problem. The function numericalIntegration performs the 
+integration by using NagIntegrationPackage.
+
 See Also:
 o )show d01apfAnnaType
 
@@ -30421,8 +31141,6 @@ o )show d01apfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01apfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30543,6 +31261,13 @@ d01apfAnnaType(): NumericalIntegrationCategory == Result add
 d01aqfAnnaType examples
 ====================================================================
 
+d01aqfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01AQF, a general numerical integration routine which can solve 
+an integral of the form d01aqf.xbm. The function measure measures the 
+usefulness of the routine D01AQF for the given problem.  The function 
+numericalIntegration performs the integration by using 
+NagIntegrationPackage.
+
 See Also:
 o )show d01aqfAnnaType
 
@@ -30567,8 +31292,6 @@ o )show d01aqfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01aqfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30685,6 +31408,13 @@ d01aqfAnnaType(): NumericalIntegrationCategory == Result add
 d01asfAnnaType examples
 ====================================================================
 
+d01asfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01ASF, a numerical integration routine which can handle weight 
+functions of the form cos(omega x) or sin(omega x) on an semi-infinite 
+range.  The function measure measures the usefulness of the routine D01ASF
+for the given problem.  The function numericalIntegration performs the 
+integration by using NagIntegrationPackage.
+
 See Also:
 o )show d01asfAnnaType
 
@@ -30709,8 +31439,6 @@ o )show d01asfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01asfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30824,6 +31552,13 @@ d01asfAnnaType(): NumericalIntegrationCategory == Result add
 d01fcfAnnaType examples
 ====================================================================
 
+d01fcfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01FCF, a numerical integration routine which can handle 
+multi-dimensional quadrature over a finite region.  The function 
+measure measures the usefulness of the routine D01GBF for the given 
+problem. The function numericalIntegration performs the integration 
+by using NagIntegrationPackage.
+
 See Also:
 o )show d01fcfAnnaType
 
@@ -30848,8 +31583,6 @@ o )show d01fcfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01fcfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -30953,6 +31686,13 @@ d01fcfAnnaType(): NumericalIntegrationCategory == Result add
 d01gbfAnnaType examples
 ====================================================================
 
+d01gbfAnnaType is a domain of NumericalIntegrationCategory for the NAG 
+routine D01GBF, a numerical integration routine which can handle 
+multi-dimensional quadrature over a finite region.  The function 
+measure measures the usefulness of the routine D01GBF for the given problem.
+The function numericalIntegration performs the integration by using 
+NagIntegrationPackage.
+
 See Also:
 o )show d01gbfAnnaType
 
@@ -30977,8 +31717,6 @@ o )show d01gbfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: March 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{d01gbfAnnaType} is a domain of
 ++ \axiomType{NumericalIntegrationCategory}
@@ -31088,6 +31826,11 @@ d01gbfAnnaType(): NumericalIntegrationCategory == Result add
 d01TransformFunctionType examples
 ====================================================================
 
+Since an infinite integral cannot be evaluated numerically it is 
+necessary to transform the integral onto finite ranges.
+d01TransformFunctionType uses the mapping x -> 1/x and contains the 
+functions measure and numericalIntegration.
+
 See Also:
 o )show d01TransformFunctionType
 
@@ -31112,8 +31855,6 @@ o )show d01TransformFunctionType
 ++ Author: Brian Dupee
 ++ Date Created: April 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: measure, numericalIntegration
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ Since an infinite integral cannot be evaluated numerically
 ++ it is necessary to transform the integral onto finite ranges.
@@ -31307,6 +32048,14 @@ d01TransformFunctionType():NumericalIntegrationCategory == Result add
 d02bbfAnnaType examples
 ====================================================================
 
+d02bbfAnnaType is a domain of 
+OrdinaryDifferentialEquationsInitialValueProblemSolverCategory
+for the NAG routine D02BBF, a ODE routine which uses an Runge-Kutta method 
+to solve a system of differential equations.  The function measure
+measures the usefulness of the routine D02BBF for the given problem. 
+The function ODESolve performs the integration by using 
+NagOrdinaryDifferentialEquationsPackage.
+
 See Also:
 o )show d02bbfAnnaType
 
@@ -31331,7 +32080,6 @@ o )show d02bbfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1995
 ++ Date Last Updated: January 1996
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{d02bbfAnnaType} is a domain of 
 ++ \axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory}
@@ -31459,6 +32207,14 @@ d02bbfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 d02bhfAnnaType examples
 ====================================================================
 
+d02bhfAnnaType is a domain of 
+OrdinaryDifferentialEquationsInitialValueProblemSolverCategory
+for the NAG routine D02BHF, a ODE routine which uses a Runge-Kutta method 
+to solve a system of differential equations. The function measure measures
+the usefulness of the routine D02BHF for the given problem.  The function 
+ODESolve performs the integration by using 
+NagOrdinaryDifferentialEquationsPackage.
+
 See Also:
 o )show d02bhfAnnaType
 
@@ -31483,7 +32239,6 @@ o )show d02bhfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1995
 ++ Date Last Updated: January 1996
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{d02bhfAnnaType} is a domain of 
 ++ \axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory}
@@ -31608,6 +32363,14 @@ d02bhfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 d02cjfAnnaType examples
 ====================================================================
 
+d02cjfAnnaType is a domain of 
+OrdinaryDifferentialEquationsInitialValueProblemSolverCategory
+for the NAG routine D02CJF, a ODE routine which uses an  
+Adams-Moulton-Bashworth method to solve a system of differential 
+equations.  The function measure measures the usefulness of the 
+routine D02CJF for the given problem.  The function ODESolve performs 
+the integration by using NagOrdinaryDifferentialEquationsPackage.
+
 See Also:
 o )show d02cjfAnnaType
 
@@ -31632,7 +32395,6 @@ o )show d02cjfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1995
 ++ Date Last Updated: January 1996
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{d02cjfAnnaType} is a domain of 
 ++ \axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory}
@@ -31750,6 +32512,14 @@ d02cjfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 d02ejfAnnaType examples
 ====================================================================
 
+d02ejfAnnaType is a domain of 
+OrdinaryDifferentialEquationsInitialValueProblemSolverCategory
+for the NAG routine D02EJF, a ODE routine which uses a backward 
+differentiation formula method to handle a stiff system of differential 
+equations. The function measure measures the usefulness of the routine 
+D02EJF for the given problem.  The function ODESolve performs the 
+integration by using NagOrdinaryDifferentialEquationsPackage.
+
 See Also:
 o )show d02ejfAnnaType
 
@@ -31774,7 +32544,6 @@ o )show d02ejfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1995
 ++ Date Last Updated: January 1996
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{d02ejfAnnaType} is a domain of 
 ++ \axiomType{OrdinaryDifferentialEquationsInitialValueProblemSolverCategory}
@@ -31923,6 +32692,9 @@ d02ejfAnnaType():OrdinaryDifferentialEquationsSolverCategory == Result add
 d03eefAnnaType examples
 ====================================================================
 
+d03eefAnnaType is a domain of PartialDifferentialEquationsSolverCategory
+for the NAG routines D03EEF/D03EDF.
+
 See Also:
 o )show d03eefAnnaType
 
@@ -31947,7 +32719,6 @@ o )show d03eefAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: June 1996
 ++ Date Last Updated: June 1996
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{d03eefAnnaType} is a domain of 
 ++ \axiomType{PartialDifferentialEquationsSolverCategory}
@@ -32056,6 +32827,9 @@ d03eefAnnaType():PartialDifferentialEquationsSolverCategory == Result add
 d03fafAnnaType examples
 ====================================================================
 
+d03fafAnnaType is a domain of PartialDifferentialEquationsSolverCategory
+for the NAG routine D03FAF.
+
 See Also:
 o )show d03fafAnnaType
 
@@ -32080,7 +32854,6 @@ o )show d03fafAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: July 1996
 ++ Date Last Updated: July 1996
-++ Basic Operations: 
 ++ Description:
 ++ \axiomType{d03fafAnnaType} is a domain of 
 ++ \axiomType{PartialDifferentialEquationsSolverCategory}
@@ -32367,13 +33140,6 @@ o )show Equation
 ++ Author: Stephen M. Watt, enhancements by Johannes Grabmeier
 ++ Date Created: April 1985
 ++ Date Last Updated: June 3, 1991; September 2, 1992
-++ Basic Operations: =
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ Equations as mathematical objects.  All properties of the basis domain,
 ++ e.g. being an abelian group are carried over the equation domain, by
@@ -32761,13 +33527,6 @@ o )show EqTable
 ++ Author: Stephen M. Watt
 ++ Date Created: 
 ++ Date Last Updated: June 21, 1991
-++ Basic Operations: 
-++ Related Domains: HashTable, Table, StringTable
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides tables where the keys are compared using 
 ++ \spadfun{eq?}.  Thus keys are considered equal only if they
@@ -32848,8 +33607,13 @@ EqTable(Key: SetCategory, Entry: SetCategory) ==
 EuclideanModularRing examples
 ====================================================================
 
+These domains are used for the factorization and gcds of univariate 
+polynomials over the integers in order to work modulo different  primes.
+
 See Also:
 o )show EuclideanModularRing
+o )show ModularRing
+o )show ModularField
 
 \end{chunk}
 
@@ -33137,13 +33901,6 @@ o )show Exit
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: May 30, 1991
-++ Basic Operations: 
-++ Related Domains: ErrorFunctions, ResolveLatticeCompletion, Void
-++ Also See:
-++ AMS Classifications:
-++ Keywords: exit, throw, error, non-local return
-++ Examples:
-++ References:
 ++ Description:
 ++ A function which does not return directly to its caller should
 ++ have Exit as its return type.
@@ -33310,6 +34067,11 @@ Exit: SetCategory == add
 ExponentialExpansion examples
 ====================================================================
 
+UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to
+represent essential singularities of functions.  Objects in this domain
+are quotients of sums, where each term in the sum is a univariate Puiseux
+series times the exponential of a univariate Puiseux series.
+
 See Also:
 o )show ExponentialExpansion
 
@@ -33410,14 +34172,6 @@ o )show ExponentialExpansion
 ++ Author: Clifton J. Williamson
 ++ Date Created: 13 August 1992
 ++ Date Last Updated: 27 August 1992
-++ Basic Operations:
-++ Related Domains: UnivariatePuiseuxSeries(FE,var,cen),
-++                  ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: limit, functional expression, power series
-++ Examples:
-++ References:
 ++ Description:
 ++ UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to
 ++ represent essential singularities of functions.  Objects in this domain
@@ -34107,7 +34861,6 @@ o )show Expression
 ++ Author: Manuel Bronstein
 ++ Date Created: 19 July 1988
 ++ Date Last Updated: October 1993 (P.Gianni), February 1995 (MB)
-++ Keywords: operator, kernel, function.
 ++ Description: 
 ++ Top-level mathematical expressions involving symbolic functions.
 
@@ -34794,6 +35547,17 @@ Expression(R:OrderedSet): Exports == Implementation where
 ExponentialOfUnivariatePuiseuxSeries examples
 ====================================================================
 
+ExponentialOfUnivariatePuiseuxSeries is a domain used to represent
+essential singularities of functions.  An object in this domain is a
+function of the form exp(f(x)), where f(x) is a Puiseux series with no 
+terms of non-negative degree.  Objects are ordered according to order of 
+singularity, with functions which tend more rapidly to zero or infinity 
+considered to be larger.  Thus, if order(f(x)) < order(g(x)), i.e. the 
+first non-zero term of f(x) has lower degree than the first non-zero 
+term of g(x), then exp(f(x)) > exp(g(x)). If order(f(x)) = order(g(x)),
+then the ordering is essentially random.  This domain is used in 
+computing limits involving functions with essential singularities.
+
 See Also:
 o )show ExponentialOfUnivariatePuiseuxSeries
 
@@ -34921,12 +35685,6 @@ o )show ExponentialOfUnivariatePuiseuxSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 4 August 1992
 ++ Date Last Updated: 27 August 1992
-++ Basic Operations:
-++ Related Domains: UnivariatePuiseuxSeries(FE,var,cen)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: limit, functional expression, power series, essential singularity
-++ Examples:
 ++ References:
 ++ Description:
 ++ ExponentialOfUnivariatePuiseuxSeries is a domain used to represent
@@ -35033,6 +35791,21 @@ ExponentialOfUnivariatePuiseuxSeries(FE,var,cen):_
 ExtAlgBasis examples
 ====================================================================
 
+A domain used in the construction of the exterior algebra on a set
+X over a ring R.  This domain represents the set of all ordered
+subsets of the set X, assumed to be in correspondance with
+{1,2,3, ...}.  The ordered subsets are themselves ordered 
+lexicographically and are in bijective correspondance with an ordered 
+basis of the exterior algebra.  In this domain we are dealing strictly
+with the exponents of basis elements which can only be 0 or 1.
+Thus we really have L({0,1}).
+
+The multiplicative identity element of the exterior algebra corresponds
+to the empty subset of X.  A coerce from List Integer to an
+ordered basis element is provided to allow the convenient input of 
+expressions. Another exported function forgets the ordered structure
+and simply returns the list corresponding to an ordered subset.
+
 See Also:
 o )show ExtAlgBasis
 
@@ -35188,6 +35961,12 @@ ExtAlgBasis(): Export == Implement where
 e04dgfAnnaType examples
 ====================================================================
 
+e04dgfAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04DGF, a general optimization routine which can handle some singularities 
+in the input function.  The function measure measures the usefulness of the 
+routine E04DGF for the given problem. The function numericalOptimization
+performs the optimization by using NagOptimisationPackage.
+
 See Also:
 o )show e04dgfAnnaType
 
@@ -35219,8 +35998,6 @@ o )show e04dgfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: February 1996
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04dgfAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04DGF, a general optimization routine which
@@ -35328,6 +36105,12 @@ e04dgfAnnaType(): NumericalOptimizationCategory == Result add
 e04fdfAnnaType examples
 ====================================================================
 
+e04fdfAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04FDF, a general optimization routine which can handle some singularities 
+in the input function.  The function measure measures the usefulness of the 
+routine E04FDF for the given problem. The function numericalOptimization
+performs the optimization by using NagOptimisationPackage.
+
 See Also:
 o )show e04fdfAnnaType
 
@@ -35359,8 +36142,6 @@ o )show e04fdfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: February 1996
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04fdfAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04FDF, a general optimization routine which
@@ -35494,6 +36275,12 @@ e04fdfAnnaType(): NumericalOptimizationCategory == Result add
 e04gcfAnnaType examples
 ====================================================================
 
+e04gcfAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04GCF, a general optimization routine which can handle some singularities 
+in the input function.  The function measure measures the usefulness of the 
+routine E04GCF for the given problem. The function numericalOptimization
+performs the optimization by using NagOptimisationPackage.
+
 See Also:
 o )show e04gcfAnnaType
 
@@ -35525,8 +36312,6 @@ o )show e04gcfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: February 1996
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04gcfAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04GCF, a general optimization routine which
@@ -35676,6 +36461,12 @@ e04gcfAnnaType(): NumericalOptimizationCategory == Result add
 e04jafAnnaType examples
 ====================================================================
 
+e04jafAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04JAF, a general optimization routine which can handle some singularities 
+in the input function.  The function measure measures the usefulness of the 
+routine E04JAF for the given problem. The function numericalOptimization
+performs the optimization by using NagOptimisationPackage.
+
 See Also:
 o )show e04jafAnnaType
 
@@ -35707,8 +36498,6 @@ o )show e04jafAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: February 1996
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04jafAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04JAF, a general optimization routine which
@@ -35833,6 +36622,12 @@ e04jafAnnaType(): NumericalOptimizationCategory == Result add
 e04mbfAnnaType examples
 ====================================================================
 
+e04mbfAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04MBF, an optimization routine for Linear functions. The function
+measure measures the usefulness of the routine E04MBF for the given problem.
+The function numericalOptimization performs the optimization by using 
+NagOptimisationPackage.
+
 See Also:
 o )show e04mbfAnnaType
 
@@ -35864,8 +36659,6 @@ o )show e04mbfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: February 1996
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04mbfAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04MBF, an optimization routine for Linear functions.
@@ -35976,6 +36769,12 @@ e04mbfAnnaType(): NumericalOptimizationCategory == Result add
 e04nafAnnaType examples
 ====================================================================
 
+e04nafAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04NAF, an optimization routine for Quadratic functions. The function
+measure measures the usefulness of the routine E04NAF for the given problem.
+The function numericalOptimization performs the optimization by using 
+NagOptimisationPackage.
+
 See Also:
 o )show e04nafAnnaType
 
@@ -36007,8 +36806,6 @@ o )show e04nafAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: February 1996
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04nafAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04NAF, an optimization routine for Quadratic functions.
@@ -36134,6 +36931,12 @@ e04nafAnnaType(): NumericalOptimizationCategory == Result add
 e04ucfAnnaType examples
 ====================================================================
 
+e04ucfAnnaType is a domain of NumericalOptimization for the NAG routine 
+E04UCF, a general optimization routine which can handle some singularities 
+in the input function.  The function measure measures the usefulness of the 
+routine E04UCF for the given problem. The function numericalOptimization
+performs the optimization by using NagOptimisationPackage.
+
 See Also:
 o )show e04ucfAnnaType
 
@@ -36165,8 +36968,6 @@ o )show e04ucfAnnaType
 ++ Author: Brian Dupee
 ++ Date Created: February 1996
 ++ Date Last Updated: November 1997
-++ Basic Operations: measure, numericalOptimization
-++ Related Constructors: Result, RoutinesTable
 ++ Description:
 ++ \axiomType{e04ucfAnnaType} is a domain of \axiomType{NumericalOptimization}
 ++ for the NAG routine E04UCF, a general optimization routine which
@@ -36960,20 +37761,9 @@ o )show Factored
 
 \begin{chunk}{domain FR Factored}
 )abbrev domain FR Factored
-++ Author: Robert S. Sutor
+++ Author: Robert S. Sutor, J. Grabmeier
 ++ Date Created: 1985
-++ Change History:
-++   21 Jan 1991  J Grabmeier     Corrected a bug in exquo.
-++   16 Aug 1994  R S Sutor       Improved convert to InputForm
-++ Basic Operations:
-++   expand, exponent, factorList, factors, flagFactor, irreducibleFactor,
-++   makeFR, map, nilFactor, nthFactor, nthFlag, numberOfFactors,
-++   primeFactor, sqfrFactor, unit, unitNormalize,
-++ Related Constructors: FactoredFunctionUtilities, FactoredFunctions2
-++ Also See:
-++ AMS Classifications: 11A51, 11Y05
-++ Keywords: factorization, prime, square-free, irreducible, factor
-++ References:
+++ Change History: 21 Jan 1991 (J Grabmeier) 16 Aug 1994 (R S Sutor)
 ++ Description:
 ++ \spadtype{Factored} creates a domain whose objects are kept in
 ++ factored form as long as possible.  Thus certain operations like
@@ -37745,13 +38535,6 @@ o )show File
 ++ Author: Stephen M. Watt, Victor Miller
 ++ Date Created: 1984
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations: 
-++ Related Domains: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides a basic model of files to save arbitrary values.
 ++ The operations provide sequential access to the contents.
@@ -38139,13 +38922,6 @@ o )show FileName
 ++ Author: Stephen M. Watt
 ++ Date Created: 1985
 ++ Date Last Updated: June 20, 1991
-++ Basic Operations: 
-++ Related Domains: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides an interface to names in the file system.
  
@@ -38224,6 +39000,10 @@ FileName(): FileNameCategory == add
 FiniteDivisor examples
 ====================================================================
 
+This domains implements finite rational divisors on a curve, that
+is finite formal sums SUM(n * P) where the n's are integers and the
+P's are finite rational points on the curve.
+
 See Also:
 o )show FiniteDivisor
 
@@ -38270,8 +39050,6 @@ o )show FiniteDivisor
 ++ This domains implements finite rational divisors on a curve, that
 ++ is finite formal sums SUM(n * P) where the n's are integers and the
 ++ P's are finite rational points on the curve.
-++ Keywords: divisor, algebraic, curve.
-++ Examples: )r FDIV INPUT
 
 FiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
   F   : Field
@@ -38519,8 +39297,13 @@ FiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
 FiniteField examples
 ====================================================================
 
+FiniteField(p,n) implements finite fields with p**n elements.
+This packages checks that p is prime.
+For a non-checking version, see InnerFiniteField.
+
 See Also:
 o )show FiniteField
+o )show InnerFiniteField
 
 \end{chunk}
 
@@ -38625,12 +39408,6 @@ o )show FiniteField
 ++ Author: Mark Botch
 ++ Date Created: ???
 ++ Date Last Updated: 29 May 1990
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: field, extension field, algebraic extension,
-++  finite extension, finite field, Galois field
 ++ Reference:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics an
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -38780,6 +39557,15 @@ FiniteField(p:PositiveInteger, n:PositiveInteger): _
 FiniteFieldCyclicGroup examples
 ====================================================================
 
+FiniteFieldCyclicGroup(p,n) implements a finite field extension of degee n
+over the prime field with p elements. Its elements are represented by
+powers of a primitive element, i.e. a generator of the multiplicative
+(cyclic) group. As primitive element we choose the root of the extension
+polynomial, which is created by createPrimitivePoly from
+FiniteFieldPolynomialPackage. The Zech logarithms are stored in a table 
+of size half of the field size, and use SingleInteger for representing 
+field elements, hence, there are restrictions on the size of the field.
+
 See Also:
 o )show FiniteFieldCyclicGroup
 
@@ -38885,13 +39671,6 @@ o )show FiniteFieldCyclicGroup
 )abbrev domain FFCG FiniteFieldCyclicGroup
 ++ Authors: J.Grabmeier, A.Scheerhorn
 ++ Date Created: 04.04.1991
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Constructors:  FiniteFieldCyclicGroupExtensionByPolynomial,
-++  FiniteFieldPolynomialPackage
-++ Also See: FiniteField, FiniteFieldNormalBasis
-++ AMS Classifications:
-++ Keywords: finite field, primitive elements, cyclic group
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encycoldia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -39049,6 +39828,15 @@ FiniteFieldCyclicGroup(p,extdeg):_
 FiniteFieldCyclicGroupExtension examples
 ====================================================================
 
+FiniteFieldCyclicGroupExtension(GF,n)  implements a extension of degree n
+over the ground field GF. Its elements are represented by powers of
+a primitive element, i.e. a generator of the multiplicative (cyclic) group.
+As primitive element we choose the root of the extension polynomial, which
+is created by createPrimitivePoly from FiniteFieldPolynomialPackage. 
+Zech logarithms are stored in a table of size half of the field size, 
+and use SingleInteger for representing field elements, hence, there 
+are restrictions on the size of the field.
+
 See Also:
 o )show FiniteFieldCyclicGroupExtension
 
@@ -39154,13 +39942,6 @@ o )show FiniteFieldCyclicGroupExtension
 )abbrev domain FFCGX FiniteFieldCyclicGroupExtension
 ++ Authors: J.Grabmeier, A.Scheerhorn
 ++ Date Created: 04.04.1991
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Constructors:  FiniteFieldCyclicGroupExtensionByPolynomial,
-++  FiniteFieldPolynomialPackage
-++ Also See: FiniteFieldExtension, FiniteFieldNormalBasisExtension
-++ AMS Classifications:
-++ Keywords: finite field, primitive elements, cyclic group
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encycoldia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -39320,6 +40101,15 @@ FiniteFieldCyclicGroupExtension(GF,extdeg):_
 FiniteFieldCyclicGroupExtensionByPolynomial examples
 ====================================================================
 
+FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol)  implements a
+finite extension field of the ground field GF. Its elements are
+represented by powers of a primitive element, i.e. a generator of the
+multiplicative (cyclic) group. As primitive element we choose the root 
+of the extension polynomial defpol, which MUST be primitive (user 
+responsibility). Zech logarithms are stored in a table of size half 
+of the field size, and use SingleInteger for representing field elements, 
+hence, there are restrictions on the size of the field.
+
 See Also:
 o )show FiniteFieldCyclicGroupExtensionByPolynomial
 
@@ -39426,12 +40216,6 @@ o )show FiniteFieldCyclicGroupExtensionByPolynomial
 ++ Authors: J.Grabmeier, A.Scheerhorn
 ++ Date Created: 26.03.1991
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations:
-++ Related Constructors: FiniteFieldFunctions
-++ Also See: FiniteFieldExtensionByPolynomial,
-++  FiniteFieldNormalBasisExtensionByPolynomial
-++ AMS Classifications:
-++ Keywords: finite field, primitive elements, cyclic group
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encycoldia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -39856,6 +40640,10 @@ FiniteFieldCyclicGroupExtensionByPolynomial(GF,defpol):_
 FiniteFieldExtension examples
 ====================================================================
 
+FiniteFieldExtensionByPolynomial(GF, n) implements an extension of the 
+finite field GF of degree n generated by the extension polynomial 
+constructed by createIrreduciblePoly from FiniteFieldPolynomialPackage.
+
 See Also:
 o )show FiniteFieldExtension
 
@@ -39962,14 +40750,6 @@ o )show FiniteFieldExtension
 ++ Authors: R.Sutor, J. Grabmeier, A. Scheerhorn
 ++ Date Created:
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations:
-++ Related Constructors: FiniteFieldExtensionByPolynomial,
-++  FiniteFieldPolynomialPackage
-++ Also See: FiniteFieldCyclicGroupExtension,
-++  FiniteFieldNormalBasisExtension
-++ AMS Classifications:
-++ Keywords: field, extension field, algebraic extension,
-++   finite extension, finite field, Galois field
 ++ Reference:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics an
 ++   Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -40120,6 +40900,11 @@ FiniteFieldExtension(GF, n): Exports == Implementation where
 FiniteFieldExtensionByPolynomial examples
 ====================================================================
 
+FiniteFieldExtensionByPolynomial(GF, defpol) implements the extension
+of the finite field GF generated by the extension polynomial defpol 
+which MUST be irreducible. Note: the user has the responsibility to 
+ensure that defpol is irreducible.
+
 See Also:
 o )show FiniteFieldExtensionByPolynomial
 
@@ -40227,13 +41012,6 @@ o )show FiniteFieldExtensionByPolynomial
 ++ Authors: R.Sutor, J. Grabmeier, O. Gschnitzer, A. Scheerhorn
 ++ Date Created:
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See: FiniteFieldCyclicGroupExtensionByPolynomial,
-++  FiniteFieldNormalBasisExtensionByPolynomial
-++ AMS Classifications:
-++ Keywords: field, extension field, algebraic extension,
-++   finite extension, finite field, Galois field
 ++ Reference:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics an
 ++   Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -40587,6 +41365,13 @@ FiniteFieldExtensionByPolynomial(GF:FiniteFieldCategory,_
 FiniteFieldNormalBasis examples
 ====================================================================
 
+FiniteFieldNormalBasis(p,n) implements a finite extension field of 
+degree n over the prime field with p elements. The elements are 
+represented by coordinate vectors with respect to a normal basis,
+i.e. a basis consisting of the conjugates (q-powers) of an element, in
+this case called normal element. This is chosen as a root of the 
+extension polynomial created by createNormalPoly
+
 See Also:
 o )show FiniteFieldNormalBasis
 
@@ -40694,13 +41479,6 @@ o )show FiniteFieldNormalBasis
 )abbrev domain FFNB FiniteFieldNormalBasis
 ++ Authors: J.Grabmeier, A.Scheerhorn
 ++ Date Created: 26.03.1991
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Constructors: FiniteFieldNormalBasisExtensionByPolynomial,
-++  FiniteFieldPolynomialPackage
-++ Also See: FiniteField, FiniteFieldCyclicGroup
-++ AMS Classifications:
-++ Keywords: finite field, normal basis
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -40870,6 +41648,14 @@ FiniteFieldNormalBasis(p,extdeg):_
 FiniteFieldNormalBasisExtension examples
 ====================================================================
 
+FiniteFieldNormalBasisExtensionByPolynomial(GF,n)  implements a
+finite extension field of degree n over the ground field GF.
+The elements are represented by coordinate vectors with respect
+to a normal basis,
+i.e. a basis consisting of the conjugates (q-powers) of an element, in
+this case called normal element. This is chosen as a root of the extension
+polynomial, created by createNormalPoly from FiniteFieldPolynomialPackage
+
 See Also:
 o )show FiniteFieldNormalBasisExtension
 
@@ -40977,13 +41763,6 @@ o )show FiniteFieldNormalBasisExtension
 )abbrev domain FFNBX FiniteFieldNormalBasisExtension
 ++ Authors: J.Grabmeier, A.Scheerhorn
 ++ Date Created: 26.03.1991
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Constructors: FiniteFieldNormalBasisExtensionByPolynomial,
-++  FiniteFieldPolynomialPackage
-++ Also See: FiniteFieldExtension, FiniteFieldCyclicGroupExtension
-++ AMS Classifications:
-++ Keywords: finite field, normal basis
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -41153,6 +41932,14 @@ FiniteFieldNormalBasisExtension(GF,extdeg):_
 FiniteFieldNormalBasisExtensionByPolynomial examples
 ====================================================================
 
+FiniteFieldNormalBasisExtensionByPolynomial(GF,uni) implements a
+finite extension of the ground field GF. The elements are
+represented by coordinate vectors with respect to. a normal basis,
+i.e. a basis consisting of the conjugates (q-powers) of an element, 
+in this case called normal element, where q is the size of GF.
+The normal element is chosen as a root of the extension
+polynomial, which MUST be normal over GF  (user responsibility)
+
 See Also:
 o )show FiniteFieldNormalBasisExtensionByPolynomial
 
@@ -41261,12 +42048,6 @@ o )show FiniteFieldNormalBasisExtensionByPolynomial
 ++ Authors: J.Grabmeier, A.Scheerhorn
 ++ Date Created: 26.03.1991
 ++ Date Last Updated: 08 May 1991
-++ Basic Operations:
-++ Related Constructors: InnerNormalBasisFieldFunctions, FiniteFieldFunctions,
-++ Also See: FiniteFieldExtensionByPolynomial,
-++  FiniteFieldCyclicGroupExtensionByPolynomial
-++ AMS Classifications:
-++ Keywords: finite field, normal basis
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -43169,23 +43950,9 @@ o )show Float
 \begin{chunk}{domain FLOAT Float}
 )abbrev domain FLOAT Float
 
-B ==> Boolean
-I ==> Integer
-S ==> String
-PI ==> PositiveInteger
-RN ==> Fraction Integer
-SF ==> DoubleFloat
-N ==> NonNegativeInteger
-
 ++ Author: Michael Monagan
-++ Date Created:
-++   December 1987
-++ Change History:
-++   19 Jun 1990
-++ Basic Operations: outputFloating, outputFixed, outputGeneral, outputSpacing,
-++   atan, convert, exp1, log2, log10, normalize, rationalApproximation,
-++   relerror, shift, / , **
-++ Keywords: float, floating point, number
+++ Date Created:  December 1987
+++ Change History: 19 Jun 1990
 ++ Description:
 ++ \spadtype{Float} implements arbitrary precision floating point arithmetic.
 ++ The number of significant digits of each operation can be set
@@ -43246,6 +44013,14 @@ N ==> NonNegativeInteger
 ++ \spad{exp}, \spad{log}, \spad{sin}, \spad{atan}: \spad{O(sqrt(n) n**2)}\br
 ++ The other elementary functions are coded in terms of the ones above.
 
+B ==> Boolean
+I ==> Integer
+S ==> String
+PI ==> PositiveInteger
+RN ==> Fraction Integer
+SF ==> DoubleFloat
+N ==> NonNegativeInteger
+
 Float():
  Join(FloatingPointSystem, DifferentialRing, ConvertibleTo String, OpenMath,_
   CoercibleTo DoubleFloat, TranscendentalFunctionCategory, ConvertibleTo InputForm) with
@@ -44245,6 +45020,9 @@ Float():
 FortranCode examples
 ====================================================================
 
+This domain builds representations of program code segments for use with
+the FortranProgram domain.
+
 See Also:
 o )show FortranCode
 
@@ -44294,18 +45072,7 @@ o )show FortranCode
 )abbrev domain FC FortranCode 
 ++ Author: Mike Dewar
 ++ Date Created: April 1991
-++ Date Last Updated: 22 March 1994
-++                    26 May 1994 Added common, MCD
-++                    21 June 1994 Changed print to printStatement, MCD
-++                    30 June 1994 Added stop, MCD
-++                    12 July 1994 Added assign for String, MCD
-++                     9 January 1995 Added fortran2Lines to getCall, MCD
-++ Basic Operations:
-++ Related Constructors: FortranProgram, Switch, FortranType
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
+++ Date Last Updated: 9 January 1995 Added fortran2Lines to getCall, MCD
 ++ Description:
 ++ This domain builds representations of program code segments for use with
 ++ the FortranProgram domain.
@@ -45010,6 +45777,9 @@ FortranCode(): public == private where
 FortranExpression examples
 ====================================================================
 
+A domain of expressions involving functions which can be translated into 
+standard Fortran-77, with some extra extensions from the NAG Fortran Library.  
+
 See Also:
 o )show FortranExpression
 
@@ -45101,17 +45871,7 @@ o )show FortranExpression
 )abbrev domain FEXPR FortranExpression
 ++ Author: Mike Dewar
 ++ Date Created:  December 1993
-++ Date Last Updated: 19 May 1994
-++                     7 July 1994 added %power to f77Functions
-++                    12 July 1994 added RetractableTo(R)
-++ Basic Operations:
-++ Related Domains:
-++ Also See: FortranMachineTypeCategory, MachineInteger, MachineFloat,
-++  MachineComplex
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
+++ Date Last Updated: 12 July 1994 added RetractableTo(R)
 ++ Description: 
 ++ A domain of expressions involving functions which can be
 ++ translated into standard Fortran-77, with some extra extensions from
@@ -45494,6 +46254,10 @@ FortranExpression(basicSymbols,subscriptedSymbols,R):
 FortranProgram examples
 ====================================================================
 
+FortranProgram allows the user to build and manipulate simple models of 
+FORTRAN subprograms.  These can then be transformed into actual FORTRAN 
+notation.
+
 See Also:
 o )show FortranProgram
 
@@ -45520,14 +46284,7 @@ o )show FortranProgram
 )abbrev domain FORTRAN FortranProgra\\
 ++ Author: Mike Dewar
 ++ Date Created: October 1992
-++ Date Last Updated: 13 January 1994
-++                    23 January 1995 Added support for intrinsic functions
-++ Basic Operations:
-++ Related Constructors: FortranType, FortranCode, Switch
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
+++ Date Last Updated: 23 January 1995 Added support for intrinsic functions
 ++ Description:
 ++ \axiomType{FortranProgram} allows the user to build and manipulate simple 
 ++ models of FORTRAN subprograms.  These can then be transformed into 
@@ -45785,6 +46542,9 @@ FortranProgram(name,returnType,arguments,symbols): Exports == Implement where
 FortranScalarType examples
 ====================================================================
 
+Creates and manipulates objects which correspond to the
+basic FORTRAN data types: REAL, INTEGER, COMPLEX, LOGICAL and CHARACTER
+
 See Also:
 o )show FortranScalarType
 
@@ -45814,14 +46574,6 @@ o )show FortranScalarType
 )abbrev domain FST FortranScalarType
 ++ Author: Mike Dewar
 ++ Date Created:  October 1992
-++ Date Last Updated: 
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Creates and manipulates objects which correspond to the
 ++ basic FORTRAN data types: REAL, INTEGER, COMPLEX, LOGICAL and CHARACTER
@@ -46012,6 +46764,8 @@ FortranScalarType() : exports == implementation where
 FortranTemplate examples
 ====================================================================
 
+Code to manipulate Fortran templates
+
 See Also:
 o )show FortranTemplate
 
@@ -46052,14 +46806,6 @@ o )show FortranTemplate
 )abbrev domain FTEM FortranTemplate
 ++ Author: Mike Dewar
 ++ Date Created:  October 1992
-++ Date Last Updated: 
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Code to manipulate Fortran templates
 
@@ -46189,6 +46935,9 @@ FortranTemplate() : specification == implementation where
 FortranType examples
 ====================================================================
 
+Creates and manipulates objects which correspond to FORTRAN data types, 
+including array dimensions.
+
 See Also:
 o )show FortranType
 
@@ -46225,14 +46974,6 @@ o )show FortranType
 )abbrev domain FT FortranType 
 ++ Author: Mike Dewar
 ++ Date Created:  October 1992
-++ Date Last Updated: 
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description: 
 ++ Creates and manipulates objects which correspond to FORTRAN
 ++ data types, including array dimensions.
@@ -46376,6 +47117,8 @@ FortranType() : exports == implementation where
 FourierComponent examples
 ====================================================================
 
+This domain creates kernels for use in Fourier series
+
 See Also:
 o )show FourierComponent
 
@@ -46410,12 +47153,6 @@ o )show FourierComponent
 ++ Author: James Davenport
 ++ Date Created: 17 April 1992
 ++ Date Last Updated: 12 June 1992
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ This domain creates kernels for use in Fourier series
 
@@ -46504,6 +47241,8 @@ FourierComponent(E:OrderedSet):
 FourierSeries examples
 ====================================================================
 
+This domain converts terms into Fourier series
+
 See Also:
 o )show FourierSeries
 
@@ -46543,13 +47282,6 @@ o )show FourierSeries
 )abbrev domain FSERIES FourierSeries
 ++ Author: James Davenport
 ++ Date Created: 17 April 1992
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain converts terms into Fourier series
 
@@ -46972,14 +47704,8 @@ o )show Fraction
 \begin{chunk}{domain FRAC Fraction}
 )abbrev domain FRAC Fraction
 ++ Author: Mark Botch
-++ Date Created:
 ++ Date Last Updated: 12 February 1992
 ++ Basic Functions: Field, numer, denom
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: fraction, localization
-++ References:
 ++ Description:
 ++ Fraction takes an IntegralDomain S and produces
 ++ the domain of Fractions with numerators and denominators from S.
@@ -47350,6 +48076,8 @@ Fraction(S: IntegralDomain): QuotientFieldCategory S with
 FractionalIdeal examples
 ====================================================================
 
+Fractional ideals in a framed algebra.
+
 See Also:
 o )show FractionalIdeal
 
@@ -47396,8 +48124,6 @@ o )show FractionalIdeal
 ++ Author: Manuel Bronstein
 ++ Date Created: 27 Jan 1989
 ++ Date Last Updated: 30 July 1993
-++ Keywords: ideal, algebra, module.
-++ Examples: )r FRIDEAL INPUT
 ++ Description:
 ++ Fractional ideals in a framed algebra.
 
@@ -47609,6 +48335,8 @@ FractionalIdeal(R, F, UP, A): Exports == Implementation where
 FramedModule examples
 ====================================================================
 
+Module representation of fractional ideals.
+
 See Also:
 o )show FramedModule
 
@@ -47646,7 +48374,6 @@ o )show FramedModule
 ++ Author: Manuel Bronstein
 ++ Date Created: 27 Jan 1989
 ++ Date Last Updated: 24 Jul 1990
-++ Keywords: ideal, algebra, module.
 ++ Description:
 ++ Module representation of fractional ideals.
 
@@ -47808,6 +48535,11 @@ FramedModule(R, F, UP, A, ibasis): Exports == Implementation where
 FreeAbelianGroup examples
 ====================================================================
 
+Free abelian group on any set of generators
+The free abelian group on a set S is the monoid of finite sums of
+the form reduce(+,[ni * si]) where the si's are in S, and the ni's
+are integers. The operation is commutative.
+
 See Also:
 o )show FreeAbelianGroup
 
@@ -47857,11 +48589,11 @@ o )show FreeAbelianGroup
 
 \begin{chunk}{domain FAGROUP FreeAbelianGroup}
 )abbrev domain FAGROUP FreeAbelianGroup
-++ Free abelian group on any set of generators
 ++ Author: Manuel Bronstein
 ++ Date Created: November 1989
 ++ Date Last Updated: 6 June 1991
 ++ Description:
+++ Free abelian group on any set of generators
 ++ The free abelian group on a set S is the monoid of finite sums of
 ++ the form \spad{reduce(+,[ni * si])} where the si's are in S, and the ni's
 ++ are integers. The operation is commutative.
@@ -47955,6 +48687,11 @@ FreeAbelianGroup(S:SetCategory): Exports == Implementation where
 FreeAbelianMonoid examples
 ====================================================================
 
+Free abelian monoid on any set of generators
+The free abelian monoid on a set S is the monoid of finite sums of
+the form reduce(+,[ni * si]) where the si's are in S, and the ni's
+are non-negative integers. The operation is commutative.
+
 See Also:
 o )show FreeAbelianMonoid
 
@@ -47996,11 +48733,11 @@ o )show FreeAbelianMonoid
 
 \begin{chunk}{domain FAMONOID FreeAbelianMonoid}
 )abbrev domain FAMONOID FreeAbelianMonoid
-++ Free abelian monoid on any set of generators
 ++ Author: Manuel Bronstein
 ++ Date Created: November 1989
 ++ Date Last Updated: 6 June 1991
 ++ Description:
+++ Free abelian monoid on any set of generators
 ++ The free abelian monoid on a set S is the monoid of finite sums of
 ++ the form \spad{reduce(+,[ni * si])} where the si's are in S, and the ni's
 ++ are non-negative integers. The operation is commutative.
@@ -48066,6 +48803,11 @@ FreeAbelianMonoid(S: SetCategory):
 FreeGroup examples
 ====================================================================
 
+Free group on any set of generators
+The free group on a set S is the group of finite products of
+the form reduce(*,[si ** ni]) where the si's are in S, and the ni's
+are integers. The multiplication is not commutative.
+
 See Also:
 o )show FreeGroup
 
@@ -48110,11 +48852,10 @@ o )show FreeGroup
 
 \begin{chunk}{domain FGROUP FreeGroup}
 )abbrev domain FGROUP FreeGroup
-++ Free group on any set of generators
 ++ Author: Stephen M. Watt
-++ Date Created: ???
 ++ Date Last Updated: 6 June 1991
 ++ Description:
+++ Free group on any set of generators
 ++ The free group on a set S is the group of finite products of
 ++ the form \spad{reduce(*,[si ** ni])} where the si's are in S, and the ni's
 ++ are integers. The multiplication is not commutative.
@@ -48222,6 +48963,10 @@ FreeGroup(S: SetCategory): Join(Group, RetractableTo S) with
 FreeModule examples
 ====================================================================
 
+A bi-module is a free module over a ring with generators indexed by an
+ordered set.  Each element can be expressed as a finite linear
+combination of generators. Only non-zero terms are stored.
+
 See Also:
 o )show FreeModule
 
@@ -48259,14 +49004,6 @@ o )show FreeModule
 \begin{chunk}{domain FM FreeModule}
 )abbrev domain FM FreeModule
 ++ Author: Dave Barton, James Davenport, Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: BiModule(R,R)
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A bi-module is a free module
 ++ over a ring with generators indexed by an ordered set.
@@ -48382,6 +49119,12 @@ FreeModule(R:Ring,S:OrderedSet):
 FreeModule1 examples
 ====================================================================
 
+This domain implements linear combinations of elements from the domain
+S with coefficients in the domain R where S is an ordered set and R is
+a ring (which may be non-commutative).  This domain is used by domains
+of non-commutative algebra such as: XDistributedPolynomial,
+XRecursivePolynomial.
+
 See Also:
 o )show FreeModule1
 
@@ -48427,12 +49170,6 @@ o )show FreeModule1
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain implements linear combinations
 ++ of elements from the domain \spad{S} with coefficients
@@ -48585,6 +49322,11 @@ FreeModule1(R:Ring,S:OrderedSet): FMcat == FMdef where
 FreeMonoid examples
 ====================================================================
 
+Free monoid on any set of generators.  The free monoid on a set S is
+the monoid of finite products of the form reduce(*,[si ** ni]) where
+the si's are in S, and the ni's are nonnegative integers. The
+multiplication is not commutative.
+
 See Also:
 o )show FreeMonoid
 
@@ -48637,11 +49379,10 @@ o )show FreeMonoid
 
 \begin{chunk}{domain FMONOID FreeMonoid}
 )abbrev domain FMONOID FreeMonoid
-++ Free monoid on any set of generators
 ++ Author: Stephen M. Watt
-++ Date Created: ???
 ++ Date Last Updated: 6 June 1991
 ++ Description:
+++ Free monoid on any set of generators
 ++ The free monoid on a set S is the monoid of finite products of
 ++ the form \spad{reduce(*,[si ** ni])} where the si's are in S, and the ni's
 ++ are nonnegative integers. The multiplication is not commutative.
@@ -48874,6 +49615,9 @@ FreeMonoid(S: SetCategory): FMcategory == FMdefinition where
 FreeNilpotentLie examples
 ====================================================================
 
+Generate the Free Lie Algebra over a ring R with identity;
+A P. Hall basis is generated by a package call to HallBasis.
+
 See Also:
 o )show FreeNilpotentLie
 
@@ -48918,10 +49662,6 @@ o )show FreeNilpotentLie
 ++ Author: Larry Lambe
 ++ Date Created: July 1988
 ++ Date Last Updated: March 13 1991
-++ Related Constructors: OrderedSetInts, Commutator
-++ AMS Classification: Primary 17B05, 17B30; Secondary 17A50
-++ Keywords: free Lie algebra, Hall basis, basic commutators
-++ Related Constructors:  HallBasis, FreeMod, Commutator, OrdSetInts
 ++ Description:
 ++ Generate the Free Lie Algebra over a ring R with identity;
 ++ A P. Hall basis is generated by a package call to HallBasis.
@@ -49753,6 +50493,8 @@ FullPartialFractionExpansion(F, UP): Exports == Implementation where
 FunctionCalled examples
 ====================================================================
 
+This domain implements named functions
+
 See Also:
 o )show FunctionCalled
 
@@ -50103,16 +50845,6 @@ o )show GeneralDistributedMultivariatePolynomial
 \begin{chunk}{domain GDMP GeneralDistributedMultivariatePolynomial}
 )abbrev domain GDMP GeneralDistributedMultivariatePolynomial
 ++ Author: Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, degree, eval, coefficient, monomial, differentiate,
-++ resultant, gcd, leadingCoefficient
-++ Related Constructors: DistributedMultivariatePolynomial,
-++ HomogeneousDistributedMultivariatePolynomial
-++ Also See: Polynomial
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, distributed
-++ References:
 ++ Description:
 ++ This type supports distributed multivariate polynomials
 ++ whose variables are from a user specified list of symbols.
@@ -50405,6 +51137,8 @@ GeneralDistributedMultivariatePolynomial(vl,R,E): public == private where
 GeneralModulePolynomial examples
 ====================================================================
 
+This package is undocumented
+
 See Also:
 o )show GeneralModulePolynomial
 
@@ -50643,6 +51377,9 @@ GeneralModulePolynomial(vl, R, IS, E, ff, P): public  ==  private where
 GenericNonAssociativeAlgebra examples
 ====================================================================
 
+AlgebraGenericElementPackage allows you to create generic elements of an 
+algebra, i.e. the scalars are extended to include symbolic coefficients.
+
 See Also:
 o )show GenericNonAssociativeAlgebra
 
@@ -50754,11 +51491,6 @@ o )show GenericNonAssociativeAlgebra
 ++ Authors: J. Grabmeier, R. Wisbauer
 ++ Date Created: 26 June 1991
 ++ Date Last Updated: 26 June 1991
-++ Basic Operations: generic
-++ Related Constructors: AlgebraPackage
-++ Also See:
-++ AMS Classifications:
-++ Keywords: generic element. rank polynomial
 ++ Reference:
 ++  A. Woerz-Busekros: Algebra in Genetics
 ++  Lectures Notes in Biomathematics 36,
@@ -51129,6 +51861,8 @@ GenericNonAssociativeAlgebra(R : CommutativeRing, n : PositiveInteger,_
 GeneralPolynomialSet examples
 ====================================================================
 
+A domain for polynomial sets.
+
 See Also:
 o )show GeneralPolynomialSet
 
@@ -51196,12 +51930,6 @@ o )show GeneralPolynomialSet
 ++ Author: Marc Moreno Maza
 ++ Date Created: 04/26/1994
 ++ Date Last Updated: 12/15/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, ordered variables set
-++ References:
 ++ Description: 
 ++ A domain for polynomial sets.
 
@@ -51438,13 +52166,6 @@ o )show GeneralSparseTable
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: June 21, 1991
-++ Basic Operations: 
-++ Related Domains: Table 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ A sparse table has a default entry, which is returned if no other
 ++ value has been explicitly stored for a key.
@@ -51579,6 +52300,14 @@ GeneralSparseTable(Key, Entry, Tbl, dent): TableAggregate(Key, Entry) == Impl
 GeneralTriangularSet examples
 ====================================================================
 
+A domain constructor of the category TriangularSetCategory.  The only
+requirement for a list of polynomials to be a member of such a domain
+is the following: no polynomial is constant and two distinct
+polynomials have distinct main variables. Such a triangular set may
+not be auto-reduced or consistent. Triangular sets are stored as
+sorted lists w.r.t. the main variables of their members but they are
+displayed in reverse order.
+
 See Also:
 o )show GeneralTriangularSet
 
@@ -51678,11 +52407,6 @@ o )show GeneralTriangularSet
 ++ Author: Marc Moreno Maza (marc@nag.co.uk)
 ++ Date Created: 10/06/1995
 ++ Date Last Updated: 06/12/1996
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords:
 ++ References :
 ++  [1] P. AUBRY, D. LAZARD and M. MORENO MAZA "On the Theories
 ++      of Triangular Sets" Journal of Symbol. Comp. (to appear)
@@ -51940,6 +52664,11 @@ GeneralTriangularSet(R,E,V,P) : Exports == Implementation where
 GeneralUnivariatePowerSeries examples
 ====================================================================
 
+This is a category of univariate Puiseux series constructed from 
+univariate Laurent series.  A Puiseux series is represented by a pair 
+[r,f(x)], where r is a positive rational number and f(x) is a Laurent 
+series.  This pair represents the Puiseux series f(x\^r).
+
 See Also:
 o )show GeneralUnivariatePowerSeries
 
@@ -52054,13 +52783,6 @@ o )show GeneralUnivariatePowerSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 22 September 1993
 ++ Date Last Updated: 23 September 1993
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Puiseux
-++ Examples:
-++ References:
 ++ Description:
 ++ This is a category of univariate Puiseux series constructed
 ++ from univariate Laurent series.  A Puiseux series is represented
@@ -52217,6 +52939,9 @@ GeneralUnivariatePowerSeries(Coef,var,cen): Exports == Implementation where
 GraphImage examples
 ====================================================================
 
+TwoDimensionalGraph creates virtual two dimensional graphs 
+(to be displayed on TwoDimensionalViewports).
+
 See Also:
 o )show GraphImage
 
@@ -52250,12 +52975,6 @@ o )show GraphImage
 ++ Author: Jim Wen
 ++ Date Created: 27 April 1989
 ++ Date Last Updated: 1995 September 20, Mike Richardson (MGR)
-++ Basic Operations: 
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ TwoDimensionalGraph creates virtual two dimensional graphs 
 ++ (to be displayed on TwoDimensionalViewports).
@@ -52709,6 +53428,8 @@ GraphImage (): Exports == Implementation where
 GuessOption examples
 ====================================================================
 
+GuessOption is a domain whose elements are various options used by Guess.
+
 See Also:
 o )show GuessOption
 
@@ -52750,7 +53471,8 @@ o )show GuessOption
 \begin{chunk}{domain GOPT GuessOption}
 )abbrev domain GOPT GuessOption
 ++ Author: Martin Rubey
-++ Description: GuessOption is a domain whose elements are various options used
+++ Description:
+++ GuessOption is a domain whose elements are various options used
 ++ by Guess.
 GuessOption(): Exports == Implementation where
 
@@ -52973,6 +53695,9 @@ GuessOption(): Exports == Implementation where
 GuessOptionFunctions0 examples
 ====================================================================
 
+GuessOptionFunctions0 provides operations that extract the
+values of options for Guess.
+
 See Also:
 o )show GuessOptionFunctions0
 
@@ -53385,6 +54110,10 @@ GuessOptionFunctions0(): Exports == Implementation where
 HashTable examples
 ====================================================================
 
+This domain provides access to the underlying Lisp hash tables.
+By varying the hashfn parameter, tables suited for different 
+purposes can be obtained.
+
 See Also:
 o )show HashTable
 
@@ -53464,13 +54193,6 @@ o )show HashTable
 ++ Author: Stephen M. Watt
 ++ Date Created: 1985
 ++ Date Last Updated: June 21, 1991
-++ Basic Operations: 
-++ Related Domains: Table, EqTable, StringTable
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides access to the underlying Lisp hash tables.
 ++ By varying the hashfn parameter, tables suited for different 
@@ -54175,13 +54897,6 @@ o )show BagAggregate
 ++ Author: Michael Monagan and Stephen Watt
 ++ Date Created:June 86 and July 87
 ++ Date Last Updated:Feb 92
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Heap implemented in a flexible array to allow for insertions
 ++ Complexity: O(log n) insertion, extraction and O(n) construction
@@ -54632,13 +55347,6 @@ o )show HexadecimalExpansion
 ++ Author: Clifton J. Williamson
 ++ Date Created: April 26, 1990
 ++ Date Last Updated: May 15, 1991
-++ Basic Operations:
-++ Related Domains: RadixExpansion
-++ Also See:
-++ AMS Classifications:
-++ Keywords: radix, base, hexadecimal
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain allows rational numbers to be presented as repeating
 ++ hexadecimal expansions.
@@ -54951,6 +55659,8 @@ display(coerce(sqrt(3+x)::OutputForm)$HTMLFORM)$HTMLFORM
 HTMLFormat examples
 ====================================================================
 
+HtmlFormat provides a coercion from OutputForm to html.
+
 coerce("3+4"::OutputForm)$HTMLFORM
   "3+4"
 
@@ -56015,6 +56725,12 @@ HTMLFormat(): public == private where
 HomogeneousDirectProduct examples
 ====================================================================
 
+This type represents the finite direct or cartesian product of an
+underlying ordered component type. The vectors are ordered first
+by the sum of their components, and then refined using a reverse
+lexicographic ordering. This type is a suitable third argument for
+GeneralDistributedMultivariatePolynomial.
+
 See Also:
 o )show HomogeneousDirectProduct
 
@@ -56108,14 +56824,6 @@ o )show HomogeneousDirectProduct
 \begin{chunk}{domain HDP HomogeneousDirectProduct}
 )abbrev domain HDP HomogeneousDirectProduct
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: Vector, DirectProduct
-++ Also See: OrderedDirectProduct, SplitHomogeneousDirectproduct
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type represents the finite direct or cartesian product of an
 ++ underlying ordered component type. The vectors are ordered first
@@ -56462,16 +57170,6 @@ o )show HomogeneousDistributedMultivariatePolynomial
 \begin{chunk}{domain HDMP HomogeneousDistributedMultivariatePolynomial}
 )abbrev domain HDMP HomogeneousDistributedMultivariatePolynomial
 ++ Author: Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, degree, eval, coefficient, monomial, differentiate,
-++ resultant, gcd, leadingCoefficient
-++ Related Constructors: DistributedMultivariatePolynomial,
-++ GeneralDistributedMultivariatePolynomial
-++ Also See: Polynomial
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate, distributed
-++ References:
 ++ Description:
 ++ This type supports distributed multivariate polynomials
 ++ whose variables are from a user specified list of symbols.
@@ -56549,6 +57247,12 @@ HomogeneousDistributedMultivariatePolynomial(vl,R): public == private where
 HyperellipticFiniteDivisor examples
 ====================================================================
 
+This domains implements finite rational divisors on an hyperelliptic curve,
+that is finite formal sums SUM(n * P) where the n's are integers and the
+P's are finite rational points on the curve.
+
+The equation of the curve must be  y^2 = f(x) and f must have odd degree.
+
 See Also:
 o )show HyperellipticFiniteDivisor
 
@@ -56589,7 +57293,6 @@ o )show HyperellipticFiniteDivisor
 ++ Author: Manuel Bronstein
 ++ Date Created: 19 May 1993
 ++ Date Last Updated: 20 July 1998
-++ Keywords: divisor, algebraic, curve.
 ++ Description:
 ++ This domains implements finite rational divisors on an hyperelliptic curve,
 ++ that is finite formal sums SUM(n * P) where the n's are integers and the
@@ -56812,6 +57515,8 @@ HyperellipticFiniteDivisor(F, UP, UPUP, R): Exports == Implementation where
 InfClsPt examples
 ====================================================================
 
+This domain is part of the PAFF package
+
 See Also:
 o )show InfClsPt
 
@@ -56934,6 +57639,8 @@ InfClsPt(K,symb,BLMET):Exports == Implementation where
 IndexCard examples
 ====================================================================
 
+This domain implements a container of information about the AXIOM library
+
 See Also:
 o )show IndexCard
 
@@ -57286,9 +57993,6 @@ o )show IndexedBits
 ++ Author: Stephen Watt and Michael Monagan
 ++ Date Created: July 86
 ++ Change History:  Oct 87
-++ Basic Operations: range
-++ Related Constructors:
-++ Keywords: indexed bits
 ++ Description: 
 ++ \spadtype{IndexedBits} is a domain to compactly represent
 ++ large quantities of Boolean data.
@@ -57388,6 +58092,10 @@ IndexedBits(mn:Integer): BitAggregate() with
 IndexedDirectProductAbelianGroup examples
 ====================================================================
 
+Indexed direct products of abelian groups over an abelian group A of
+generators indexed by the ordered set S.  All items have finite
+support: only non-zero terms are stored.
+
 See Also:
 o )show IndexedDirectProductAbelianGroup
 
@@ -57540,6 +58248,10 @@ IndexedDirectProductAbelianGroup(A:AbelianGroup,S:OrderedSet):
 IndexedDirectProductAbelianMonoid examples
 ====================================================================
 
+Indexed direct products of abelian monoids over an abelian monoid 
+A of generators indexed by the ordered set S. All items have 
+finite support. Only non-zero terms are stored.
+
 See Also:
 o )show IndexedDirectProductAbelianMonoid
 
@@ -57696,6 +58408,9 @@ IndexedDirectProductAbelianMonoid(A:AbelianMonoid,S:OrderedSet):
 IndexedDirectProductObject examples
 ====================================================================
 
+Indexed direct products of objects over a set A of generators indexed
+by an ordered set S. All items have finite support.
+
 See Also:
 o )show IndexedDirectProductObject
 
@@ -57817,6 +58532,10 @@ IndexedDirectProductObject(A:SetCategory,S:OrderedSet): _
 IndexedDirectProductOrderedAbelianMonoid examples
 ====================================================================
 
+Indexed direct products of ordered abelian monoids A of generators
+indexed by the ordered set S.  The inherited order is lexicographical.
+All items have finite support: only non-zero terms are stored.
+
 See Also:
 o )show IndexedDirectProductOrderedAbelianMonoid
 
@@ -57930,6 +58649,10 @@ IndexedDirectProductOrderedAbelianMonoid(A:OrderedAbelianMonoid,S:OrderedSet):
 IndexedDirectProductOrderedAbelianMonoidSup examples
 ====================================================================
 
+Indexed direct products of ordered abelian monoid sups A, generators
+indexed by the ordered set S.  All items have finite support: only
+non-zero terms are stored.
+
 See Also:
 o )show IndexedDirectProductOrderedAbelianMonoidSup
 
@@ -58064,6 +58787,10 @@ IndexedDirectProductOrderedAbelianMonoidSup(A:OrderedAbelianMonoidSup,S:OrderedS
 IndexedExponents examples
 ====================================================================
 
+IndexedExponents of an ordered set of variables gives a representation
+for the degree of polynomials in commuting variables. It gives an ordered
+pairing of non negative integer exponents with variables
+
 See Also:
 o )show IndexedExponents
 
@@ -58106,14 +58833,6 @@ o )show IndexedExponents
 \begin{chunk}{domain INDE IndexedExponents}
 )abbrev domain INDE IndexedExponents
 ++ Author: James Davenport
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ IndexedExponents of an ordered set of variables gives a representation
 ++ for the degree of polynomials in commuting variables. It gives an ordered
@@ -58257,6 +58976,23 @@ IndexedExponents(Varset:OrderedSet): C == T where
 IndexedFlexibleArray examples
 ====================================================================
 
+A FlexibleArray is the notion of an array intended to allow for growth
+at the end only.  Hence the following efficient operations
+  append(x,a)  meaning append item x at the end of the array a
+  delete(a,n)} meaning delete the last item from the array a
+
+Flexible arrays support the other operations inherited from
+ExtensibleLinearAggregate. However, these are not efficient.
+
+Flexible arrays combine the O(1) access time property of arrays
+with growing and shrinking at the end in O(1) (average) time.
+This is done by using an ordinary array which may have zero or more
+empty slots at the end.  When the array becomes full it is copied
+into a new larger (50% larger) array.  Conversely, when the array
+becomes less than 1/2 full, it is copied into a smaller array.
+Flexible arrays provide for an efficient implementation of many
+data structures in particular heaps, stacks and sets.
+
 See Also:
 o )show IndexedFlexibleArray
 
@@ -58730,6 +59466,14 @@ IndexedFlexibleArray(S:Type, mn: Integer): Exports == Implementation where
 IndexedList examples
 ====================================================================
 
+IndexedList is a basic implementation of the functions in
+ListAggregate, often using functions in the underlying LISP
+system. The second parameter to the constructor (mn) is the beginning
+index of the list. That is, if l is a list, then elt(l,mn) is the
+first value. This constructor is probably best viewed as the
+implementation of singly-linked lists that are addressable by index
+rather than as a mere wrapper for LISP lists.
+
 See Also:
 o )show IndexedList
 
@@ -58849,16 +59593,6 @@ o )show IndexedList
 )abbrev domain ILIST IndexedList
 ++ Author: Michael Monagan
 ++ Date Created: Sep 1987
-++ Change History:
-++ Basic Operations:
-++   \#, concat, concat!, construct, copy, elt, elt, empty,
-++   empty?, eq?, first, member?, merge!, mergeSort, minIndex,
-++   parts, removeDuplicates!, rest, rest, reverse, reverse!,
-++   setelt, setfirst!, setrest!, sort!, split!
-++ Related Constructors: List
-++ Also See:
-++ AMS Classification:
-++ Keywords: list, aggregate, index
 ++ Description:
 ++ \spadtype{IndexedList} is a basic implementation of the functions
 ++ in \spadtype{ListAggregate}, often using functions in the underlying
@@ -59145,6 +59879,15 @@ IndexedList(S:Type, mn:Integer): Exports == Implementation where
 IndexedMatrix examples
 ====================================================================
 
+An IndexedMatrix is a matrix where the minimal row and column
+indices are parameters of the type.  The domains Row and Col
+are both IndexedVectors.
+
+The index of the 'first' row may be obtained by calling the function
+minRowIndex. The index of the 'first' column may be obtained by calling 
+the function minColIndex.  The index of the first element of a 'Row' is 
+the same as the index of the first column in a matrix and vice versa.
+
 See Also:
 o )show IndexedMatrix
 
@@ -59236,14 +59979,6 @@ o )show IndexedMatrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: Matrix, RectangularMatrix, SquareMatrix,
-++   StorageEfficientMatrixOperations
-++ Also See:
-++ AMS Classifications:
-++ Keywords: matrix, linear algebra
-++ Examples:
-++ References:
 ++ Description:
 ++ An \spad{IndexedMatrix} is a matrix where the minimal row and column
 ++ indices are parameters of the type.  The domains Row and Col
@@ -59410,6 +60145,8 @@ IndexedMatrix(R,mnRow,mnCol): Exports == Implementation where
 IndexedOneDimensionalArray examples
 ====================================================================
 
+This is the basic one dimensional array data type.
+
 See Also:
 o )show IndexedOneDimensionalArray
 
@@ -59722,6 +60459,8 @@ IndexedOneDimensionalArray(S:Type, mn:Integer):
 IndexedString examples
 ====================================================================
 
+This domain implements low-level strings
+
 See Also:
 o )show IndexedString
 
@@ -59817,11 +60556,6 @@ o )show IndexedString
 \begin{chunk}{domain ISTRING IndexedString}
 )abbrev domain ISTRING IndexedString
 ++ Authors: Stephen Watt, Michael Monagan, Manuel Bronstein 1986 .. 1991
--- The following Lisp dependencies are divided into two groups
--- Those that are required
--- QENUM QESET QCSIZE MAKE-FULL-CVEC EQ QSLESSP QSGREATERP
--- Those that can are included for efficiency only
--- COPY STRCONC SUBSTRING STRPOS RPLACSTR DOWNCASE UPCASE CGREATERP
 ++ Description:
 ++ This domain implements low-level strings
 
@@ -60095,6 +60829,8 @@ first column in an array and vice versa.
 IndexedTwoDimensionalArray examples
 ====================================================================
 
+This domain implements two dimensional arrays
+
 See Also:
 o )show IndexedTwoDimensionalArray
 
@@ -60290,6 +61026,9 @@ IndexedTwoDimensionalArray(R,mnRow,mnCol):Exports == Implementation where
 IndexedVector examples
 ====================================================================
 
+This type represents vector like objects with varying lengths
+and a user-specified initial index.
+
 See Also:
 o )show IndexedVector
 
@@ -60376,14 +61115,6 @@ o )show IndexedVector
 \begin{chunk}{domain IVECTOR IndexedVector}
 )abbrev domain IVECTOR IndexedVector
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: Vector, DirectProduct
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type represents vector like objects with varying lengths
 ++ and a user-specified initial index.
@@ -60434,6 +61165,9 @@ IndexedVector(R:Type, mn:Integer):
 InfiniteTuple examples
 ====================================================================
 
+This package implements 'infinite tuples' for the interpreter.
+The representation is a stream.
+
 See Also:
 o )show InfiniteTuple
 
@@ -60458,9 +61192,6 @@ o )show InfiniteTuple
 ++ Author: Clifton J. Williamson
 ++ Date Created: 16 February 1990
 ++ Date Last Updated: 16 February 1990
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ This package implements 'infinite tuples' for the interpreter.
 ++ The representation is a stream.
@@ -60549,6 +61280,8 @@ InfiniteTuple(S:Type): Exports == Implementation where
 InfinitlyClosePoint examples
 ====================================================================
 
+This domain is part of the PAFF package
+
 See Also:
 o )show InfinitlyClosePoint
 
@@ -60822,6 +61555,8 @@ InfinitlyClosePoint(K,symb,PolyRing,E,ProjPt,PCS,Plc,DIVISOR,BLMET):Exports == I
 InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField examples
 ====================================================================
 
+This domain is part of the PAFF package
+
 See Also:
 o )show InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField
 
@@ -61046,6 +61781,8 @@ InfinitlyClosePointOverPseudoAlgebraicClosureOfFiniteField(K,symb,BLMET):_
 InnerAlgebraicNumber examples
 ====================================================================
 
+Algebraic closure of the rational numbers.
+
 See Also:
 o )show InnerAlgebraicNumber
 
@@ -61153,7 +61890,6 @@ o )show InnerAlgebraicNumber
 ++ Author: Manuel Bronstein
 ++ Date Created: 22 March 1988
 ++ Date Last Updated: 4 October 1995 (JHD)
-++ Keywords: algebraic, number.
 ++ Description: 
 ++ Algebraic closure of the rational numbers.
 
@@ -61424,8 +62160,13 @@ InnerAlgebraicNumber(): Exports == Implementation where
 InnerFiniteField examples
 ====================================================================
 
+InnerFiniteField(p,n) implements finite fields with p**n elements
+where p is assumed prime but does not check.
+For a version which checks that p is prime, see FiniteField.
+
 See Also:
 o )show InnerFiniteField
+o )show FiniteField
 
 \end{chunk}
 
@@ -61528,15 +62269,7 @@ o )show InnerFiniteField
 \begin{chunk}{domain IFF InnerFiniteField}
 )abbrev domain IFF InnerFiniteField
 ++ Author: Mark Botch
-++ Date Created: ???
 ++ Date Last Updated: 29 May 1990
-++ Basic Operations:
-++ Related Constructors: FiniteFieldExtensionByPolynomial,
-++  FiniteFieldPolynomialPackage
-++ Also See: FiniteFieldCyclicGroup, FiniteFieldNormalBasis
-++ AMS Classifications:
-++ Keywords: field, extension field, algebraic extension,
-++   finite extension, finite field, Galois field
 ++ Reference:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encyclopedia of Mathematics an
 ++   Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -61603,6 +62336,8 @@ InnerFiniteField(p:PositiveInteger, n:PositiveInteger) ==
 InnerFreeAbelianMonoid examples
 ====================================================================
 
+Internal implementation of a free abelian monoid on any set of generators
+
 See Also:
 o )show InnerFreeAbelianMonoid
 
@@ -61754,6 +62489,8 @@ This is an internal type which provides an implementation of
 InnerIndexedTwoDimensionalArray examples
 ====================================================================
 
+There is no description for this domain
+
 See Also:
 o )show InnerIndexedTwoDimensionalArray
 
@@ -61970,6 +62707,9 @@ InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col):_
 InnerPAdicInteger examples
 ====================================================================
 
+This domain implements Zp, the p-adic completion of the integers.
+This is an internal domain.
+
 See Also:
 o )show InnerPAdicInteger
 
@@ -62039,14 +62779,6 @@ o )show InnerPAdicInteger
 ++ Author: Clifton J. Williamson
 ++ Date Created: 20 August 1989
 ++ Date Last Updated: 15 May 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Keywords: p-adic, completion
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain implements Zp, the p-adic completion of the integers.
 ++ This is an internal domain.
@@ -62406,8 +63138,13 @@ InnerPAdicInteger(p,unBalanced?): Exports == Implementation where
 InnerPrimeField examples
 ====================================================================
 
+InnerPrimeField(p) implements the field with p elements.
+Note: argument p MUST be a prime (this domain does not check).
+See PrimeField for a domain that does check.
+
 See Also:
 o )show InnerPrimeField
+o )show PrimeField
 
 \end{chunk}
 
@@ -62511,11 +63248,6 @@ o )show InnerPrimeField
 ++ Authors: N.N., J.Grabmeier, A.Scheerhorn
 ++ Date Created: ?, November 1990, 26.03.1991
 ++ Date Last Updated: 12 April 1991
-++ Basic Operations:
-++ Related Constructors: PrimeField
-++ Also See:
-++ AMS Classifications:
-++ Keywords: prime characteristic, prime field, finite field
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encycoldia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -62817,6 +63549,9 @@ InnerPrimeField(p:PositiveInteger): Exports == Implementation where
 InnerSparseUnivariatePowerSeries examples
 ====================================================================
 
+InnerSparseUnivariatePowerSeries is an internal domain used for
+creating sparse Taylor and Laurent series.
+
 See Also:
 o )show InnerSparseUnivariatePowerSeries
 
@@ -62923,14 +63658,6 @@ o )show InnerSparseUnivariatePowerSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 28 October 1994
 ++ Date Last Updated: 9 March 1995
-++ Basic Operations:
-++ Related Domains: SparseUnivariateTaylorSeries, SparseUnivariateLaurentSeries
-++   SparseUnivariatePuiseuxSeries
-++ Also See:
-++ AMS Classifications:
-++ Keywords: sparse, series
-++ Examples:
-++ References:
 ++ Description: 
 ++ InnerSparseUnivariatePowerSeries is an internal domain
 ++ used for creating sparse Taylor and Laurent series.
@@ -64095,6 +64822,9 @@ InnerSparseUnivariatePowerSeries(Coef): Exports == Implementation where
 InnerTable examples
 ====================================================================
 
+This domain is used to provide a conditional "add" domain
+for the implementation of Table.
+
 See Also:
 o )show InnerTable
 
@@ -64175,13 +64905,6 @@ o )show InnerTable
 ++ Author: Barry Trager
 ++ Date Created: 1992
 ++ Date Last Updated: Sept 15, 1992
-++ Basic Operations: 
-++ Related Domains: HashTable, AssociationList, Table
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain is used to provide a conditional "add" domain
 ++ for the implementation of \spadtype{Table}.
@@ -64257,6 +64980,12 @@ InnerTable(Key: SetCategory, Entry: SetCategory, addDom):Exports == Implementati
 InnerTaylorSeries examples
 ====================================================================
 
+Internal package for dense Taylor series.  This is an internal Taylor
+series type in which Taylor series are represented by a Stream of Ring
+elements.  For univariate series, the Stream elements are the Taylor
+coefficients. For multivariate series, the n-th Stream element is a
+form of degree n in the power series variables.
+
 See Also:
 o )show InnerTaylorSeries
 
@@ -64305,13 +65034,6 @@ o )show InnerTaylorSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 25 February 1989
-++ Basic Operations:
-++ Related Domains: UnivariateTaylorSeries(Coef,var,cen)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: stream, dense Taylor series
-++ Examples:
-++ References:
 ++ Description:
 ++ Internal package for dense Taylor series.
 ++ This is an internal Taylor series type in which Taylor series
@@ -64500,6 +65222,10 @@ InnerTaylorSeries(Coef): Exports == Implementation where
 InputForm examples
 ====================================================================
 
+Domain of parsed forms which can be passed to the interpreter.
+This is also the interface between algebra code and facilities
+in the interpreter.
+
 See Also:
 o )show InputForm
 
@@ -64555,7 +65281,6 @@ o )show InputForm
 \begin{chunk}{domain INFORM InputForm}
 )abbrev domain INFORM InputForm
 ++ Author: Manuel Bronstein
-++ Date Created: ???
 ++ Date Last Updated: 19 April 1991
 ++ Description:
 ++ Domain of parsed forms which can be passed to the interpreter.
@@ -65512,11 +66237,6 @@ o )show Integer
 \begin{chunk}{domain INT Integer}
 )abbrev domain INT Integer
 ++ Author: Mark Botch
-++ Date Created:
-++ Change History:
-++ Basic Operations:
-++ Related Constructors:
-++ Keywords: integer
 ++ Description: 
 ++ \spadtype{Integer} provides the domain of arbitrary precision integers.
 
@@ -65747,6 +66467,8 @@ Integer: Join(IntegerNumberSystem, ConvertibleTo String, OpenMath) with
 IntegerMod examples
 ====================================================================
 
+IntegerMod(n) creates the ring of integers reduced modulo the integer n.
+
 See Also:
 o )show IntegerMod
 
@@ -65788,14 +66510,6 @@ o )show IntegerMod
 \begin{chunk}{domain ZMOD IntegerMod}
 )abbrev domain ZMOD IntegerMod
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ IntegerMod(n) creates the ring of integers reduced modulo the integer n.
 
@@ -65916,6 +66630,8 @@ IntegerMod(p:PositiveInteger):
 IntegrationFunctionsTable examples
 ====================================================================
 
+There is no description for this domain
+
 See Also:
 o )show IntegrationFunctionsTable
 
@@ -66091,6 +66807,18 @@ IntegrationFunctionsTable(): E == I where
 IntegrationResult examples
 ====================================================================
 
+The result of a transcendental integration.
+
+If a function f has an elementary integral g, then g can be written
+in the form 
+    g = h + c1 log(u1) + c2 log(u2) + ... + cn log(un)
+where h, which is in the same field than f, is called the rational
+part of the integral, and 
+    c1 log(u1) + ... cn log(un) 
+is called the logarithmic part of the integral. This domain manipulates 
+integrals represented in that form, by keeping both parts separately. 
+The logs are not explicitly computed.
+
 See Also:
 o )show IntegrationResult
 
@@ -66130,7 +66858,6 @@ o )show IntegrationResult
 ++ Author: Barry Trager, Manuel Bronstein
 ++ Date Created: 1987
 ++ Date Last Updated: 12 August 1992
-++ Keywords: integration.
 ++ Description:
 ++ The result of a transcendental integration.
 ++ If a function f has an elementary integral g, then g can be written
@@ -66484,6 +67211,9 @@ contains?(t3,0.3)
 Interval examples
 ====================================================================
 
+This domain is an implementation of interval arithmetic and transcendental
+functions over intervals.
+
 t1:=0::Interval(Float)
    [0.0,0.0]
 
@@ -66608,13 +67338,6 @@ contains?(t3,0.3)
 )abbrev domain INTRVL Interval
 ++ Author: Mike Dewar
 ++ Date Created: November 1996
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain is an implementation of interval arithmetic and transcendental
 ++ functions over intervals.
@@ -67905,13 +68628,6 @@ o )show KeyedAccessFile
 ++ Author: Stephen M. Watt
 ++ Date Created: 1985
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations: 
-++ Related Domains: 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain allows a random access file to be viewed both as a table
 ++ and as a file object. The KeyedAccessFile format is a directory 
@@ -68141,6 +68857,8 @@ KeyedAccessFile(Entry): KAFcategory == KAFcapsule where
 LaurentPolynomial examples
 ====================================================================
 
+Univariate polynomials with negative and positive exponents.
+
 See Also:
 o )show LaurentPolynomial
 
@@ -68568,13 +69286,6 @@ o )show Library
 ++ Author: Stephen M. Watt
 ++ Date Created: 1985
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations: 
-++ Related Domains: KeyedAccessFile
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides a simple way to save values in files.
 
@@ -68749,6 +69460,12 @@ g*g1
 LieExponentials examples
 ====================================================================
 
+Management of the Lie Group associated with a free nilpotent Lie
+algebra. Every Lie bracket with length greater than Order are assumed
+to be null.  The implementation inherits from the XPBWPolynomial
+domain constructor: Lyndon coordinates are exponential coordinates of
+the second kind.
+
   a: Symbol := 'a
     a
                          Type: Symbol
@@ -68868,12 +69585,6 @@ o )show LieExponentials
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ Management of the Lie Group associated with a
 ++ free nilpotent Lie algebra. Every Lie bracket with 
@@ -69458,11 +70169,6 @@ o )show LiePolynomial
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
 ++ References:
 ++ Free Lie Algebras by C. Reutenauer (Oxford science publications). 
 ++ Description:
@@ -69821,6 +70527,13 @@ LiePolynomial(VarSet:OrderedSet, R:CommutativeRing) : Public == Private where
 LieSquareMatrix examples
 ====================================================================
 
+LieSquareMatrix(n,R) implements the Lie algebra of the n by n
+matrices over the commutative ring R.
+
+The Lie bracket (commutator) of the algebra is given by
+   a*b := (a *$SQMATRIX(n,R) b - b *$SQMATRIX(n,R) a)
+where *$SQMATRIX(n,R) is the usual matrix multiplication.
+
 See Also:
 o )show LieSquareMatrix
 
@@ -69968,12 +70681,6 @@ o )show LieSquareMatrix
 ++ Author: J. Grabmeier
 ++ Date Created: 07 March 1991
 ++ Date Last Updated: 08 March 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ LieSquareMatrix(n,R) implements the Lie algebra of the n by n
 ++ matrices over the commutative ring R.
@@ -70617,7 +71324,6 @@ o )show LinearOrdinaryDifferentialOperator
 ++ Author: Manuel Bronstein
 ++ Date Created: 9 December 1993
 ++ Date Last Updated: 15 April 1994
-++ Keywords: differential operator
 ++ Description:
 ++ \spad{LinearOrdinaryDifferentialOperator} defines a ring of
 ++ differential operators with coefficients in a ring A with a given
@@ -71114,7 +71820,6 @@ o )show LinearOrdinaryDifferentialOperator1
 ++ Author: Manuel Bronstein
 ++ Date Created: 9 December 1993
 ++ Date Last Updated: 31 January 1994
-++ Keywords: differential operator
 ++ Description:
 ++ \spad{LinearOrdinaryDifferentialOperator1} defines a ring of
 ++ differential operators with coefficients in a differential ring A.
@@ -71725,7 +72430,6 @@ o )show LinearOrdinaryDifferentialOperator2
 ++ Author: Stephen M. Watt, Manuel Bronstein
 ++ Date Created: 1986
 ++ Date Last Updated: 1 February 1994
-++ Keywords: differential operator
 ++ Description:
 ++ \spad{LinearOrdinaryDifferentialOperator2} defines a ring of
 ++ differential operators with coefficients in a differential ring A
@@ -72437,11 +73141,6 @@ o )show List
 )abbrev domain LIST List
 ++ Author: Michael Monagan
 ++ Date Created: Sep 1987
-++ Change History:
-++ Related Constructors: ListFunctions2, ListFunctions3, ListToMap
-++ Also See: IndexList, ListAggregate
-++ AMS Classification:
-++ Keywords: list, index, aggregate, lisp
 ++ Description:
 ++ \spadtype{List} implements singly-linked lists that are
 ++ addressable by indices; the index of the first element
@@ -72616,6 +73315,10 @@ List(S:Type): Exports == Implementation where
 ListMonoidOps examples
 ====================================================================
 
+This internal package represents monoid (abelian or not, with or
+without inverses) as lists and provides some common operations
+to the various flavors of monoids.
+
 See Also:
 o )show ListMonoidOps
 
@@ -72893,6 +73596,13 @@ ListMonoidOps(S, E, un): Exports == Implementation where
 ListMultiDictionary examples
 ====================================================================
 
+The ListMultiDictionary domain implements a dictionary with duplicates
+allowed.  The representation is a list with duplicates represented
+explicitly.  Hence most operations will be relatively inefficient when
+the number of entries in the dictionary becomes large.  If the objects
+in the dictionary belong to an ordered set, the entries are maintained
+in ascending order.
+
 See Also:
 o )show ListMultiDictionary
 
@@ -72950,14 +73660,7 @@ o )show ListMultiDictionary
 \begin{chunk}{domain LMDICT ListMultiDictionary}
 )abbrev domain LMDICT ListMultiDictionary
 ++ Author: Mark Botch
-++ Date Created:
 ++ Date Last Updated: 13 June 1994 Frederic Lehobey
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ The \spadtype{ListMultiDictionary} domain implements a
 ++ dictionary with duplicates
@@ -73157,6 +73860,9 @@ ListMultiDictionary(S:SetCategory): EE == II where
 LocalAlgebra examples
 ====================================================================
 
+LocalAlgebra produces the localization of an algebra, i.e.
+fractions whose numerators come from some R algebra.
+
 See Also:
 o )show LocalAlgebra
 
@@ -73207,14 +73913,6 @@ o )show LocalAlgebra
 \begin{chunk}{domain LA LocalAlgebra}
 )abbrev domain LA LocalAlgebra
 ++ Author: Dave Barton, Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ LocalAlgebra produces the localization of an algebra, i.e.
 ++ fractions whose numerators come from some R algebra.
@@ -73292,6 +73990,9 @@ LocalAlgebra(A: Algebra R,
 Localize examples
 ====================================================================
 
+Localize(M,R,S) produces fractions with numerators from an R module M
+and denominators from some multiplicative subset D of R.
+
 See Also:
 o )show Localize
 
@@ -73332,14 +74033,6 @@ o )show Localize
 \begin{chunk}{domain LO Localize}
 )abbrev domain LO Localize
 ++ Author: Dave Barton, Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: + - / numer denom
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: localization
-++ References:
 ++ Description: 
 ++ Localize(M,R,S) produces fractions with numerators
 ++ from an R module M and denominators from some multiplicative subset D of R.
@@ -73783,11 +74476,6 @@ o )show LyndonWord
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
 ++ References: 
 ++ Free Lie Algebras by C. Reutenauer (Oxford science publications).
 ++ Description:
@@ -74164,6 +74852,9 @@ LyndonWord(VarSet:OrderedSet):Public == Private where
 MachineComplex examples
 ====================================================================
 
+A domain which models the complex number representation used by
+machines in the AXIOM-NAG link.
+
 See Also:
 o )show MachineComplex
 
@@ -74318,15 +75009,6 @@ o )show MachineComplex
 \begin{chunk}{domain MCMPLX MachineComplex}
 )abbrev domain MCMPLX MachineComplex
 ++ Date Created:  December 1993
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains:
-++ Also See: FortranExpression, FortranMachineTypeCategory, MachineInteger,
-++  MachineFloat
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description: 
 ++ A domain which models the complex number representation
 ++ used by machines in the AXIOM-NAG link.
@@ -74474,6 +75156,9 @@ MachineComplex():Exports == Implementation where
 MachineFloat examples
 ====================================================================
 
+A domain which models the floating point representation used by
+machines in the AXIOM-NAG link.
+
 See Also:
 o )show MachineFloat
 
@@ -74571,15 +75256,6 @@ o )show MachineFloat
 )abbrev domain MFLOAT MachineFloat
 ++ Author: Mike Dewar
 ++ Date Created:  December 1993
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains:
-++ Also See: FortranExpression, FortranMachineTypeCategory, MachineInteger,
-++  MachineComplex
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description: 
 ++ A domain which models the floating point representation
 ++ used by machines in the AXIOM-NAG link.
@@ -74973,6 +75649,9 @@ MachineFloat(): Exports == Implementation where
 MachineInteger examples
 ====================================================================
 
+A domain which models the integer representation used by machines in
+the AXIOM-NAG link.
+
 See Also:
 o )show MachineInteger
 
@@ -75076,15 +75755,6 @@ o )show MachineInteger
 )abbrev domain MINT MachineInteger
 ++ Author: Mike Dewar
 ++ Date Created:  December 1993
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains:
-++ Also See: FortranExpression, FortranMachineTypeCategory, MachineFloat,
-++  MachineComplex
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description: 
 ++ A domain which models the integer representation
 ++ used by machines in the AXIOM-NAG link.
@@ -75470,12 +76140,6 @@ o )show Magma
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type is the basic representation of 
 ++ parenthesized words (binary trees over arbitrary symbols)
@@ -75657,6 +76321,8 @@ Magma(VarSet:OrderedSet):Public == Private where
 MakeCachableSet examples
 ====================================================================
 
+MakeCachableSet(S) returns a cachable set which is equal to S as a set.
+
 See Also:
 o )show MakeCachableSet
 
@@ -75762,6 +76428,9 @@ MakeCachableSet(S:SetCategory): Exports == Implementation where
 MathMLFormat examples
 ====================================================================
 
+This package is based on the TeXFormat domain by Robert S. Sutor
+MathMLFormat provides a coercion from OutputForm to MathML format.
+
 See Also:
 o )show MathMLFormat
 
@@ -76083,7 +76752,6 @@ really good.
 )abbrev domain MMLFORM MathMLFormat
 ++ Author: Arthur C. Ralfs
 ++ Date: January 2007
-++ Basic Operations: coerce, coerceS, coerceL, exprex, display
 ++ Description:
 ++ This package is based on the TeXFormat domain by Robert S. Sutor
 ++ \spadtype{MathMLFormat} provides a coercion from \spadtype{OutputForm}
@@ -78389,13 +79057,6 @@ o )show Matrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: IndexedMatrix, RectangularMatrix, SquareMatrix
-++ Also See:
-++ AMS Classifications:
-++ Keywords: matrix, linear algebra
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{Matrix} is a matrix domain where 1-based indexing is used
 ++ for both rows and columns.
@@ -78778,6 +79439,8 @@ Matrix(R): Exports == Implementation where
 ModMonic examples
 ====================================================================
 
+This package has not been documented
+
 See Also:
 o )show ModMonic
 
@@ -79162,8 +79825,14 @@ ModMonic(R,Rep): C == T
 ModularField examples
 ====================================================================
 
+These domains are used for the factorization and gcds of univariate
+polynomials over the integers in order to work modulo different
+primes.
+
 See Also:
 o )show ModularField
+o )show ModularRing
+o )show EuclideanModularRing 
 
 \end{chunk}
 
@@ -79305,8 +79974,14 @@ ModularField(R,Mod,reduction:(R,Mod) -> R,
 ModularRing examples
 ====================================================================
 
+These domains are used for the factorization and gcds
+of univariate polynomials over the integers in order to work modulo
+different  primes.
+
 See Also:
 o )show ModularRing
+o )show EuclideanModularRing
+o )show ModularField
 
 \end{chunk}
 
@@ -79346,14 +80021,6 @@ o )show ModularRing
 \begin{chunk}{domain MODRING ModularRing}
 )abbrev domain MODRING ModularRing
 ++ Author: P.Gianni, B.Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ These domains are used for the factorization and gcds
 ++ of univariate polynomials over the integers in order to work modulo
@@ -79479,6 +80146,8 @@ ModularRing(R,Mod,reduction:(R,Mod) -> R,
 ModuleMonomial examples
 ====================================================================
 
+This package has no documentation
+
 See Also:
 o )show ModuleMonomial
 
@@ -79607,6 +80276,8 @@ ModuleMonomial(IS: OrderedSet,
 ModuleOperator examples
 ====================================================================
 
+Algebra of ADDITIVE operators on a module.
+
 See Also:
 o )show ModuleOperator
 
@@ -79933,6 +80604,9 @@ ModuleOperator(R: Ring, M:LeftModule(R)): Exports == Implementation where
 MoebiusTransform examples
 ====================================================================
 
+MoebiusTransform(F) is the domain of fractional linear (Moebius)
+transformations over F. This a domain of 2-by-2 matrices acting on P1(F).
+
 See Also:
 o )show MoebiusTransform
 
@@ -79971,9 +80645,6 @@ o )show MoebiusTransform
 ++ Author: Stephen "Say" Watt
 ++ Date Created: January 1987
 ++ Date Last Updated: 11 April 1990
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ MoebiusTransform(F) is the domain of fractional linear (Moebius)
 ++ transformations over F. This a domain of 2-by-2 matrices acting on P1(F).
@@ -80140,6 +80811,20 @@ MoebiusTransform(F): Exports == Implementation where
 MonoidRing examples
 ====================================================================
 
+MonoidRing(R,M), implements the algebra of all maps from the monoid M
+to the commutative ring R with finite support.
+
+Multiplication of two maps f and g is defined to map an element c of M
+to the (convolution) sum over f(a)g(b) such that ab = c. Thus M can be
+identified with a canonical basis and the maps can also be considered
+as formal linear combinations of the elements in M. Scalar multiples
+of a basis element are called monomials. A prominent example is the
+class of polynomials where the monoid is a direct product of the
+natural numbers with pointwise addition. When M is FreeMonoid Symbol,
+one gets polynomials in infinitely many non-commuting variables. 
+Another application area is representation theory of finite
+groups G, where modules over MonoidRing(R,G) are studied.
+
 See Also:
 o )show MonoidRing
 
@@ -80194,13 +80879,6 @@ o )show MonoidRing
 ++ Authors: Stephan M. Watt; revised by Johannes Grabmeier
 ++ Date Created: January 1986
 ++ Date Last Updated: 14 December 1995, Mike Dewar
-++ Basic Operations: *, +, monomials, coefficients
-++ Related Constructors: Polynomial
-++ Also See:
-++ AMS Classifications:
-++ Keywords: monoid ring, group ring, polynomials in non-commuting
-++  indeterminates
-++ References:
 ++ Description:
 ++ \spadtype{MonoidRing}(R,M), implements the algebra
 ++ of all maps from the monoid M to the commutative ring R with
@@ -80792,13 +81470,6 @@ o )show Multiset
 ++ Author:Stephen M. Watt, William H. Burge, Richard D. Jenks, Frederic Lehobey
 ++ Date Created:NK
 ++ Date Last Updated: 14 June 1994
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description: 
 ++ A multiset is a set with multiplicities.
 
@@ -81378,15 +82049,6 @@ o )show MultivariatePolynomial
 \begin{chunk}{domain MPOLY MultivariatePolynomial}
 )abbrev domain MPOLY MultivariatePolynomial
 ++ Author: Dave Barton, Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, degree, eval, coefficient, monomial, differentiate,
-++ resultant, gcd
-++ Related Constructors: SparseMultivariatePolynomial, Polynomial
-++ Also See:
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate
-++ References:
 ++ Description:
 ++ This type is the basic representation of sparse recursive multivariate
 ++ polynomials whose variables are from a user specified list of symbols.
@@ -81596,6 +82258,8 @@ MultivariatePolynomial(vl:List Symbol, R:Ring)
 MyExpression examples
 ====================================================================
 
+This domain has no description
+
 See Also:
 o )show MyExpression
 
@@ -81974,6 +82638,8 @@ MyExpression(q: Symbol, R): Exports == Implementation where
 MyUnivariatePolynomial examples
 ====================================================================
 
+This domain has no description
+
 See Also:
 o )show MyUnivariatePolynomial
 
@@ -82348,6 +83014,8 @@ MyUnivariatePolynomial(x:Symbol, R:Ring):
 NeitherSparseOrDensePowerSeries examples
 ====================================================================
 
+This domain is part of the PAFF package
+
 See Also:
 o )show NeitherSparseOrDensePowerSeries
 
@@ -82973,6 +83641,10 @@ by means of triangular sets.
 NewSparseMultivariatePolynomial examples
 ====================================================================
 
+A post-facto extension for SMP in order to speed up operations related
+to pseudo-division and gcd.  This domain is based on the NSUP constructor 
+which is itself a post-facto extension of the SUP constructor.
+
 See Also:
 o )show NewSparseMultivariatePolynomial
 
@@ -83125,13 +83797,6 @@ o )show NewSparseMultivariatePolynomial
 ++ Author: Marc Moreno Maza
 ++ Date Created: 22/04/94
 ++ Date Last Updated: 14/12/1998
-++ Basic Operations: 
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description: 
 ++ A post-facto extension for \axiomType{SMP} in order
 ++ to speed up operations related to pseudo-division and gcd.
@@ -83752,6 +84417,9 @@ constructur {\bf SparseUnivariatePolynomial}.
 NewSparseUnivariatePolynomial examples
 ====================================================================
 
+A post-facto extension for SUP in order to speed up operations related 
+to pseudo-division and gcd for both SUP and, consequently, NSMP.
+
 See Also:
 o )show NewSparseUnivariatePolynomial
 
@@ -83898,13 +84566,6 @@ o )show NewSparseUnivariatePolynomial
 ++ Author: Marc Moreno Maza
 ++ Date Created: 23/07/98
 ++ Date Last Updated: 14/12/98
-++ Basic Operations: 
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References: 
 ++ Description: 
 ++ A post-facto extension for \axiomType{SUP} in order
 ++ to speed up operations related to pseudo-division and gcd for
@@ -84247,13 +84908,6 @@ o )show None
 \begin{chunk}{domain NONE None}
 )abbrev domain NONE None
 ++ Author: Mark Botch
-++ Date Created:
-++ Change History:
-++ Basic Functions: coerce
-++ Related Constructors: NoneFunctions1
-++ Also See: Any
-++ AMS Classification:
-++ Keywords: none, empty
 ++ Description:
 ++ \spadtype{None} implements a type with no objects. It is mainly
 ++ used in technical situations where such a thing is needed (e.g.
@@ -84322,6 +84976,8 @@ None():SetCategory == add
 NonNegativeInteger examples
 ====================================================================
 
+NonNegativeInteger provides functions for non-negative integers.
+
 See Also:
 o )show NonNegativeInteger
 
@@ -84371,11 +85027,6 @@ o )show NonNegativeInteger
 \begin{chunk}{domain NNI NonNegativeInteger}
 )abbrev domain NNI NonNegativeInteger
 ++ Author: Mark Botch
-++ Date Created:
-++ Change History:
-++ Basic Operations:
-++ Related Constructors:
-++ Keywords: integer
 ++ Description: 
 ++ \spadtype{NonNegativeInteger} provides functions for non-negative integers.
 
@@ -84654,6 +85305,26 @@ NottinghamGroup(F:FiniteFieldCategory): Group with
 NumericalIntegrationProblem examples
 ====================================================================
 
+NumericalIntegrationProblem is a domain for the representation of 
+Numerical Integration problems for use by ANNA. 
+
+The representation is a Union of two record types - one for integration of
+a function of one variable:
+
+Record(var:Symbol,
+       fn:Expression DoubleFloat,
+       range:Segment OrderedCompletion DoubleFloat,
+       abserr:DoubleFloat,
+       relerr:DoubleFloat)
+
+and one for multivariate integration:
+
+Record(fn:Expression DoubleFloat,
+       range:List Segment OrderedCompletion DoubleFloat,
+       abserr:DoubleFloat,
+       relerr:DoubleFloat)
+
+
 See Also:
 o )show NumericalIntegrationProblem
 
@@ -84677,8 +85348,6 @@ o )show NumericalIntegrationProblem
 ++ Author: Brian Dupee
 ++ Date Created: December 1997
 ++ Date Last Updated: December 1997
-++ Basic Operations: coerce, retract
-++ Related Constructors: Union
 ++ Description:
 ++ \axiomType{NumericalIntegrationProblem} is a \axiom{domain}
 ++ for the representation of Numerical Integration problems for use
@@ -84779,6 +85448,21 @@ NumericalIntegrationProblem(): EE == II where
 NumericalODEProblem examples
 ====================================================================
 
+NumericalODEProblem is a domain for the representation of Numerical 
+ODE problems for use by ANNA. 
+
+The representation is of type: 
+
+Record(xinit:DoubleFloat,
+       xend:DoubleFloat,
+       fn:Vector Expression DoubleFloat,
+       yinit:List DoubleFloat,
+       intvals:List DoubleFloat,
+       g:Expression DoubleFloat,
+       abserr:DoubleFloat,
+       relerr:DoubleFloat)
+
+
 See Also:
 o )show NumericalODEProblem
 
@@ -84802,8 +85486,6 @@ o )show NumericalODEProblem
 ++ Author: Brian Dupee
 ++ Date Created: December 1997
 ++ Date Last Updated: December 1997
-++ Basic Operations: coerce, retract
-++ Related Constructors: Union
 ++ Description:
 ++ \axiomType{NumericalODEProblem} is a \axiom{domain}
 ++ for the representation of Numerical ODE problems for use
@@ -84890,6 +85572,24 @@ NumericalODEProblem(): EE == II where
 NumericalOptimizationProblem examples
 ====================================================================
 
+NumericalOptimizationProblem is a domain for the representation of 
+Numerical Optimization problems for use by ANNA. 
+
+The representation is a Union of two record types - one for optimization of
+a single function of one or more variables:
+
+Record(fn:Expression DoubleFloat,
+       init:List DoubleFloat,
+       lb:List OrderedCompletion DoubleFloat,
+       cf:List Expression DoubleFloat,
+       ub:List OrderedCompletion DoubleFloat)
+
+and one for least-squares problems i.e. optimization of a set of
+observations of a data set:
+
+Record(lfn:List Expression DoubleFloat,
+       init:List DoubleFloat).
+
 See Also:
 o )show NumericalOptimizationProblem
 
@@ -84913,8 +85613,6 @@ o )show NumericalOptimizationProblem
 ++ Author: Brian Dupee
 ++ Date Created: December 1997
 ++ Date Last Updated: December 1997
-++ Basic Operations: coerce, retract
-++ Related Constructors: Union
 ++ Description:
 ++ \axiomType{NumericalOptimizationProblem} is a \axiom{domain}
 ++ for the representation of Numerical Optimization problems for use
@@ -85016,6 +85714,26 @@ NumericalOptimizationProblem(): EE == II where
 NumericalPDEProblem examples
 ====================================================================
 
+NumericalPDEProblem is a domain for the representation of Numerical 
+PDE problems for use by ANNA. 
+
+The representation is of type: 
+
+Record(pde:List Expression DoubleFloat, 
+       constraints:List PDEC,
+       f:List List Expression DoubleFloat,
+       st:String,
+       tol:DoubleFloat)
+
+where PDEC is of type:
+
+Record(start:DoubleFloat,
+       finish:DoubleFloat,
+       grid:NonNegativeInteger,
+       boundaryType:Integer,
+       dStart:Matrix DoubleFloat,
+       dFinish:Matrix DoubleFloat)
+
 See Also:
 o )show NumericalPDEProblem
 
@@ -85039,8 +85757,6 @@ o )show NumericalPDEProblem
 ++ Author: Brian Dupee
 ++ Date Created: December 1997
 ++ Date Last Updated: December 1997
-++ Basic Operations: coerce, retract
-++ Related Constructors: Union
 ++ Description:
 ++ \axiomType{NumericalPDEProblem} is a \axiom{domain}
 ++ for the representation of Numerical PDE problems for use
@@ -85448,12 +86164,6 @@ o )show Octonion
 ++ Author: R. Wisbauer, J. Grabmeier
 ++ Date Created: 05 September 1990
 ++ Date Last Updated: 20 September 1990
-++ Basic Operations: _+,_*,octon,image,imagi,imagj,imagk,
-++  imagE,imagI,imagJ,imagK
-++ Related Constructors: Quaternion
-++ Also See: AlgebraGivenByStructuralConstants
-++ AMS Classifications:
-++ Keywords: octonion, non-associative algebra, Cayley-Dixon  
 ++ References: e.g. I.L Kantor, A.S. Solodovnikov:
 ++  Hypercomplex Numbers, Springer Verlag Heidelberg, 1989,
 ++  ISBN 0-387-96980-2
@@ -85552,6 +86262,9 @@ Octonion(R:CommutativeRing): export == impl where
 ODEIntensityFunctionsTable examples
 ====================================================================
 
+ODEIntensityFunctionsTable() provides a dynamic table and a set of
+functions to store details found out about sets of ODE's.
+
 See Also:
 o )show ODEIntensityFunctionsTable
 
@@ -85575,7 +86288,6 @@ o )show ODEIntensityFunctionsTable
 ++ Author: Brian Dupee
 ++ Date Created: May 1994
 ++ Date Last Updated: January 1996
-++ Basic Operations: showTheIFTable, insert!
 ++ Description:
 ++ \axiom{ODEIntensityFunctionsTable()} provides a dynamic table and a set of
 ++ functions to store details found out about sets of ODE's.
@@ -85998,6 +86710,8 @@ OneDimensionalArray(S:Type): Exports == Implementation where
 OnePointCompletion examples
 ====================================================================
 
+Completion with infinity. Adjunction of a complex infinity to a set.
+
 See Also:
 o )show OnePointCompletion
 
@@ -86196,8 +86910,12 @@ OnePointCompletion(R:SetCategory): Exports == Implementation where
 OpenMathConnection examples
 ====================================================================
 
+OpenMathConnection provides low-level functions
+for handling connections to and from OpenMathDevice's.
+
 See Also:
 o )show OpenMathConnection
+o )show OpenMathDevice
 
 \end{chunk}
 
@@ -86220,14 +86938,6 @@ o )show OpenMathConnection
 \begin{chunk}{domain OMCONN OpenMathConnection}
 )abbrev domain OMCONN OpenMathConnection
 ++ Author: Vilya Harvey
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ \spadtype{OpenMathConnection} provides low-level functions
 ++ for handling connections to and from \spadtype{OpenMathDevice}s.
@@ -86316,8 +87026,13 @@ OpenMathConnection(): with
 OpenMathDevice examples
 ====================================================================
 
+OpenMathDevice provides support for reading and writing openMath 
+objects to files, strings etc.  It also provides access to low-level 
+operations from within the interpreter.
+
 See Also:
 o )show OpenMathDevice
+o )show OpenMathConnection
 
 \end{chunk}
 
@@ -86377,14 +87092,6 @@ o )show OpenMathDevice
 \begin{chunk}{domain OMDEV OpenMathDevice}
 )abbrev domain OMDEV OpenMathDevice
 ++ Author: Vilya Harvey
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ \spadtype{OpenMathDevice} provides support for reading
 ++ and writing openMath objects to files, strings etc.  It also provides
@@ -86581,6 +87288,8 @@ OpenMathDevice(): with
 OpenMathEncoding examples
 ====================================================================
 
+OpenMathEncoding is the set of valid OpenMath encodings.
+
 See Also:
 o )show OpenMathEncoding
 
@@ -86608,14 +87317,6 @@ o )show OpenMathEncoding
 \begin{chunk}{domain OMENC OpenMathEncoding}
 )abbrev domain OMENC OpenMathEncoding
 ++ Author: Vilya Harvey
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: 
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ \spadtype{OpenMathEncoding} is the set of valid OpenMath encodings.
 
@@ -86694,6 +87395,8 @@ OpenMathEncoding(): SetCategory with
 OpenMathError examples
 ====================================================================
 
+OpenMathError is the domain of OpenMath errors.
+
 See Also:
 o )show OpenMathError
 
@@ -86719,14 +87422,6 @@ o )show OpenMathError
 \begin{chunk}{domain OMERR OpenMathError}
 )abbrev domain OMERR OpenMathError
 ++ Author: Vilya Harvey
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ \spadtype{OpenMathError} is the domain of OpenMath errors.
 
@@ -86804,6 +87499,9 @@ OpenMathError() : SetCategory with
 OpenMathErrorKind examples
 ====================================================================
 
+OpenMathErrorKind represents different kinds of OpenMath errors: 
+specifically parse errors, unknown CD or symbol errors, and read errors.
+
 See Also:
 o )show OpenMathErrorKind
 
@@ -86830,14 +87528,6 @@ o )show OpenMathErrorKind
 \begin{chunk}{domain OMERRK OpenMathErrorKind}
 )abbrev domain OMERRK OpenMathErrorKind
 ++ Author: Vilya Harvey
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description: 
 ++ \spadtype{OpenMathErrorKind} represents different kinds
 ++ of OpenMath errors: specifically parse errors, unknown CD or symbol 
@@ -87385,6 +88075,10 @@ Operator(R: Ring) == ModuleOperator(R,R)
 OppositeMonogenicLinearOperator examples
 ====================================================================
 
+This constructor creates the MonogenicLinearOperator domain which is 
+"opposite" in the ring sense to P. That is, as sets P = $ but a * b 
+in $ is equal to b * a in P.
+
 See Also:
 o )show OppositeMonogenicLinearOperator
 
@@ -87435,13 +88129,6 @@ o )show OppositeMonogenicLinearOperator
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: May 30, 1991
-++ Basic Operations:
-++ Related Domains: MonogenicLinearOperator
-++ Also See:
-++ AMS Classifications:
-++ Keywords: opposite ring
-++ Examples:
-++ References:
 ++ Description:
 ++ This constructor creates the \spadtype{MonogenicLinearOperator} domain
 ++ which is ``opposite'' in the ring sense to P.
@@ -87548,6 +88235,9 @@ OppositeMonogenicLinearOperator(P, R): OPRcat == OPRdef where
 OrderedCompletion examples
 ====================================================================
 
+Completion with + and - infinity. 
+Adjunction of two real infinites quantities to a set.
+
 See Also:
 o )show OrderedCompletion
 
@@ -87872,6 +88562,12 @@ OrderedCompletion(R:SetCategory): Exports == Implementation where
 OrderedDirectProduct examples
 ====================================================================
 
+This type represents the finite direct or cartesian product of an
+underlying ordered component type. The ordering on the type is determined
+by its third argument which represents the less than function on
+vectors. This type is a suitable third argument for
+GeneralDistributedMultivariatePolynomial.
+
 See Also:
 o )show OrderedDirectProduct
 
@@ -88412,6 +89108,14 @@ reduce(p2)
 OrderedFreeMonoid examples
 ====================================================================
 
+The free monoid on a set S is the monoid of finite products of
+the form reduce(*,[si ** ni]) where the si's are in S, and the ni's
+are non-negative integers. The multiplication is not commutative.
+For two elements x and y the relation x < y holds if either 
+length(x) < length(y) holds or if these lengths are equal and if 
+x is smaller than y w.r.t. the lexicographical ordering induced by S.
+This domain inherits implementation from FreeMonoid.
+
 m1:=(x*y*y*z)$OFMONOID(Symbol)
 
 m2:=(x*y)$OFMONOID(Symbol)
@@ -88579,12 +89283,6 @@ o )show OrderedFreeMonoid
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
 ++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ The free monoid on a set \spad{S} is the monoid of finite products of
 ++ the form \spad{reduce(*,[si ** ni])} where the si's are in S, and the ni's
@@ -89738,12 +90436,6 @@ o )show OrderlyDifferentialPolynomial
 ++ Author:  William Sit
 ++ Date Created: 24 September, 1991
 ++ Date Last Updated: 7 February, 1992
-++ Basic Operations:DifferentialPolynomialCategory
-++ Related Constructors: DifferentialSparseMultivariatePolynomial
-++ See Also:
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, ranking, differential polynomials,
-++           order, weight, leader, separant, initial, isobaric
 ++ References:Kolchin, E.R. "Differential Algebra and Algebraic Groups"
 ++   (Academic Press, 1973).
 ++ Description:
@@ -89815,6 +90507,17 @@ OrderlyDifferentialPolynomial(R):
 OrderlyDifferentialVariable examples
 ====================================================================
 
+OrderlyDifferentialVariable adds a commonly used orderly ranking to 
+the set of derivatives of an ordered list of differential
+indeterminates.  An orderly ranking is a ranking < of the derivatives 
+with the property that for two derivatives u and v, u < v if the 
+order of u is less than that of v. 
+
+This domain belongs to DifferentialVariableCategory. It defines 
+weight to be just order, and it defines an orderly ranking < on 
+derivatives u via the lexicographic order on the pair
+(order(u), variable(u)).
+
 See Also:
 o )show OrderlyDifferentialVariable
 
@@ -89855,12 +90558,6 @@ o )show OrderlyDifferentialVariable
 ++ Author:  William Sit
 ++ Date Created: 19 July 1990
 ++ Date Last Updated: 13 September 1991
-++ Basic Operations:differentiate, order, variable,<
-++ Related Domains: OrderedVariableList,
-++                  SequentialDifferentialVariable.
-++ See Also: DifferentialVariableCategory
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, orderly ranking.
 ++ References:Kolchin, E.R. "Differential Algebra and Algebraic Groups"
 ++   (Academic Press, 1973).
 ++ Description:
@@ -89973,6 +90670,9 @@ OrderlyDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
 OrdinaryDifferentialRing examples
 ====================================================================
 
+This constructor produces an ordinary differential ring from
+a partial differential ring by specifying a variable.
+
 See Also:
 o )show OrdinaryDifferentialRing
 
@@ -90038,13 +90738,6 @@ o )show OrdinaryDifferentialRing
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: June 3, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: differential ring
-++ Examples:
-++ References:
 ++ Description:
 ++ This constructor produces an ordinary differential ring from
 ++ a partial differential ring by specifying a variable.
@@ -90130,6 +90823,11 @@ OrdinaryDifferentialRing(Kernels,R,var): DRcategory == DRcapsule where
 OrdinaryWeightedPolynomials examples
 ====================================================================
 
+This domain represents truncated weighted polynomials over the
+"Polynomial" type. The variables must be specified, as must the weights.
+The representation is sparse in the sense that only non-zero terms 
+are represented.
+
 See Also:
 o )show OrdinaryWeightedPolynomials
 
@@ -90168,12 +90866,6 @@ o )show OrdinaryWeightedPolynomials
 ++ Author: James Davenport
 ++ Date Created:  17 April 1992
 ++ Date Last Updated: 12 July 1992
-++ Basic Functions: Ring, changeWeightLevel
-++ Related Constructors: WeightedPolynomials
-++ Also See: PolynomialRing
-++ AMS classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents truncated weighted polynomials over the
 ++ "Polynomial" type. The variables must be
@@ -90246,6 +90938,10 @@ OrdinaryWeightedPolynomials(R:Ring,
 OrdSetInts examples
 ====================================================================
 
+A domain used in order to take the free R-module on the Integers I.  
+This is actually the forgetful functor from OrderedRings 
+to OrderedSets applied to I
+
 See Also:
 o )show OrdSetInts
 
@@ -90400,6 +91096,11 @@ OrdSetInts: Export == Implement where
 OutputForm examples
 ====================================================================
 
+This domain is used to create and manipulate mathematical expressions
+for output.  It is intended to provide an insulating layer between
+the expression rendering software (e.g.FORTRAN, TeX, or Script) and
+the output coercions in the various domains.
+
 See Also:
 o )show OutputForm
 
@@ -90494,8 +91195,7 @@ o )show OutputForm
 
 \begin{chunk}{domain OUTFORM OutputForm}
 )abbrev domain OUTFORM OutputForm
-++ Keywords: output, I/O, expression
-++ SMW March/88
+++ Author: SMW March/88
 ++ Description:
 ++ This domain is used to create and manipulate mathematical expressions
 ++ for output.  It is intended to provide an insulating layer between
@@ -91023,6 +91723,10 @@ OutputForm(): SetCategory with
 PAdicInteger examples
 ====================================================================
 
+Stream-based implementation of Zp: p-adic numbers are represented as
+   sum(i = 0.., a[i] * p^i), 
+where the a[i] lie in 0,1,...,(p - 1).
+
 See Also:
 o )show PAdicInteger
 
@@ -91093,14 +91797,6 @@ o )show PAdicInteger
 ++ Author: Clifton J. Williamson
 ++ Date Created: 20 August 1989
 ++ Date Last Updated: 15 May 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Keywords: p-adic, completion
-++ Examples:
-++ References:
 ++ Description:
 ++ Stream-based implementation of Zp: p-adic numbers are represented as
 ++ sum(i = 0.., a[i] * p^i), where the a[i] lie in 0,1,...,(p - 1).
@@ -91255,6 +91951,10 @@ PAdicInteger(p:Integer) == InnerPAdicInteger(p,true$Boolean)
 PAdicRational examples
 ====================================================================
 
+Stream-based implementation of Qp: numbers are represented as
+   sum(i = k.., a[i] * p^i) 
+where the a[i] lie in 0,1,...,(p - 1).
+
 See Also:
 o )show PAdicRational
 
@@ -91360,14 +92060,6 @@ o )show PAdicRational
 ++ Author: Clifton J. Williamson
 ++ Date Created: 15 May 1990
 ++ Date Last Updated: 15 May 1990
-++ Keywords: p-adic, complementation
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: p-adic, completion
-++ Examples:
-++ References:
 ++ Description:
 ++ Stream-based implementation of Qp: numbers are represented as
 ++ sum(i = k.., a[i] * p^i) where the a[i] lie in 0,1,...,(p - 1).
@@ -91521,6 +92213,8 @@ PAdicRational(p:Integer) == PAdicRationalConstructor(p,PAdicInteger p)
 PAdicRationalConstructor examples
 ====================================================================
 
+This is the category of stream-based representations of Qp.
+
 See Also:
 o )show PAdicRationalConstructor
 
@@ -91627,14 +92321,6 @@ o )show PAdicRationalConstructor
 ++ Author: Clifton J. Williamson
 ++ Date Created: 10 May 1990
 ++ Date Last Updated: 10 May 1990
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Keywords: p-adic, completion
-++ Examples:
-++ References:
 ++ Description:
 ++ This is the category of stream-based representations of Qp.
 
@@ -91849,6 +92535,8 @@ PAdicRationalConstructor(p,PADIC): Exports == Implementation where
 Palette examples
 ====================================================================
 
+This domain describes four groups of color shades (palettes).
+
 See Also:
 o )show Palette
 
@@ -91880,12 +92568,6 @@ o )show Palette
 ++ Author: Jim Wen
 ++ Date Created: May 10th 1989
 ++ Date Last Updated: Jan 19th 1990
-++ Basic Operations: dark, dim, bright, pastel, light, hue, shade, coerce
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: dim,bright,pastel,coerce
-++ References:
 ++ Description:
 ++ This domain describes four groups of color shades (palettes).
  
@@ -91971,6 +92653,9 @@ Palette(): Exports == Implementation where
 ParametricPlaneCurve examples
 ====================================================================
 
+ParametricPlaneCurve is used for plotting parametric plane 
+curves in the affine plane.
+
 See Also:
 o )show ParametricPlaneCurve
 
@@ -91993,12 +92678,6 @@ o )show ParametricPlaneCurve
 ++ Author: Clifton J. Williamson
 ++ Date Created: 24 May 1990
 ++ Date Last Updated: 24 May 1990
-++ Basic Operations: curve, coordinate
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: parametric curve, graphics
-++ References:
 ++ Description:
 ++ ParametricPlaneCurve is used for plotting parametric plane 
 ++ curves in the affine plane.
@@ -92066,6 +92745,9 @@ ParametricPlaneCurve(ComponentFunction): Exports == Implementation where
 ParametricSpaceCurve examples
 ====================================================================
 
+ParametricSpaceCurve is used for plotting parametric space 
+curves in affine 3-space.
+
 See Also:
 o )show ParametricSpaceCurve
 
@@ -92088,12 +92770,6 @@ o )show ParametricSpaceCurve
 ++ Author: Clifton J. Williamson
 ++ Date Created: 24 May 1990
 ++ Date Last Updated: 24 May 1990
-++ Basic Operations: curve, coordinate
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: parametric curve, graphics
-++ References:
 ++ Description:
 ++ ParametricSpaceCurve is used for plotting parametric space 
 ++ curves in affine 3-space.
@@ -92164,6 +92840,9 @@ ParametricSpaceCurve(ComponentFunction): Exports == Implementation where
 ParametricSurface examples
 ====================================================================
 
+ParametricSurface is used for plotting parametric surfaces in 
+affine 3-space.
+
 See Also:
 o )show ParametricSurface
 
@@ -92186,12 +92865,6 @@ o )show ParametricSurface
 ++ Author: Clifton J. Williamson
 ++ Date Created: 24 May 1990
 ++ Date Last Updated: 24 May 1990
-++ Basic Operations: surface, coordinate
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: parametric surface, graphics
-++ References:
 ++ Description:
 ++ ParametricSurface is used for plotting parametric surfaces in 
 ++ affine 3-space.
@@ -92681,17 +93354,7 @@ o )show PartialFraction
 )abbrev domain PFR PartialFraction
 ++ Author: Robert S. Sutor
 ++ Date Created: 1986
-++ Change History:
-++   05/20/91 BMT Converted to the new library
-++ Basic Operations: (Field), (Algebra),
-++   coerce, compactFraction, firstDenom, firstNumer,
-++   nthFractionalTerm, numberOfFractionalTerms, padicallyExpand,
-++   padicFraction, partialFraction, wholePart
-++ Related Constructors:
-++ Also See: ContinuedFraction
-++ AMS Classifications:
-++ Keywords: partial fraction, factorization, euclidean domain
-++ References:
+++ Change History: 05/20/91 BMT Converted to the new library
 ++ Description:
 ++ The domain \spadtype{PartialFraction} implements partial fractions
 ++ over a euclidean domain \spad{R}.  This requirement on the
@@ -93092,6 +93755,11 @@ PartialFraction(R: EuclideanDomain): Cat == Capsule where
 Partition examples
 ====================================================================
 
+Domain for partitions of positive integers. Partition is an 
+OrderedCancellationAbelianMonoid which is used as the basis for 
+symmetric polynomial representation of the sums of powers in 
+SymmetricPolynomial.  Thus, (5 2 2 1) will represent s5 * s2**2 * s1.
+
 See Also:
 o )show Partition
 
@@ -93133,9 +93801,6 @@ o )show Partition
 ++ Author: William H. Burge
 ++ Date Created: 29 October 1987
 ++ Date Last Updated: 23 Sept 1991
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Domain for partitions of positive integers
 ++ Partition is an OrderedCancellationAbelianMonoid which is used
@@ -93330,6 +93995,8 @@ Partition: Exports == Implementation where
 Pattern examples
 ====================================================================
 
+Patterns for use by the pattern matcher.
+
 See Also:
 o )show Pattern
 
@@ -93392,7 +94059,6 @@ o )show Pattern
 ++ Author: Manuel Bronstein
 ++ Date Created: 10 Nov 1988
 ++ Date Last Updated: 20 June 1991
-++ Keywords: pattern, matching.
 ++ Description:
 ++ Patterns for use by the pattern matcher.
 -- Not exposed.
@@ -93807,6 +94473,11 @@ Pattern(R:SetCategory): Exports == Implementation where
 PatternMatchListResult examples
 ====================================================================
 
+A PatternMatchListResult is an object internally returned by the
+pattern matcher when matching on lists. It is either a failed match, 
+or a pair of PatternMatchResult, one for atoms (elements of the list), 
+and one for lists.
+
 See Also:
 o )show PatternMatchListResult
 
@@ -93837,7 +94508,6 @@ o )show PatternMatchListResult
 ++ Author: Manuel Bronstein
 ++ Date Created: 4 Dec 1989
 ++ Date Last Updated: 4 Dec 1989
-++ Keywords: pattern, matching, list.
 ++ Description:
 ++ A PatternMatchListResult is an object internally returned by the
 ++ pattern matcher when matching on lists.
@@ -93927,6 +94597,11 @@ PatternMatchListResult(R:SetCategory, S:SetCategory, L:ListAggregate S):
 PatternMatchResult examples
 ====================================================================
 
+A PatternMatchResult is an object internally returned by the
+pattern matcher; It is either a failed match, or a list of
+matches of the form (var, expr) meaning that the variable var
+matches the expression expr.
+
 See Also:
 o )show PatternMatchResult
 
@@ -93962,7 +94637,6 @@ o )show PatternMatchResult
 ++ Author: Manuel Bronstein
 ++ Date Created: 28 Nov 1989
 ++ Date Last Updated: 5 Jul 1990
-++ Keywords: pattern, matching.
 ++ Description:
 ++ A PatternMatchResult is an object internally returned by the
 ++ pattern matcher; It is either a failed match, or a list of
@@ -94137,12 +94811,15 @@ PatternMatchResult(R:SetCategory, S:SetCategory): SetCategory with
 PendantTree examples
 ====================================================================
 
+A PendantTree(S) is either a leaf? and is an S or has
+a left and a right both PendantTree(S)'s
+
 See Also:
 o )show PendantTree
 
 \end{chunk}
 
-A PendantTree(S)is either a leaf? and is an S or has
+A PendantTree(S) is either a leaf? and is an S or has
 a left and a right both PendantTree(S)'s
 \pagehead{PendantTree}{PENDTREE}
 \pagepic{ps/v103pendanttree.ps}{PENDTREE}{1.00}
@@ -94204,7 +94881,8 @@ a left and a right both PendantTree(S)'s
 )abbrev domain PENDTREE PendantTree
 ++ Author: Mark Botch
 ++ Description:
-++ This domain has no description
+++ A PendantTree(S) is either a leaf? and is an S or has
+++ a left and a right both PendantTree(S)'s
 
 PendantTree(S: SetCategory): T == C where
  T == BinaryRecursiveAggregate(S) with
@@ -94335,6 +95013,12 @@ even?(p*q)       -- should return false
 Permutation Examples
 ====================================================================
 
+Permutation(S) implements the group of all bijections on a set S, 
+which move only a finite number of points. A permutation is considered 
+as a map from S into S. In particular, multiplication is defined as 
+composition of maps:
+   pi1 * pi2 = pi1 o pi2.
+
 We represent a permutation as two lists of equal length representing preimages
 and images of moved points. I.e., fixed points do not occur in either of these
 lists. This enables us to compute the set of fixed points and the set of moved
@@ -94428,12 +95112,6 @@ o )show Permutation
 ++ Authors: Johannes Grabmeier, Holger Gollan, Martin Rubey
 ++ Date Created: 19 May 1989
 ++ Date Last Updated: 2 June 2006
-++ Basic Operations: _*, degree, movedPoints, cyclePartition, order,
-++  numberOfCycles, sign, even?, odd?
-++ Related Constructors: PermutationGroup, PermutationGroupExamples
-++ Also See: RepresentationTheoryPackage1
-++ AMS Classifications:
-++ Keywords:
 ++ Reference: G. James/A. Kerber: The Representation Theory of the Symmetric
 ++   Group. Encycl. of Math. and its Appl., Vol. 16., Cambridge
 ++ Description:
@@ -94878,6 +95556,15 @@ Permutation(S:SetCategory): public == private where
 PermutationGroup examples
 ====================================================================
 
+PermutationGroup implements permutation groups acting on a set S, 
+i.e. all subgroups of the symmetric group of S, represented as a list 
+of permutations (generators). Note that therefore the objects are not 
+members of the Axiom category Group.
+
+Using the idea of base and strong generators by Sims, basic routines 
+and algorithms are implemented so that the word problem for permutation 
+groups can be solved.
+
 See Also:
 o )show PermutationGroup
 
@@ -94919,11 +95606,6 @@ o )show PermutationGroup
 ++ Authors: G. Schneider, H. Gollan, J. Grabmeier
 ++ Date Created: 13 February 1987
 ++ Date Last Updated: 24 May 1991
-++ Basic Operations:
-++ Related Constructors: PermutationGroupExamples, Permutation
-++ Also See: RepresentationTheoryPackage1
-++ AMS Classifications:
-++ Keywords: permutation, permutation group, group operation, word problem
 ++ References:
 ++   C. Sims: Determining the conjugacy classes of a permutation group,
 ++   in Computers in Algebra and Number Theory, SIAM-AMS Proc., Vol. 4,
@@ -94932,7 +95614,7 @@ o )show PermutationGroup
 ++ PermutationGroup implements permutation groups acting
 ++ on a set S, i.e. all subgroups of the symmetric group of S,
 ++ represented as a list of permutations (generators). Note that
-++ therefore the objects are not members of the \Language category
+++ therefore the objects are not members of the Axiom category
 ++ \spadtype{Group}.
 ++ Using the idea of base and strong generators by Sims,
 ++ basic routines and algorithms
@@ -95752,6 +96434,11 @@ PermutationGroup(S:SetCategory): public == private where
 Pi examples
 ====================================================================
 
+Symbolic fractions in %pi with integer coefficients.
+
+The point for using Pi as the default domain for those fractions
+is that Pi is coercible to the float types, and not Expression.
+
 See Also:
 o )show Pi
 
@@ -96460,6 +97147,8 @@ listBranches(refined)
 PlaneAlgebraicCurvePlot examples
 ====================================================================
 
+Plot a NON-SINGULAR plane algebraic curve p(x,y) = 0.
+
 sketch:=makeSketch(x+y,x,y,-1/2..1/2,-1/2..1/2)$ACPLOT
 
                           ACPLOT
@@ -96524,9 +97213,6 @@ listBranches(refined)
 ++ Author: Clifton J. Williamson and Timothy Daly
 ++ Date Created: Fall 1988
 ++ Date Last Updated: 27 April 1990
-++ Keywords: algebraic curve, non-singular, plot
-++ Examples:
-++ References:
 ++ Description:
 ++ Plot a NON-SINGULAR plane algebraic curve p(x,y) = 0.
 
@@ -97792,6 +98478,8 @@ PlaneAlgebraicCurvePlot(): PlottablePlaneCurveCategory _
 Places examples
 ====================================================================
 
+The following is part of the PAFF package
+
 See Also:
 o )show Places
 
@@ -97896,6 +98584,8 @@ Places(K):Exports == Implementation where
 PlacesOverPseudoAlgebraicClosureOfFiniteField examples
 ====================================================================
 
+The following is part of the PAFF package
+
 See Also:
 o )show PlacesOverPseudoAlgebraicClosureOfFiniteField
 
@@ -97999,6 +98689,8 @@ PlacesOverPseudoAlgebraicClosureOfFiniteField(K):Exports
 Plcs examples
 ====================================================================
 
+The following is part of the PAFF package
+
 See Also:
 o )show Plcs
 
@@ -98280,14 +98972,6 @@ o )show Plot
 ++ Author: Michael Monagan (revised by Clifton J. Williamson)
 ++ Date Created: Jan 1988
 ++ Date Last Updated: 30 Nov 1990 by Jonathan Steinbach
-++ Basic Operations: plot, pointPlot, plotPolar, parametric?, zoom, refine,
-++ tRange, minPoints, setMinPoints, maxPoints, screenResolution, adaptive?,
-++ setAdaptive, numFunEvals, debug
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: plot, function, parametric
-++ References:
 ++ Description:
 ++ The Plot domain supports plotting of functions defined over a
 ++ real number system.  A real number system is a model for the real
@@ -98902,6 +99586,12 @@ Plot(): Exports == Implementation where
 Plot3D examples
 ====================================================================
 
+Plot3D supports parametric plots defined over a real number system.  
+A real number system is a model for the real numbers and as such may 
+be an approximation.  For example, floating point numbers and infinite 
+continued fractions are real number systems. The facilities at this 
+point are limited to 3-dimensional parametric plots.
+
 See Also:
 o )show Plot3D
 
@@ -98940,15 +99630,6 @@ o )show Plot3D
 ++ Author: Clifton J. Williamson based on code by Michael Monagan
 ++ Date Created: Jan 1989
 ++ Date Last Updated: 22 November 1990 (Jon Steinbach)
-++ Basic Operations: pointPlot, plot, zoom, refine, tRange, tValues, 
-++ minPoints3D, setMinPoints3D, maxPoints3D, setMaxPoints3D, 
-++ screenResolution3D, setScreenResolution3D, adaptive3D?,  setAdaptive3D,
-++ numFunEvals3D, debug3D
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: plot, parametric
-++ References:
 ++ Description:
 ++ Plot3D supports parametric plots defined over a real
 ++ number system.  A real number system is a model for the real
@@ -99474,8 +100155,13 @@ Plot3D(): Exports == Implementation where
 PoincareBirkhoffWittLyndonBasis examples
 ====================================================================
 
+This domain provides the internal representation of polynomials in 
+non-commutative variables written over the Poincare-Birkhoff-Witt basis.
+See the XPBWPolynomial domain constructor.
+
 See Also:
 o )show PoincareBirkhoffWittLyndonBasis
+o )show XPBWPolynomial
 
 \end{chunk}
 
@@ -99511,13 +100197,6 @@ o )show PoincareBirkhoffWittLyndonBasis
 ++ Author: Michel Petitot (petitot@lifl.fr).
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain provides the internal representation
 ++ of polynomials in non-commutative variables written
@@ -99738,6 +100417,8 @@ PoincareBirkhoffWittLyndonBasis(VarSet: OrderedSet): Public == Private where
 Point examples
 ====================================================================
 
+This domain implements points in coordinate space
+
 See Also:
 o )show Point
 
@@ -100762,15 +101443,6 @@ o )show Polynomial
 \begin{chunk}{domain POLY Polynomial}
 )abbrev domain POLY Polynomial
 ++ Author: Dave Barton, Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, degree, eval, coefficient, monomial, differentiate,
-++ resultant, gcd
-++ Related Constructors: SparseMultivariatePolynomial, MultivariatePolynomial
-++ Also See:
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate
-++ References:
 ++ Description:
 ++ This type is the basic representation of sparse recursive multivariate
 ++ polynomials whose variables are arbitrary symbols. The ordering
@@ -100856,6 +101528,18 @@ Polynomial(R:Ring):
 PolynomialIdeals examples
 ====================================================================
 
+This domain represents polynomial ideals with coefficients in any
+field and supports the basic ideal operations, including intersection
+sum and quotient.
+
+An ideal is represented by a list of polynomials (the generators of
+the ideal) and a boolean that is true if the generators are a Groebner
+basis.
+
+The algorithms used are based on Groebner basis computations. The
+ordering is determined by the datatype of the input polynomials.
+Users may use refinements of total degree orderings.
+
 See Also:
 o )show PolynomialIdeals
 
@@ -100900,12 +101584,6 @@ o )show PolynomialIdeals
 ++ Author: P. Gianni
 ++ Date Created: summer 1986
 ++ Date Last Updated: September 1996
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References: GTZ
 ++ Description:
 ++ This domain represents polynomial ideals with coefficients in any
 ++ field and supports the basic ideal operations, including intersection
@@ -101403,6 +102081,13 @@ PolynomialIdeals(F,Expon,VarSet,DPoly) : C == T
 PolynomialRing examples
 ====================================================================
 
+This domain represents generalized polynomials with coefficients
+(from a not necessarily commutative ring), and terms indexed by their 
+exponents (from an arbitrary ordered abelian monoid).
+
+This type is used, for example, by the DistributedMultivariatePolynomial
+domain where the exponent domain is a direct product of non negative integers.
+
 See Also:
 o )show PolynomialRing
 
@@ -101472,12 +102157,6 @@ o )show PolynomialRing
 ++ Author: Dave Barton, James Davenport, Barry Trager
 ++ Date Created:
 ++ Date Last Updated: 14.08.2000. Improved exponentiation [MMM/TTT]
-++ Basic Functions: Ring, degree, coefficient, monomial, reductum
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents generalized polynomials with coefficients
 ++ (from a not necessarily commutative ring), and terms
@@ -101822,6 +102501,8 @@ PolynomialRing(R:Ring,E:OrderedAbelianMonoid): T == C
 PositiveInteger examples
 ====================================================================
 
+PositiveInteger provides functions for positive integers.
+
 See Also:
 o )show PositiveInteger
 
@@ -101861,14 +102542,8 @@ o )show PositiveInteger
 \begin{chunk}{domain PI PositiveInteger}
 )abbrev domain PI PositiveInteger
 ++ Author: Mark Botch
-++ Date Created:
-++ Change History:
-++ Basic Operations:
-++ Related Constructors:
-++ Keywords: positive integer
 ++ Description:
-++ \spadtype{PositiveInteger} provides functions for
-++ positive integers.
+++ \spadtype{PositiveInteger} provides functions for positive integers.
 
 PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
     gcd: (%,%) -> %
@@ -102002,6 +102677,10 @@ PositiveInteger: Join(AbelianSemiGroup,OrderedSet,Monoid) with
 PrimeField examples
 ====================================================================
 
+PrimeField(p) implements the field with p elements if p is a prime number.
+Error: if p is not prime.
+Note: this domain does not check that argument is a prime.
+
 See Also:
 o )show PrimeField
 
@@ -102109,11 +102788,6 @@ o )show PrimeField
 ++ Authors: N.N.,
 ++ Date Created: November 1990, 26.03.1991
 ++ Date Last Updated: 31 March 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: prime characteristic, prime field, finite field
 ++ References:
 ++  R.Lidl, H.Niederreiter: Finite Field, Encycoldia of Mathematics and
 ++  Its Applications, Vol. 20, Cambridge Univ. Press, 1983, ISBN 0 521 30240 4
@@ -102239,6 +102913,9 @@ PrimeField(p:PositiveInteger): Exp == Impl where
 PrimitiveArray examples
 ====================================================================
 
+This provides a fast array type with no bound checking on elt's.
+Minimum index is 0 in this type, cannot be changed
+
 See Also:
 o )show PrimitiveArray
 
@@ -102645,6 +103322,8 @@ Product (A:SetCategory,B:SetCategory) : C == T
 ProjectivePlane examples
 ====================================================================
 
+This is part of the PAFF package, related to projective space.
+
 See Also:
 o )show ProjectivePlane
 
@@ -102748,6 +103427,8 @@ ProjectivePlane(K):Exports == Implementation where
 ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField examples
 ====================================================================
 
+This is part of the PAFF package, related to projective space.
+
 See Also:
 o )show ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField
 
@@ -102849,6 +103530,8 @@ ProjectivePlaneOverPseudoAlgebraicClosureOfFiniteField(K):Exp == Impl where
 ProjectiveSpace examples
 ====================================================================
 
+This is part of the PAFF package, related to projective space.
+
 See Also:
 o )show ProjectiveSpace
 
@@ -103038,6 +103721,28 @@ ProjectiveSpace(dim,K):Exports == Implementation where
 PseudoAlgebraicClosureOfAlgExtOfRationalNumber examples
 ====================================================================
 
+This domain implement dynamic extension over the 
+PseudoAlgebraicClosureOfRationalNumber. 
+
+A tower extension T  of the ground field K is any sequence of field 
+extension 
+   (T : K_0, K_1, ..., K_i...,K_n) 
+where K_0 = K  and for i =1,2,...,n, K_i is an extension of
+ K_{i-1} of degree > 1 and defined by an irreducible polynomial 
+p(Z) in K_{i-1}. 
+
+Two towers 
+   (T_1: K_01, K_11,...,K_i1,...,K_n1) 
+and 
+   (T_2: K_02, K_12,...,K_i2,...,K_n2)
+are said to be related if 
+   T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+   K_i1 = K_i2 for i=1,2,...,n1 
+(or i=1,2,...,n2). Any algebraic operations defined for several elements 
+are only defined if all of the concerned elements are comming from 
+a set of related tour extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfAlgExtOfRationalNumber
 
@@ -103464,6 +104169,25 @@ PseudoAlgebraicClosureOfAlgExtOfRationalNumber(downLevel:K):Exp == Impl where
 PseudoAlgebraicClosureOfFiniteField examples
 ====================================================================
 
+This domain implement  dynamic extension using the simple notion of 
+tower extensions. A tower extension T  of the ground  field K is any 
+sequence of field extension 
+   (T : K_0, K_1, ..., K_i...,K_n) 
+where K_0 = K and for i =1,2,...,n, K_i is an extension of K_{i-1} 
+of degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}.
+
+Two towers
+   (T_1: K_01, K_11,...,K_i1,...,K_n1)  
+and
+   (T_2: K_02, K_12,...,K_i2,...,K_n2)
+are said to be related if 
+   T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+   K_i1 = K_i2 for i=1,2,...,n1 
+(or i=1,2,...,n2). Any algebraic operations defined for several elements 
+are only defined if all of the concerned elements are comming from 
+a set of related tour extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfFiniteField
 
@@ -103996,6 +104720,25 @@ PseudoAlgebraicClosureOfFiniteField(K):Exports == Implementation where
 PseudoAlgebraicClosureOfRationalNumber examples
 ====================================================================
 
+This domain implements dynamic extension using the simple notion of 
+tower extensions. A tower extension T of the ground field K is any 
+sequence of field extension 
+   (T : K_0, K_1, ..., K_i...,K_n) 
+where K_0 = K and for i =1,2,...,n, K_i is an extension of K_{i-1} of 
+degree > 1 and defined by an irreducible polynomial p(Z) in K_{i-1}.
+
+Two towers 
+   (T_1: K_01, K_11,...,K_i1,...,K_n1) 
+and 
+   (T_2: K_02, K_12,...,K_i2,...,K_n2) 
+are said to be related if 
+   T_1 <= T_2 (or T_1 >= T_2), 
+that is if 
+   K_i1 = K_i2 for i=1,2,...,n1 (or i=1,2,...,n2). 
+Any algebraic operations defined for several elements  are only defined 
+if all of the concerned elements are comming from a set of related tour 
+extensions. 
+
 See Also:
 o )show PseudoAlgebraicClosureOfRationalNumber
 
@@ -104412,6 +105155,8 @@ PseudoAlgebraicClosureOfRationalNumber:Exports == Implementation where
 QuadraticForm examples
 ====================================================================
 
+This domain provides modest support for quadratic forms.
+
 See Also:
 o )show QuadraticForm
 
@@ -104447,14 +105192,6 @@ o )show QuadraticForm
 ++ Author: Stephen M. Watt
 ++ Date Created: August 1988
 ++ Date Last Updated: May 17, 1991
-++ Basic Operations: quadraticForm, elt
-++ Related Domains: Matrix, SquareMatrix
-++ Also See:
-++ AMS Classifications:
-++ Keywords: quadratic form
-++ Examples:
-++ References:
-++
 ++ Description:
 ++ This domain provides modest support for quadratic forms.
 
@@ -104532,6 +105269,35 @@ QuadraticForm(n, K): T == Impl where
 QuasiAlgebraicSet examples
 ====================================================================
 
+QuasiAlgebraicSet constructs a domain representing quasi-algebraic 
+sets, which is the intersection of a Zariski closed set, defined as 
+the common zeros of a given list of polynomials (the defining 
+polynomials for equations), and a principal Zariski open set, 
+defined as the complement of the common zeros of a polynomial f 
+(the defining polynomial for the inequation).
+
+This domain provides simplification of a user-given representation
+using groebner basis computations.
+
+There are two simplification routines: the first function idealSimplify
+uses groebner basis of ideals alone, while the second, simplify uses both
+groebner basis and factorization. The resulting defining equations L
+always form a groebner basis, and the resulting defining
+inequation f is always reduced. The function simplify may be applied 
+several times if desired. A third simplification routine 
+radicalSimplify is provided in QuasiAlgebraicSet2 for comparison study only,
+as it is inefficient compared to the other two, as well as is restricted 
+to only certain coefficient domains.  For detail analysis and a comparison 
+of the three methods, please consult the reference cited.
+
+A polynomial function q defined on the quasi-algebraic set is equivalent 
+to its reduced form with respect to L.  While this may be obtained using 
+the usual normal form algorithm, there is no canonical form for q.
+
+The ordering in groebner basis computation is determined by the data 
+type of the input polynomials.  If it is possible we suggest to use 
+refinements of total degree orderings.
+
 See Also:
 o )show QuasiAlgebraicSet
 
@@ -104563,11 +105329,6 @@ o )show QuasiAlgebraicSet
 ++ Author:  William Sit
 ++ Date Created: March 13, 1992
 ++ Date Last Updated: June 12, 1992 
-++ Basic Operations:
-++ Related Constructors:GroebnerPackage
-++ See Also: QuasiAlgebraicSet2
-++ AMS Classifications:
-++ Keywords: Zariski closed sets, quasi-algebraic sets
 ++ References:William Sit, "An Algorithm for Parametric Linear Systems"
 ++            J. Sym. Comp., April, 1992
 ++ Description:
@@ -105050,15 +105811,7 @@ o )show Quaternion
 )abbrev domain QUAT Quaternion
 ++ Author: Robert S. Sutor
 ++ Date Created: 23 May 1990
-++ Change History:
-++   10 September 1990
-++ Basic Operations: (Algebra)
-++   abs, conjugate, imagI, imagJ, imagK, norm, quatern, rational,
-++   rational?, real
-++ Related Constructors: QuaternionCategoryFunctions2
-++ Also See: QuaternionCategory, DivisionRing
-++ AMS Classifications: 11R52
-++ Keywords: quaternions, division ring, algebra
+++ Change History:  10 September 1990
 ++ Description:
 ++ \spadtype{Quaternion} implements quaternions over a
 ++ commutative ring. The main constructor function is \spadfun{quatern}
@@ -105125,6 +105878,8 @@ Quaternion(R:CommutativeRing): QuaternionCategory(R) == add
 QueryEquation examples
 ====================================================================
 
+This domain implements simple database queries 
+
 See Also:
 o )show QueryEquation
 
@@ -105882,13 +106637,6 @@ o )show BagAggregate
 ++ Author: Michael Monagan and Stephen Watt
 ++ Date Created:June 86 and July 87
 ++ Date Last Updated:Feb 92
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Linked List implementation of a Queue
 --% Dequeue and Heap data types
@@ -106257,6 +107005,8 @@ Queue(S:SetCategory): QueueAggregate S with
 RadicalFunctionField examples
 ====================================================================
 
+Function field defined by y**n = f(x);
+
 See Also:
 o )show RadicalFunctionField
 
@@ -106390,8 +107140,6 @@ o )show RadicalFunctionField
 ++ Author: Manuel Bronstein
 ++ Date Created: 1987
 ++ Date Last Updated: 27 July 1993
-++ Keywords: algebraic, curve, radical, function, field.
-++ Examples: )r RADFF INPUT
 ++ Description:
 ++ Function field defined by y**n = f(x);
 
@@ -106976,14 +107724,6 @@ o )show RadixExpansion
 ++ Author: Stephen M. Watt
 ++ Date Created: October 1986
 ++ Date Last Updated: May 15, 1991
-++ Basic Operations: wholeRadix, fractRadix, wholeRagits, fractRagits
-++ Related Domains: BinaryExpansion, DecimalExpansion, HexadecimalExpansion,
-++    RadixUtilities
-++ Also See:
-++ AMS Classifications:
-++ Keywords: radix, base, repeating decimal
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain allows rational numbers to be presented as repeating
 ++ decimal expansions or more generally as repeating expansions in any base.
@@ -108534,12 +109274,6 @@ o )show RealClosure
 ++ Author: Renaud Rioboo
 ++ Date Created: summer 1988
 ++ Date Last Updated: January 2004
-++ Basic Functions: provides computations in an ordered real closure
-++ Related Constructors: RightOpenIntervalRootCharacterization
-++ Also See:
-++ AMS Classifications:
-++ Keywords: Real Algebraic Numbers
-++ References: 
 ++ Description:
 ++ This domain implements the real closure of an ordered field.
 ++ Note: 
@@ -108918,6 +109652,9 @@ RealClosure(TheField): PUB == PRIV where
 RectangularMatrix examples
 ====================================================================
 
+RectangularMatrix is a matrix domain where the number of rows
+and the number of columns are parameters of the domain.
+
 See Also:
 o )show RectangularMatrix
 
@@ -108994,13 +109731,6 @@ o )show RectangularMatrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: IndexedMatrix, Matrix, SquareMatrix
-++ Also See:
-++ AMS Classifications:
-++ Keywords: matrix, linear algebra
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{RectangularMatrix} is a matrix domain where the number of rows
 ++ and the number of columns are parameters of the domain.
@@ -109123,6 +109853,8 @@ RectangularMatrix(m,n,R): Exports == Implementation where
 Reference examples
 ====================================================================
 
+Reference is for making a changeable instance of something.
+
 See Also:
 o )show Reference
 
@@ -109152,11 +109884,6 @@ o )show Reference
 \begin{chunk}{domain REF Reference}
 )abbrev domain REF Reference
 ++ Author: Stephen M. Watt
-++ Date Created:
-++ Change History:
-++ Basic Operations: deref, elt, ref, setelt, setref, =
-++ Related Constructors:
-++ Keywords:  reference
 ++ Description:  
 ++ \spadtype{Reference} is for making a changeable instance
 ++ of something.
@@ -109344,6 +110071,11 @@ Reference(S:Type): Type with
 RegularChain examples
 ====================================================================
 
+A domain for regular chains (i.e. regular triangular sets) over
+a Gcd-Domain and with a fix list of variables.
+
+This is just a front-end for the RegularTriangularSet domain constructor.
+
 See Also:
 o )show RegularChain
 
@@ -110972,11 +111704,6 @@ o )show RegularTriangularSet
 ++ Author: Marc Moreno Maza
 ++ Date Created: 08/25/1998
 ++ Date Last Updated: 16/12/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords:
 ++ References :
 ++  [1] M. MORENO MAZA "A new algorithm for computing triangular
 ++      decomposition of algebraic varieties" NAG Tech. Rep. 4/98.
@@ -111408,6 +112135,10 @@ RegularTriangularSet(R,E,V,P) : Exports == Implementation where
 ResidueRing examples
 ====================================================================
 
+ResidueRing is the quotient of a polynomial ring by  an ideal.
+The ideal is given as a list of generators. The elements of the domain
+are equivalence classes expressed in terms of reduced elements
+
 See Also:
 o )show ResidueRing
 
@@ -111445,13 +112176,6 @@ o )show ResidueRing
 )abbrev domain RESRING ResidueRing
 ++ Author: P.Gianni
 ++ Date Created: December 1992
-++ Date Last Updated:
-++ Basic Functions: 
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description: 
 ++ ResidueRing is the quotient of a polynomial ring by  an ideal.
 ++ The ideal is given as a list of generators. The elements of the domain
@@ -111607,6 +112331,10 @@ ResidueRing(F,Expon,VarSet,FPol,LFPol) : Dom  == Body
 Result examples
 ====================================================================
 
+A domain used to return the results from a call to the NAG library.  
+It prints as a list of names and types, though the user may choose 
+to display values automatically if he or she wishes.
+
 See Also:
 o )show Result
 
@@ -111689,13 +112417,6 @@ o )show Result
 ++ Author: Didier Pinchon and Mike Dewar
 ++ Date Created:  8 April 1994
 ++ Date Last Updated: 28 June 1994 
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description: 
 ++ A domain used to return the results from a call to the NAG
 ++ Library.  It prints as a list of names and types, though the user may 
@@ -111877,7 +112598,6 @@ o )show RewriteRule
 ++ Author: Manuel Bronstein
 ++ Date Created: 24 Oct 1988
 ++ Date Last Updated: 26 October 1993
-++ Keywords: pattern, matching, rule.
 ++ Description:
 ++ Rules for the pattern matcher
 
@@ -112095,6 +112815,8 @@ depending on several "real roots".
 RightOpenIntervalRootCharacterization examples
 ====================================================================
 
+RightOpenIntervalRootCharacterization provides work with interval root coding.
+
 See Also:
 o )show RightOpenIntervalRootCharacterization
 
@@ -112135,12 +112857,6 @@ o )show RightOpenIntervalRootCharacterization
 ++ Author: Renaud Rioboo
 ++ Date Created: summer 1992
 ++ Date Last Updated: January 2004
-++ Basic Functions: provides computations with real roots of olynomials 
-++ Related Constructors: RealRootCharacterizationCategory, RealClosure
-++ Also See: 
-++ AMS Classifications:
-++ Keywords: Real Algebraic Numbers
-++ References: 
 ++ Description:
 ++ \axiomType{RightOpenIntervalRootCharacterization} provides work with
 ++ interval root coding.
@@ -112983,10 +113699,6 @@ o )show RomanNumeral
 \begin{chunk}{domain ROMAN RomanNumeral}
 )abbrev domain ROMAN RomanNumeral
 ++ Author: Mark Botch
-++ Date Created:
-++ Change History:
-++ Related Constructors:
-++ Keywords: roman numerals
 ++ Description:
 ++ \spadtype{RomanNumeral} provides functions for converting
 ++ integers to roman numerals.
@@ -113141,6 +113853,9 @@ RomanNumeral(): IntegerNumberSystem with
 RoutinesTable examples
 ====================================================================
 
+RoutinesTable implements a database and associated tuning mechanisms 
+for a set of known NAG routines
+
 See Also:
 o )show RoutinesTable
 
@@ -113230,8 +113945,6 @@ o )show RoutinesTable
 ++ Author: Brian Dupee
 ++ Date Created: August 1994
 ++ Date Last Updated: December 1997
-++ Basic Operations: routines, getMeasure
-++ Related Constructors: TableAggregate(Symbol,Any)
 ++ Description:
 ++ \axiomType{RoutinesTable} implements a database and associated tuning
 ++ mechanisms for a set of known NAG routines
@@ -113645,6 +114358,8 @@ RoutinesTable(): E == I where
 RuleCalled examples
 ====================================================================
 
+This domain implements named rules 
+
 See Also:
 o )show RuleCalled
 
@@ -113722,6 +114437,9 @@ RuleCalled(f:Symbol): SetCategory with
 Ruleset examples
 ====================================================================
 
+Sets of rules for the pattern matcher. A ruleset is a set of pattern 
+matching rules grouped together.
+
 See Also:
 o )show Ruleset
 
@@ -113750,7 +114468,6 @@ o )show Ruleset
 ++ Author: Manuel Bronstein
 ++ Date Created: 20 Mar 1990
 ++ Date Last Updated: 29 Jun 1990
-++ Keywords: pattern, matching, rule.
 ++ Description:
 ++ Sets of rules for the pattern matcher.
 ++ A ruleset is a set of pattern matching rules grouped together.
@@ -113834,6 +114551,16 @@ Ruleset(Base, R, F): Exports == Implementation where
 ScriptFormulaFormat examples
 ====================================================================
 
+ScriptFormulaFormat provides a coercion from OutputForm} to IBM 
+SCRIPT/VS Mathematical Formula Format. The basic SCRIPT formula 
+format object consists of three parts:  a prologue, a formula part 
+and an epilogue.  The functions prologue, formula and epilogue
+extract these parts, respectively.  The central parts of the expression
+go into the formula part.  The other parts can be set (setPrologue!, 
+setEpilogue!) so that contain the appropriate tags for printing.  
+For example, the prologue and epilogue might simply contain ":df." and 
+":edf." so that the formula section will be printed in display math mode.
+
 See Also:
 o )show ScriptFormulaFormat
 
@@ -113864,13 +114591,6 @@ o )show ScriptFormulaFormat
 )abbrev domain FORMULA ScriptFormulaFormat
 ++ Author: Robert S. Sutor
 ++ Date Created: 1987 through 1990
-++ Change History:
-++ Basic Operations: coerce, convert, display, epilogue,
-++   formula, new, prologue, setEpilogue!, setFormula!, setPrologue!
-++ Related Constructors: ScriptFormulaFormat1
-++ Also See: TexFormat
-++ AMS Classifications:
-++ Keywords: output, format, SCRIPT, BookMaster, formula
 ++ References:
 ++   SCRIPT Mathematical Formula Formatter User's Guide, SH20-6453,
 ++   IBM Corporation, Publishing Systems Information Development,
@@ -114498,13 +115218,6 @@ o )show Segment
 ++ Author:  Stephen M. Watt
 ++ Date Created:  December 1986
 ++ Date Last Updated: June 3, 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: range, segment
-++ Examples:
-++ References:
 ++ Description:
 ++ This type is used to specify a range of values from type \spad{S}.
 
@@ -114712,15 +115425,7 @@ o )show SegmentBinding
 \begin{chunk}{domain SEGBIND SegmentBinding}
 )abbrev domain SEGBIND SegmentBinding
 ++ Author: Mark Botch
-++ Date Created:
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations:
-++ Related Domains: Equation, Segment, Symbol
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain is used to provide the function argument syntax \spad{v=a..b}.
 ++ This is used, for example, by the top-level \spadfun{draw} functions.
@@ -115137,12 +115842,6 @@ o )show Set
 ++ Author: Michael Monagan; revised by Richard Jenks
 ++ Date Created: August 87 through August 88
 ++ Date Last Updated: May 1991
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ A set over a domain D models the usual mathematical notion of a finite set
 ++ of elements from D.
@@ -115360,6 +116059,9 @@ Set(S:SetCategory): FiniteSetAggregate S == add
 SetOfMIntegersInOneToN examples
 ====================================================================
 
+SetOfMIntegersInOneToN implements the subsets of M integers in the 
+interval [1..n]
+
 See Also:
 o )show SetOfMIntegersInOneToN
 
@@ -115726,6 +116428,11 @@ SetOfMIntegersInOneToN(m, n): Exports == Implementation where
 SequentialDifferentialPolynomial examples
 ====================================================================
 
+SequentialDifferentialPolynomial implements an ordinary differential 
+polynomial ring in arbitrary number of differential indeterminates, 
+with coefficients in a ring.  The ranking on the differential 
+indeterminate is sequential.
+
 See Also:
 o )show SequentialDifferentialPolynomial
 
@@ -115840,13 +116547,8 @@ o )show SequentialDifferentialPolynomial
 ++ Author:  William Sit
 ++ Date Created: 24 September, 1991
 ++ Date Last Updated: 7 February, 1992
-++ Basic Operations:DifferentialPolynomialCategory
-++ Related Constructors: DifferentialSparseMultivariatePolynomial
-++ See Also:
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, ranking, differential polynomials,
-++           order, weight, leader, separant, initial, isobaric
-++ References:Kolchin, E.R. "Differential Algebra and Algebraic Groups"
+++ References:
+++ Kolchin, E.R. "Differential Algebra and Algebraic Groups"
 ++   (Academic Press, 1973).
 ++ Description:
 ++ \spadtype{SequentialDifferentialPolynomial} implements
@@ -116060,6 +116762,16 @@ SequentialDifferentialPolynomial(R):
 SequentialDifferentialVariable examples
 ====================================================================
 
+OrderlyDifferentialVariable adds a commonly used sequential ranking 
+to the set of derivatives of an ordered list of differential
+indeterminates.  A sequential ranking is a ranking < of the
+derivatives with the property that for any derivative v,
+there are only a finite number of derivatives u with u < v.
+This domain belongs to DifferentialVariableCategory.  It defines 
+weight to be just order, and it defines a sequential ranking < on 
+derivatives u by the lexicographic order on the pair
+(variable(u), order(u)).
+
 See Also:
 o )show SequentialDifferentialVariable
 
@@ -116100,13 +116812,8 @@ o )show SequentialDifferentialVariable
 ++ Author:  William Sit
 ++ Date Created: 19 July 1990
 ++ Date Last Updated: 13 September 1991
-++ Basic Operations:differentiate, order, variable, <
-++ Related Domains: OrderedVariableList,
-++                  OrderlyDifferentialVariable.
-++ See Also:DifferentialVariableCategory
-++ AMS Classifications:12H05
-++ Keywords: differential indeterminates, sequential ranking.
-++ References:Kolchin, E.R. "Differential Algebra and Algebraic Groups"
+++ References:
+++ Kolchin, E.R. "Differential Algebra and Algebraic Groups"
 ++   (Academic Press, 1973).
 ++ Description:
 ++ \spadtype{OrderlyDifferentialVariable} adds a commonly used sequential
@@ -116186,6 +116893,8 @@ SequentialDifferentialVariable(S:OrderedSet):DifferentialVariableCategory(S)
 SExpression examples
 ====================================================================
 
+This domain allows the manipulation of the usual Lisp values.
+
 See Also:
 o )show SExpression
 
@@ -116290,6 +116999,9 @@ SExpression()
 SExpressionOf examples
 ====================================================================
 
+This domain allows the manipulation of Lisp values over 
+arbitrary atomic types.
+
 See Also:
 o )show SExpressionOf
 
@@ -116551,6 +117263,17 @@ SExpressionOf(Str, Sym, Int, Flt, Expr): Decl == Body where
 SimpleAlgebraicExtension examples
 ====================================================================
 
+Algebraic extension of a ring by a single polynomial. Domain which 
+represents simple algebraic extensions of arbitrary rings. The first 
+argument to the domain, R, is the underlying ring, the second 
+argument is a domain of univariate polynomials over K, while the 
+last argument specifies the defining minimal polynomial.
+
+The elements of the domain are canonically represented as polynomials
+of degree less than that of the minimal polynomial with coefficients
+in R. The second argument is both the type of the third argument and
+the underlying representation used by SAE itself.
+
 See Also:
 o )show SimpleAlgebraicExtension
 
@@ -116649,7 +117372,6 @@ o )show SimpleAlgebraicExtension
 ++ Author: Barry Trager, Manuel Bronstein, Clifton Williamson
 ++ Date Created: 1986
 ++ Date Last Updated: 9 May 1994
-++ Keywords: ring, algebraic, extension
 ++ Description:
 ++ Algebraic extension of a ring by a single polynomial.
 ++ Domain which represents simple algebraic extensions of arbitrary
@@ -116863,6 +117585,11 @@ SimpleAlgebraicExtension(R:CommutativeRing,
 SimpleFortranProgram examples
 ====================================================================
 
+SimpleFortranProgram(f,type) provides a simple model of some
+FORTRAN subprograms, making it possible to coerce objects of various
+domains into a FORTRAN subprogram called f. These can then be 
+translated into legal FORTRAN code.
+
 See Also:
 o )show SimpleFortranProgram
 
@@ -116889,17 +117616,10 @@ o )show SimpleFortranProgram
 \begin{chunk}{domain SFORT SimpleFortranProgram}
 )abbrev domain SFORT SimpleFortranProgram
 -- Because of a bug in the compiler:
-)bo $noSubsumption:=true 
+--)bo $noSubsumption:=true 
 
 ++ Author: Mike Dewar
 ++ Date Created: November 1992
-++ Date Last Updated: 
-++ Basic Operations:
-++ Related Constructors: FortranType, FortranCode, Switch
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ \axiomType{SimpleFortranProgram(f,type)} provides a simple model of some
 ++ FORTRAN subprograms, making it possible to coerce objects of various
@@ -117256,13 +117976,8 @@ o )show SingleInteger
 -- No longer - JHD !! still needed 5/3/91 BMT
 
 ++ Author:  Michael Monagan
-++ Date Created:
-++    January 1988
+++ Date Created: January 1988
 ++ Change History:
-++ Basic Operations: max, min,
-++    not, and, or, xor, Not, And, Or
-++ Related Constructors:
-++ Keywords: single integer
 ++ Description:
 ++ SingleInteger is intended to support machine integer arithmetic.
 
@@ -117490,6 +118205,9 @@ SingleInteger(): Join(IntegerNumberSystem,Logic,OpenMath) with
 SingletonAsOrderedSet examples
 ====================================================================
 
+This trivial domain lets us build Univariate Polynomials
+in an anonymous variable
+
 See Also:
 o )show SingletonAsOrderedSet
 
@@ -117689,6 +118407,12 @@ SingletonAsOrderedSet(): OrderedSet with
 SparseMultivariatePolynomial examples
 ====================================================================
 
+This type is the basic representation of sparse recursive multivariate
+polynomials. It is parameterized by the coefficient ring and the
+variable set which may be infinite. The variable ordering is determined
+by the variable set parameter. The coefficient ring may be non-commutative,
+but the variables are assumed to commute.
+
 See Also:
 o )show SparseMultivariatePolynomial
 
@@ -117791,17 +118515,8 @@ o )show SparseMultivariatePolynomial
 \begin{chunk}{domain SMP SparseMultivariatePolynomial}
 )abbrev domain SMP SparseMultivariatePolynomial
 ++ Author: Dave Barton, Barry Trager
-++ Date Created:
 ++ Date Last Updated: 30 November 1994
-++ Fix History:
-++ 30 Nov 94: added gcdPolynomial for float-type coefficients
-++ Basic Functions: Ring, degree, eval, coefficient, monomial, differentiate,
-++ resultant, gcd
-++ Related Constructors: Polynomial, MultivariatePolynomial
-++ Also See:
-++ AMS Classifications:
-++ Keywords: polynomial, multivariate
-++ References:
+++ Fix History: 30 Nov 94
 ++ Description:
 ++ This type is the basic representation of sparse recursive multivariate
 ++ polynomials. It is parameterized by the coefficient ring and the
@@ -118705,13 +119420,6 @@ o )display op coefficient
 ++ Authors: William Burge, Stephen Watt, Clifton Williamson
 ++ Date Created: 15 August 1988
 ++ Date Last Updated: 18 May 1991
-++ Basic Operations:
-++ Related Domains:
-++ Also See: UnivariateTaylorSeries
-++ AMS Classifications:
-++ Keywords: multivariate, Taylor, series
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides multivariate Taylor series with variables
 ++ from an arbitrary ordered set.  A Taylor series is represented
@@ -119188,13 +119896,6 @@ o )show SparseTable
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: June 21, 1991
-++ Basic Operations: 
-++ Related Domains: Table 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ A sparse table has a default entry, which is returned if no other
 ++ value has been explicitly stored for a key.
@@ -119427,6 +120128,13 @@ SparseTable(Key:SetCategory, Ent:SetCategory, dent:Ent) ==
 SparseUnivariateLaurentSeries examples
 ====================================================================
 
+SparseUnivariateLaurentSeries is a domain representing Laurent
+series in one variable with coefficients in an arbitrary ring.  The
+parameters of the type specify the coefficient ring, the power series
+variable, and the center of the power series expansion.  For example,
+SparseUnivariateLaurentSeries(Integer,x,3) represents Laurent
+series in (x - 3) with integer coefficients.
+
 See Also:
 o )show SparseUnivariateLaurentSeries
 
@@ -119580,14 +120288,6 @@ o )show SparseUnivariateLaurentSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 11 November 1994
 ++ Date Last Updated: 10 March 1995
-++ Basic Operations:
-++ Related Domains: InnerSparseUnivariatePowerSeries,
-++   SparseUnivariateTaylorSeries, SparseUnivariatePuiseuxSeries
-++ Also See:
-++ AMS Classifications:
-++ Keywords: sparse, series
-++ Examples:
-++ References:
 ++ Description:
 ++ Sparse Laurent series in one variable
 ++ \spadtype{SparseUnivariateLaurentSeries} is a domain representing Laurent
@@ -119979,8 +120679,17 @@ SparseUnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
 SparseUnivariatePolynomial examples
 ====================================================================
 
+This domain represents univariate polynomials over arbitrary
+(not necessarily commutative) coefficient rings. The variable is
+unspecified  so that the variable displays as ? on output.
+If it is necessary to specify the variable name, use type 
+UnivariatePolynomial. The representation is sparse in the sense 
+that only non-zero terms are represented. Note that if the 
+coefficient ring is a field, this domain forms a euclidean domain.
+
 See Also:
 o )show SparseUnivariatePolynomial
+o )show UnivariatePolynomial
 
 \end{chunk}
 
@@ -120114,23 +120823,15 @@ o )show SparseUnivariatePolynomial
 \begin{chunk}{domain SUP SparseUnivariatePolynomial}
 )abbrev domain SUP SparseUnivariatePolynomial
 ++ Author: Dave Barton, Barry Trager
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, monomial, coefficient, reductum, differentiate,
-++ elt, map, resultant, discriminant
-++ Related Constructors: UnivariatePolynomial, Polynomial
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents univariate polynomials over arbitrary
 ++ (not necessarily commutative) coefficient rings. The variable is
 ++ unspecified  so that the variable displays as \spad{?} on output.
-++ If it is necessary to specify the variable name, use type \spadtype{UnivariatePolynomial}.
-++ The representation is sparse
+++ If it is necessary to specify the variable name, 
+++ use type \spadtype{UnivariatePolynomial}. The representation is sparse
 ++ in the sense that only non-zero terms are represented.
-++ Note that if the coefficient ring is a field, this domain forms a euclidean domain.
+++ Note that if the coefficient ring is a field, 
+++ this domain forms a euclidean domain.
 
 SparseUnivariatePolynomial(R:Ring): UnivariatePolynomialCategory(R) with
      outputForm : (%,OutputForm) -> OutputForm
@@ -120701,6 +121402,8 @@ unfortunately.
 SparseUnivariatePolynomialExpressions examples
 ====================================================================
 
+This domain has no description
+
 See Also:
 o )show SparseUnivariatePolynomialExpressions
 
@@ -121064,6 +121767,13 @@ SparseUnivariatePolynomialExpressions(R: Ring): Exports == Implementation where
 SparseUnivariatePuiseuxSeries examples
 ====================================================================
 
+SparseUnivariatePuiseuxSeries is a domain representing Puiseux
+series in one variable with coefficients in an arbitrary ring.  The
+parameters of the type specify the coefficient ring, the power series
+variable, and the center of the power series expansion.  For example,
+SparseUnivariatePuiseuxSeries(Integer,x,3) represents Puiseux
+series in (x - 3) with Integer coefficients.
+
 See Also:
 o )show SparseUnivariatePuiseuxSeries
 
@@ -121185,14 +121895,6 @@ o )show SparseUnivariatePuiseuxSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 11 November 1994
 ++ Date Last Updated: 28 February 1995
-++ Basic Operations:
-++ Related Domains: InnerSparseUnivariatePowerSeries,
-++   SparseUnivariateTaylorSeries, SparseUnivariateLaurentSeries
-++ Also See:
-++ AMS Classifications:
-++ Keywords: sparse, series
-++ Examples:
-++ References:
 ++ Description:
 ++ Sparse Puiseux series in one variable
 ++ \spadtype{SparseUnivariatePuiseuxSeries} is a domain representing Puiseux
@@ -121355,6 +122057,11 @@ SparseUnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
 SparseUnivariateSkewPolynomial examples
 ====================================================================
 
+This is the domain of sparse univariate skew polynomials over an Ore
+coefficient field.
+
+The multiplication is given by x a = \sigma(a) x + \delta a.
+
 See Also:
 o )show SparseUnivariateSkewPolynomial
 
@@ -121591,6 +122298,13 @@ SparseUnivariateSkewPolynomial(R:Ring, sigma:Automorphism R, delta: R -> R):
 SparseUnivariateTaylorSeries examples
 ====================================================================
 
+SparseUnivariateTaylorSeries is a domain representing Taylor
+series in one variable with coefficients in an arbitrary ring.  The
+parameters of the type specify the coefficient ring, the power series
+variable, and the center of the power series expansion.  For example,
+SparseUnivariateTaylorSeries(Integer,x,3) represents Taylor
+series in (x - 3) with Integer coefficients.
+
 See Also:
 o )show SparseUnivariateTaylorSeries
 
@@ -121695,14 +122409,6 @@ o )show SparseUnivariateTaylorSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 16 February 1990
 ++ Date Last Updated: 10 March 1995
-++ Basic Operations:
-++ Related Domains: InnerSparseUnivariatePowerSeries,
-++   SparseUnivariateLaurentSeries, SparseUnivariatePuiseuxSeries
-++ Also See:
-++ AMS Classifications:
-++ Keywords: Taylor series, sparse power series
-++ Examples:
-++ References:
 ++ Description:
 ++ Sparse Taylor series in one variable
 ++ \spadtype{SparseUnivariateTaylorSeries} is a domain representing Taylor
@@ -122216,6 +122922,14 @@ SparseUnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
 SplitHomogeneousDirectProduct examples
 ====================================================================
 
+This type represents the finite direct or cartesian product of an
+underlying ordered component type. The vectors are ordered as if
+they were split into two blocks. The dim1 parameter specifies the
+length of the first block. The ordering is lexicographic between
+the blocks but acts like HomogeneousDirectProduct within each block. 
+This type is a suitable third argument for
+GeneralDistributedMultivariatePolynomial.
+
 See Also:
 o )show SplitHomogeneousDirectProduct
 
@@ -122309,14 +123023,6 @@ o )show SplitHomogeneousDirectProduct
 \begin{chunk}{domain SHDP SplitHomogeneousDirectProduct}
 )abbrev domain SHDP SplitHomogeneousDirectProduct
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: Vector, DirectProduct
-++ Also See: OrderedDirectProduct, HomogeneousDirectProduct
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type represents the finite direct or cartesian product of an
 ++ underlying ordered component type. The vectors are ordered as if
@@ -122406,6 +123112,16 @@ SplitHomogeneousDirectProduct(dimtot,dim1,S) : T == C where
 SplittingNode examples
 ====================================================================
 
+This domain exports a modest implementation for the vertices of 
+splitting trees. These vertices are called here splitting nodes. 
+Every of these nodes store 3 informations. The first one is its 
+value, that is the current expression to evaluate. The second one 
+is its condition, that is the hypothesis under which the value has 
+to be evaluated. The last one is its status, that is a boolean flag
+which is true iff the value is the result of its evaluation under 
+its condition. Two splitting vertices are equal iff they have the 
+sane values and the same conditions (so their status do not matter).
+
 See Also:
 o )show SplittingNode
 
@@ -122443,13 +123159,6 @@ o )show SplittingNode
 ++ Author: Marc Moereno Maza
 ++ Date Created: 07/05/1996
 ++ Date Last Updated:  07/19/1996
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords:
-++ References:
-++ References:
 ++ Description: 
 ++ This domain exports a modest implementation for the
 ++ vertices of splitting trees. These vertices are called
@@ -122677,6 +123386,20 @@ SplittingNode(V,C) : Exports == Implementation where
 SplittingTree examples
 ====================================================================
 
+This domain exports a modest implementation of splitting trees. 
+Spliiting trees are needed when the evaluation of some quantity 
+under some hypothesis requires to split the hypothesis into sub-cases.
+For instance by adding some new hypothesis on one hand and its negation 
+on another hand. The computations are terminated is a splitting tree 
+a when status(value(a)) is true. Thus, if for the splitting tree a the 
+flag status(value(a)) is true, then status(value(d)) is true for any
+subtree d of a. This property of splitting trees is called the termination
+condition. If no vertex in a splitting tree a is equal to another, 
+a is said to satisfy the no-duplicates condition. The splitting 
+tree a will satisfy this condition if nodes are added to a by mean of 
+splitNodeOf! and if construct is only used to create the root of a
+with no children.
+
 See Also:
 o )show SplittingTree
 
@@ -122743,11 +123466,6 @@ o )show SplittingTree
 ++ Author: Marc Moereno Maza
 ++ Date Created: 07/05/1996
 ++ Date Last Updated:  07/19/1996
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords:
 ++ References:
 ++      M. MORENO MAZA "Calculs de pgcd au-dessus des tours
 ++      d'extensions simples et resolution des systemes d'equations
@@ -123631,11 +124349,6 @@ o )show SquareFreeRegularTriangularSet
 ++ Author: Marc Moreno Maza
 ++ Date Created: 08/25/1998
 ++ Date Last Updated: 16/12/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords:
 ++ References :
 ++  [1] M. MORENO MAZA "A new algorithm for computing triangular
 ++      decomposition of algebraic varieties" NAG Tech. Rep. 4/98.
@@ -124265,13 +124978,6 @@ o )show SquareMatrix
 ++ Author: Grabmeier, Gschnitzer, Williamson
 ++ Date Created: 1987
 ++ Date Last Updated: July 1990
-++ Basic Operations:
-++ Related Domains: IndexedMatrix, Matrix, RectangularMatrix
-++ Also See:
-++ AMS Classifications:
-++ Keywords: matrix, linear algebra
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{SquareMatrix} is a matrix domain of square matrices, where the
 ++ number of rows (= number of columns) is a parameter of the type.
@@ -125042,13 +125748,6 @@ o )show BagAggregate
 ++ Author: Michael Monagan, Stephen Watt, Timothy Daly
 ++ Date Created:June 86 and July 87
 ++ Date Last Updated:Feb 09
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Linked List implementation of a Stack
 --% Dequeue and Heap data types
@@ -125372,6 +126071,7 @@ statusIto()
 ====================================================================
 StochasticDifferential examples
 ====================================================================
+
 A basic implementation of StochasticDifferential(R) using the
 associated domain BasicStochasticDifferential in the underlying 
 representation as sparse multivariate polynomials. The domain is 
@@ -125494,8 +126194,6 @@ o )show StochasticDifferential
 ++ Author: Wilfrid S. Kendall
 ++ Last Last Updated: July 26, 1999
 ++ Related Domains: BasicStochasticDifferential
-++ AMS Classifications:
-++ Keywords: stochastic differential, semimartingale.
 ++ References: Ito (1975), Kendall (1991a,b; 1993a,b).
 ++ Description:
 ++ A basic implementation of StochasticDifferential(R) using the
@@ -126020,9 +126718,6 @@ o )show Stream
 ++ Authors: Burge, Watt; updated by Clifton J. Williamson
 ++ Date Created: July 1986
 ++ Date Last Updated: 30 March 1990
-++ Keywords: stream, infinite list, infinite sequence
-++ Examples:
-++ References:
 ++ Description:
 ++ A stream is an implementation of an infinite sequence using
 ++ a list of terms that have been computed and a function closure
@@ -127462,15 +128157,7 @@ o )show StringTable
 \begin{chunk}{domain STRTBL StringTable}
 )abbrev domain STRTBL StringTable
 ++ Author: Stephen M. Watt
-++ Date Created: 
 ++ Date Last Updated: June 21, 1991
-++ Basic Operations: 
-++ Related Domains: Table 
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides tables where the keys are strings.
 ++ A specialized hash function for strings is used.
@@ -127589,6 +128276,8 @@ point.
 SubSpace examples
 ====================================================================
 
+This domain is not documented
+
 See Also:
 o )show SubSpace
 
@@ -128100,6 +128789,8 @@ SubSpace(n:PI,R:Ring) : Exports == Implementation where
 SubSpaceComponentProperty examples
 ====================================================================
 
+This domain implements some global properties of subspaces.
+
 See Also:
 o )show SubSpaceComponentProperty
 
@@ -128215,6 +128906,8 @@ SubSpaceComponentProperty() : Exports == Implementation where
 SuchThat examples
 ====================================================================
 
+This domain implements "such that" forms
+
 See Also:
 o )show SuchThat
 
@@ -128310,6 +129003,9 @@ SuchThat(S1, S2): Cat == Capsule where
 Switch examples
 ====================================================================
 
+This domain builds representations of boolean expressions for use with
+the FortranCode domain.
+
 See Also:
 o )show Switch
 
@@ -128857,7 +129553,6 @@ o )show Symbol
 ++ Author: Stephen Watt
 ++ Date Created: 1986
 ++ Date Last Updated: 7 Mar 1991, 29 Apr. 1994 (FDLL)
-++ Keywords: symbol.
 ++ Description:
 ++ Basic and scripted symbols.
 
@@ -129210,6 +129905,8 @@ Symbol(): Exports == Implementation where
 SymbolTable examples
 ====================================================================
 
+Create and manipulate a symbol table for generated FORTRAN code
+
 See Also:
 o )show SymbolTable
 
@@ -129242,13 +129939,6 @@ o )show SymbolTable
 ++ Author: Mike Dewar
 ++ Date Created:  October 1992
 ++ Date Last Updated: 12 July 1994
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Create and manipulate a symbol table for generated FORTRAN code
 
@@ -129504,6 +130194,8 @@ SymbolTable() : exports == implementation where
 SymmetricPolynomial examples
 ====================================================================
 
+This domain implements symmetric polynomial
+
 See Also:
 o )show SymmetricPolynomial
 
@@ -129990,13 +130682,6 @@ o )show Table
 ++ Author: Stephen M. Watt, Barry Trager
 ++ Date Created: 1985
 ++ Date Last Updated: Sept 15, 1992
-++ Basic Operations: 
-++ Related Domains: HashTable, EqTable, StringTable, AssociationList
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ Examples:
-++ References:
 ++ Description:
 ++ This is the general purpose table type.
 ++ The keys are hashed to look up the entries.
@@ -130052,6 +130737,9 @@ Table(Key: SetCategory, Entry: SetCategory):Exports == Implementation where
 Tableau examples
 ====================================================================
 
+The tableau domain is for printing Young tableaux, and
+coercions to and from List List S where S is a set.
+
 See Also:
 o )show Tableau
 
@@ -130072,12 +130760,6 @@ o )show Tableau
 ++ Author: William H. Burge
 ++ Date Created: 1987
 ++ Date Last Updated: 23 Sept 1991
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: Young tableau
-++ References:
 ++ Description:
 ++ The tableau domain is for printing Young tableaux, and
 ++ coercions to and from List List S where S is a set.
@@ -130248,6 +130930,9 @@ Tableau(S:SetCategory):Exports == Implementation where
 TaylorSeries examples
 ====================================================================
 
+TaylorSeries is a general multivariate Taylor series domain
+over the ring Coef and with variables of type Symbol.
+
 See Also:
 o )show TaylorSeries
 
@@ -130341,13 +131026,6 @@ o )show TaylorSeries
 ++ Authors: Burge, Watt, Williamson
 ++ Date Created: 15 August 1988
 ++ Date Last Updated: 18 May 1991
-++ Basic Operations:
-++ Related Domains: SparseMultivariateTaylorSeries
-++ Also See: UnivariateTaylorSeries
-++ AMS Classifications:
-++ Keywords: multivariate, Taylor, series
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{TaylorSeries} is a general multivariate Taylor series domain
 ++ over the ring Coef and with variables of type Symbol.
@@ -130621,26 +131299,6 @@ o )show TexFormat
 )abbrev domain TEX TexFormat
 ++ Author: Robert S. Sutor
 ++ Date Created: 1987 through 1992
-++ Change History:
-++   05/15/91 RSS Changed matrix formatting to use array environment.
-++   06/27/91 RSS Fixed segments
-++   08/12/91 RSS Removed some grouping for things, added newWithNum and
-++                ungroup, improved line splitting
-++   08/15/91 RSS Added mbox support for strings
-++   10/15/91 RSS Handle \%\% at beginning of string
-++   01/22/92 RSS Use \[ and \] instead of $$ and $$. Use
-++                %AXIOM STEP NUMBER: instead of \leqno
-++   02/27/92 RSS Escape dollar signs appearing in the input.
-++   03/09/92 RSS Handle explicit blank appearing in the input.
-++   11/28/93 JHD Added code for the VCONCAT and TAG operations.
-++   06/27/95 RSS Change back to $$ and \leqno for Saturn
-++ Basic Operations: coerce, convert, display, epilogue,
-++   tex, new, prologue, setEpilogue!, setTex!, setPrologue!
-++ Related Constructors: TexFormat1
-++ Also See: ScriptFormulaFormat
-++ AMS Classifications:
-++ Keywords: TeX, LaTeX, output, format
-++ References: \TeX{} is a trademark of the American Mathematical Society.
 ++ Description:
 ++ \spadtype{TexFormat} provides a coercion from \spadtype{OutputForm} to
 ++ \TeX{} format.  The particular dialect of \TeX{} used is \LaTeX{}.
@@ -131419,12 +132077,6 @@ o )show TextFile
 ++ Author: Stephen M. Watt
 ++ Date Created: 1985
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations: writeLine! readLine! readLineIfCan! readIfCan! endOfFile?
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description: 
 ++ This domain provides an implementation of text files.  Text is stored
 ++ in these files using the native character set of the computer.
@@ -131558,6 +132210,9 @@ TextFile: Cat == Def where
 TheSymbolTable examples
 ====================================================================
 
+Creates and manipulates one global symbol table for FORTRAN code 
+generation, containing details of types, dimensions, and argument lists.
+
 See Also:
 o )show TheSymbolTable
 
@@ -131593,14 +132248,6 @@ o )show TheSymbolTable
 )abbrev domain SYMS TheSymbolTable
 ++ Author: Mike Dewar
 ++ Date Created:  October 1992
-++ Date Last Updated: 
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ Creates and manipulates one global symbol table for FORTRAN
 ++ code generation, containing details of types, dimensions, and argument 
@@ -131864,6 +132511,8 @@ TheSymbolTable() : Exports == Implementation where
 ThreeDimensionalMatrix examples
 ====================================================================
 
+This domain represents three dimensional matrices over a general object type
+
 See Also:
 o )show ThreeDimensionalMatrix
 
@@ -131920,12 +132569,6 @@ o )show ThreeDimensionalMatrix
 ++ Author: William Naylor
 ++ Date Created: 20 October 1993
 ++ Date Last Updated: 20 May 1994
-++ BasicFunctions:
-++ Related Constructors: Matrix
-++ Also See: PrimitiveArray
-++ AMS Classification:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents three dimensional matrices over a general object type
 
@@ -132243,6 +132886,8 @@ ThreeDimensionalMatrix(R) : Exports == Implementation where
 ThreeDimensionalViewport examples
 ====================================================================
 
+ThreeDimensionalViewport creates viewports to display graphs
+
 See Also:
 o )show ThreeDimensionalViewport
 
@@ -132301,12 +132946,6 @@ o )show ThreeDimensionalViewport
 ++ Author: Jim Wen
 ++ Date Created: 28 April 1989
 ++ Date Last Updated: 2 November 1991, Jim Wen
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ ThreeDimensionalViewport creates viewports to display graphs
 
@@ -133318,6 +133957,10 @@ ThreeDimensionalViewport(): Exports == Implementation where
 ThreeSpace examples
 ====================================================================
 
+The domain ThreeSpace is used for creating three dimensional objects 
+using functions for defining points, curves, polygons, constructs 
+and the subspaces containing them.
+
 See Also:
 o )show ThreeSpace
 
@@ -133365,13 +134008,6 @@ o )show ThreeSpace
 \begin{chunk}{domain SPACE3 ThreeSpace}
 )abbrev domain SPACE3 ThreeSpace
 ++ Author: Mark Botch
-++ Date Created: 
-++ Date Last Updated:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ The domain ThreeSpace is used for creating three dimensional 
 ++ objects using functions for defining points, curves, polygons, constructs 
@@ -133781,6 +134417,9 @@ ThreeSpace(R:Ring):Exports == Implementation where
 Tree examples
 ====================================================================
 
+Tree(S) is a basic domains of tree structures. Each tree is either 
+empty or else is a node consisting of a value and a list of (sub)trees.
+
 See Also:
 o )show Tree
 
@@ -133844,14 +134483,6 @@ o )show Tree
 )abbrev domain TREE Tree
 ++ Author:W. H. Burge
 ++ Date Created:17 Feb 1992
-++ Date Last Updated:
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ Examples:
-++ References:
 ++ Description:
 ++ \spadtype{Tree(S)} is a basic domains of tree structures.
 ++ Each tree is either empty or else is a node consisting of a value and
@@ -134219,6 +134850,9 @@ Tree(S: SetCategory): T==C where
 TubePlot examples
 ====================================================================
 
+Package for constructing tubes around 3-dimensional parametric curves.
+Domain of tubes around 3-dimensional parametric curves.
+
 See Also:
 o )show TubePlot
 
@@ -134242,8 +134876,6 @@ o )show TubePlot
 ++ Author: Clifton J. Williamson
 ++ Date Created: Bastille Day 1989
 ++ Date Last Updated: 5 June 1990
-++ Keywords:
-++ Examples:
 ++ Description: 
 ++ Package for constructing tubes around 3-dimensional parametric curves.
 ++ Domain of tubes around 3-dimensional parametric curves.
@@ -134339,6 +134971,9 @@ TubePlot(Curve): Exports == Implementation where
 Tuple examples
 ====================================================================
 
+This domain is used to interface with the interpreter's notion
+of comma-delimited sequences of values.
+
 See Also:
 o )show Tuple
 
@@ -135232,12 +135867,6 @@ o )show TwoDimensionalViewport
 ++ Author: Jim Wen
 ++ Date Created: 28 April 1989
 ++ Date Last Updated: 29 October 1991, Jon Steinbach
-++ Basic Operations:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: 
-++ References:
 ++ Description:
 ++ TwoDimensionalViewport creates viewports to display graphs.
 
@@ -136022,6 +136651,8 @@ TwoDimensionalViewport ():Exports == Implementation where
 UnivariateFormalPowerSeries examples
 ====================================================================
 
+This domain has no description
+
 See Also:
 o )show UnivariateFormalPowerSeries
 
@@ -136361,6 +136992,13 @@ UnivariateFormalPowerSeries(Coef: Ring) ==
 UnivariateLaurentSeries examples
 ====================================================================
 
+UnivariateLaurentSeries is a domain representing Laurent series in one 
+variable with coefficients in an arbitrary ring.  The parameters of the 
+type specify the coefficient ring, the power series variable, and the 
+center of the power series expansion.  For example, 
+UnivariateLaurentSeries(Integer,x,3) represents Laurent series in
+(x - 3) with integer coefficients.
+
 See Also:
 o )show UnivariateLaurentSeries
 
@@ -136518,13 +137156,6 @@ o )show UnivariateLaurentSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 18 January 1990
 ++ Date Last Updated: 21 September 1993
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Laurent
-++ Examples:
-++ References:
 ++ Description:
 ++ Dense Laurent series in one variable
 ++ \spadtype{UnivariateLaurentSeries} is a domain representing Laurent
@@ -136789,6 +137420,12 @@ UnivariateLaurentSeries(Coef,var,cen): Exports == Implementation where
 UnivariateLaurentSeriesConstructor examples
 ====================================================================
 
+This package enables one to construct a univariate Laurent series
+domain from a univariate Taylor series domain. Univariate
+Laurent series are represented by a pair [n,f(x)], where n is
+an arbitrary integer and f(x) is a Taylor series.  This pair
+represents the Laurent series x**n * f(x).
+
 See Also:
 o )show UnivariateLaurentSeriesConstructor
 
@@ -136943,15 +137580,6 @@ o )show UnivariateLaurentSeriesConstructor
 ++ Authors: Bill Burge, Clifton J. Williamson
 ++ Date Created: August 1988
 ++ Date Last Updated: 17 June 1996
-++ Fix History:
-++ 14 June 1996: provided missing exquo: (%,%) -> % (Frederic Lehobey)
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Laurent, Taylor
-++ Examples:
-++ References:
 ++ Description:
 ++ This package enables one to construct a univariate Laurent series
 ++ domain from a univariate Taylor series domain. Univariate
@@ -138157,15 +138785,6 @@ o )show UnivariatePolynomial
 \begin{chunk}{domain UP UnivariatePolynomial}
 )abbrev domain UP UnivariatePolynomial
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions: Ring, monomial, coefficient, reductum, differentiate,
-++ elt, map, resultant, discriminant
-++ Related Constructors: SparseUnivariatePolynomial, MultivariatePolynomial
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents univariate polynomials in some symbol
 ++ over arbitrary (not necessarily commutative) coefficient rings.
@@ -138355,6 +138974,13 @@ UnivariatePolynomial(x:Symbol, R:Ring):
 UnivariatePuiseuxSeries examples
 ====================================================================
 
+UnivariatePuiseuxSeries is a domain representing Puiseux series in one 
+variable with coefficients in an arbitrary ring.  The parameters of the 
+type specify the coefficient ring, the power series variable, and the 
+center of the power series expansion.  For example,
+UnivariatePuiseuxSeries(Integer,x,3) represents Puiseux series in
+(x - 3) with Integer coefficients.
+
 See Also:
 o )show UnivariatePuiseuxSeries
 
@@ -138478,21 +139104,8 @@ o )show UnivariatePuiseuxSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 28 January 1990
 ++ Date Last Updated: 21 September 1993
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Puiseux
-++ Examples:
-++ References:
 ++ Description:
 ++ Dense Puiseux series in one variable
-++ \spadtype{UnivariatePuiseuxSeries} is a domain representing Puiseux
-++ series in one variable with coefficients in an arbitrary ring.  The
-++ parameters of the type specify the coefficient ring, the power series
-++ variable, and the center of the power series expansion.  For example,
-++ \spad{UnivariatePuiseuxSeries(Integer,x,3)} represents Puiseux series in
-++ \spad{(x - 3)} with \spadtype{Integer} coefficients.
 
 UnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
   Coef : Ring
@@ -138796,6 +139409,12 @@ UnivariatePuiseuxSeries(Coef,var,cen): Exports == Implementation where
 UnivariatePuiseuxSeriesConstructor examples
 ====================================================================
 
+This package enables one to construct a univariate Puiseux series
+domain from a univariate Laurent series domain. Univariate
+Puiseux series are represented by a pair [r,f(x)], where r is
+a positive rational number and f(x) is a Laurent series.
+This pair represents the Puiseux series f(x^r).
+
 See Also:
 o )show UnivariatePuiseuxSeriesConstructor
 
@@ -138919,13 +139538,6 @@ o )show UnivariatePuiseuxSeriesConstructor
 ++ Author: Clifton J. Williamson
 ++ Date Created: 9 May 1989
 ++ Date Last Updated: 30 November 1994
-++ Basic Operations:
-++ Related Domains:
-++ Also See:
-++ AMS Classifications:
-++ Keywords: series, Puiseux, Laurent
-++ Examples:
-++ References:
 ++ Description:
 ++ This package enables one to construct a univariate Puiseux series
 ++ domain from a univariate Laurent series domain. Univariate
@@ -139353,6 +139965,14 @@ UnivariatePuiseuxSeriesConstructor(Coef,ULS):_
 UnivariatePuiseuxSeriesWithExponentialSingularity examples
 ====================================================================
 
+UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to
+represent functions with essential singularities.  Objects in this
+domain are sums, where each term in the sum is a univariate Puiseux
+series times the exponential of a univariate Puiseux series.  Thus,
+the elements of this domain are sums of expressions of the form
+g(x) * exp(f(x)), where g(x) is a univariate Puiseux series and f(x) 
+is a univariate Puiseux series with no terms of non-negative degree.
+
 See Also:
 o )show UnivariatePuiseuxSeriesWithExponentialSingularity
 
@@ -139421,15 +140041,6 @@ o )show UnivariatePuiseuxSeriesWithExponentialSingularity
 ++ Author: Clifton J. Williamson
 ++ Date Created: 4 August 1992
 ++ Date Last Updated: 27 August 1992
-++ Basic Operations:
-++ Related Domains: UnivariatePuiseuxSeries(FE,var,cen),
-++                  ExponentialOfUnivariatePuiseuxSeries(FE,var,cen)
-++                  ExponentialExpansion(R,FE,var,cen)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: limit, functional expression, power series
-++ Examples:
-++ References:
 ++ Description:
 ++ UnivariatePuiseuxSeriesWithExponentialSingularity is a domain used to
 ++ represent functions with essential singularities.  Objects in this
@@ -140611,6 +141222,13 @@ UnivariateSkewPolynomial(x:Symbol,R:Ring,sigma:Automorphism R,delta: R -> R):
 UnivariateTaylorSeries examples
 ====================================================================
 
+Dense Taylor series in one variable. UnivariateTaylorSeries is a domain 
+representing Taylor series in one variable with coefficients in an 
+arbitrary ring.  The parameters of the type specify the coefficient 
+ring, the power series variable, and the center of the power series 
+expansion.  For example, UnivariateTaylorSeries(Integer,x,3) represents
+Taylor series in (x - 3) with Integer coefficients.
+
 See Also:
 o )show UnivariateTaylorSeries
 
@@ -140722,14 +141340,6 @@ o )show UnivariateTaylorSeries
 ++ Author: Clifton J. Williamson
 ++ Date Created: 21 December 1989
 ++ Date Last Updated: 21 September 1993
-++ Basic Operations:
-++ Related Domains: UnivariateLaurentSeries(Coef,var,cen), 
-++ UnivariatePuiseuxSeries(Coef,var,cen)
-++ Also See:
-++ AMS Classifications:
-++ Keywords: dense, Taylor series
-++ Examples:
-++ References:
 ++ Description:
 ++ Dense Taylor series in one variable
 ++ \spadtype{UnivariateTaylorSeries} is a domain representing Taylor
@@ -141130,6 +141740,8 @@ UnivariateTaylorSeries(Coef,var,cen): Exports == Implementation where
 UnivariateTaylorSeriesCZero examples
 ====================================================================
 
+Part of the Package for Algebraic Function Fields in one variable PAFF
+
 See Also:
 o )show UnivariateTaylorSeriesCZero
 
@@ -141660,13 +142272,6 @@ o )show UniversalSegment
 ++ Author:  Robert S. Sutor
 ++ Date Created: 1987
 ++ Date Last Updated: June 4, 1991
-++ Basic Operations:
-++ Related Domains: Segment
-++ Also See:
-++ AMS Classifications:
-++ Keywords: equation
-++ Examples:
-++ References:
 ++ Description:
 ++ This domain provides segments which may be half open.
 ++ That is, ranges of the form \spad{a..} or \spad{a..b}.
@@ -141788,6 +142393,738 @@ UniversalSegment(S: Type): SegmentCategory(S) with
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain U8MAT U8Matrix}
+
+\begin{chunk}{U8Matrix.input}
+)set break resume
+)sys rm -f U8Matrix.output
+)spool U8Matrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show U8Matrix
+--R U8Matrix  is a domain constructor
+--R Abbreviation for U8Matrix is U8MAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit /tmp/ta.spad to see algebra source code for U8MAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (U8Vector,%) -> U8Vector      ?*? : (%,U8Vector) -> U8Vector
+--R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
+--R coerce : U8Vector -> %               column : (%,Integer) -> U8Vector
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R diagonalMatrix : List(%) -> %         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
+--R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
+--R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U8Vector
+--R sample : () -> %                      square? : % -> Boolean
+--R squareTop : % -> %                    symmetric? : % -> Boolean
+--R transpose : % -> %                    transpose : U8Vector -> %
+--R vertConcat : (%,%) -> %              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?**? : (%,Integer) -> % if Integer has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Integer) -> % if Integer has FIELD
+--R ?=? : (%,%) -> Boolean if Integer has SETCAT
+--R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Integer has SETCAT
+--R columnSpace : % -> List(U8Vector) if Integer has EUCDOM
+--R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
+--R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> Integer if Integer has commutative(*)
+--R diagonalMatrix : List(Integer) -> %
+--R elt : (%,List(Integer),List(Integer)) -> %
+--R elt : (%,Integer,Integer,Integer) -> Integer
+--R elt : (%,Integer,Integer) -> Integer
+--R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
+--R hash : % -> SingleInteger if Integer has SETCAT
+--R inverse : % -> Union(%,"failed") if Integer has FIELD
+--R latex : % -> String if Integer has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R listOfLists : % -> List(List(Integer))
+--R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
+--R map : (((Integer,Integer) -> Integer),%,%) -> %
+--R map : ((Integer -> Integer),%) -> %
+--R map! : ((Integer -> Integer),%) -> %
+--R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
+--R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
+--R members : % -> List(Integer) if $ has finiteAggregate
+--R minordet : % -> Integer if Integer has commutative(*)
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
+--R nullSpace : % -> List(U8Vector) if Integer has INTDOM
+--R nullity : % -> NonNegativeInteger if Integer has INTDOM
+--R pfaffian : % -> Integer if Integer has COMRING
+--R qelt : (%,Integer,Integer) -> Integer
+--R qsetelt! : (%,Integer,Integer,Integer) -> Integer
+--R rank : % -> NonNegativeInteger if Integer has INTDOM
+--R rowEchelon : % -> % if Integer has EUCDOM
+--R scalarMatrix : (NonNegativeInteger,Integer) -> %
+--R setColumn! : (%,Integer,U8Vector) -> %
+--R setRow! : (%,Integer,U8Vector) -> %
+--R setelt : (%,List(Integer),List(Integer),%) -> %
+--R setelt : (%,Integer,Integer,Integer) -> Integer
+--R setsubMatrix! : (%,Integer,Integer,%) -> %
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
+--R swapColumns! : (%,Integer,Integer) -> %
+--R swapRows! : (%,Integer,Integer) -> %
+--R zero : (NonNegativeInteger,NonNegativeInteger) -> %
+--R ?~=? : (%,%) -> Boolean if Integer has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{U8Matrix.help}
+====================================================================
+U8Matrix examples
+====================================================================
+
+This is a low-level domain which implements matrices (two dimensional 
+arrays) of 8-bit integers. Indexing is 0 based, there is no bound 
+checking (unless provided by lower level).
+
+See Also:
+o )show U8Matrix
+o )show U16Matrix
+o )show U32Matrix
+
+\end{chunk}
+\pagehead{U8Matrix}{U8MAT}
+\pagepic{ps/v103u8matrix.eps}{U8MAT}{1.00}
+{\bf See}\\
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{U8MAT}{\#{}?} &
+\cross{U8MAT}{-?} &
+\cross{U8MAT}{?**?} &
+\cross{U8MAT}{?*?} \\
+\cross{U8MAT}{?+?} &
+\cross{U8MAT}{?-?} &
+\cross{U8MAT}{?/?} &
+\cross{U8MAT}{?=?} \\
+\cross{U8MAT}{?\~{}=?} &
+\cross{U8MAT}{antisymmetric?} &
+\cross{U8MAT}{any?} &
+\cross{U8MAT}{coerce} \\
+\cross{U8MAT}{column} &
+\cross{U8MAT}{columnSpace} &
+\cross{U8MAT}{copy} &
+\cross{U8MAT}{count} \\
+\cross{U8MAT}{determinant} &
+\cross{U8MAT}{diagonal?} &
+\cross{U8MAT}{diagonalMatrix} &
+\cross{U8MAT}{elt} \\
+\cross{U8MAT}{empty} &
+\cross{U8MAT}{empty?} &
+\cross{U8MAT}{eq?} &
+\cross{U8MAT}{eval} \\
+\cross{U8MAT}{every?} &
+\cross{U8MAT}{exquo} &
+\cross{U8MAT}{fill!} &
+\cross{U8MAT}{hash} \\
+\cross{U8MAT}{horizConcat} &
+\cross{U8MAT}{inverse} &
+\cross{U8MAT}{latex} &
+\cross{U8MAT}{less?} \\
+\cross{U8MAT}{listOfLists} &
+\cross{U8MAT}{map} &
+\cross{U8MAT}{map!} &
+\cross{U8MAT}{matrix} \\
+\cross{U8MAT}{maxColIndex} &
+\cross{U8MAT}{maxRowIndex} &
+\cross{U8MAT}{member?} &
+\cross{U8MAT}{members} \\
+\cross{U8MAT}{minColIndex} &
+\cross{U8MAT}{minRowIndex} &
+\cross{U8MAT}{minordet} &
+\cross{U8MAT}{more?} \\
+\cross{U8MAT}{ncols} &
+\cross{U8MAT}{new} &
+\cross{U8MAT}{nrows} &
+\cross{U8MAT}{nullSpace} \\
+\cross{U8MAT}{nullity} &
+\cross{U8MAT}{parts} &
+\cross{U8MAT}{pfaffian} &
+\cross{U8MAT}{qelt} \\
+\cross{U8MAT}{qnew} &
+\cross{U8MAT}{qsetelt!} &
+\cross{U8MAT}{rank} &
+\cross{U8MAT}{row} \\
+\cross{U8MAT}{rowEchelon} &
+\cross{U8MAT}{sample} &
+\cross{U8MAT}{scalarMatrix} &
+\cross{U8MAT}{setColumn!} \\
+\cross{U8MAT}{setRow!} &
+\cross{U8MAT}{setelt} &
+\cross{U8MAT}{setsubMatrix!} &
+\cross{U8MAT}{size?} \\
+\cross{U8MAT}{square?} &
+\cross{U8MAT}{squareTop} &
+\cross{U8MAT}{subMatrix} &
+\cross{U8MAT}{swapColumns!} \\
+\cross{U8MAT}{swapRows!} &
+\cross{U8MAT}{symmetric?} &
+\cross{U8MAT}{transpose} &
+\cross{U8MAT}{vertConcat} \\
+\cross{U8MAT}{zero} &
+\end{tabular} 
+
+\begin{chunk}{domain U8MAT U8Matrix}
+)abbrev domain U8MAT U8Matrix
+++ Author: Waldek Hebisch
+++ Description:
+++ This is a low-level domain which implements matrices
+++ (two dimensional arrays) of 8-bit integers.
+++ Indexing is 0 based, there is no bound checking (unless
+++ provided by lower level).
+U8Matrix : MatrixCategory(Integer,
+                         U8Vector,
+                         U8Vector) with
+    qnew : (Integer, Integer) -> %
+      ++ qnew(n, m) creates a new n by m matrix of zeros.
+      ++
+      ++X qnew(3,4)$U8Matrix()
+  == add
+
+    R ==> Integer
+
+    Qelt2    ==> AREF2U8$Lisp
+    Qsetelt2 ==> SETAREF2U8$Lisp
+    Qnrows   ==> ANROWSU8$Lisp
+    Qncols   ==> ANCOLSU8$Lisp
+    Qnew     ==> MAKEMATRIXU8$Lisp
+    Qnew1    ==> MAKEMATRIX1U8$Lisp
+
+    minRowIndex x == 0
+    minColIndex x == 0
+    nrows x == Qnrows(x)
+    ncols x == Qncols(x)
+    maxRowIndex x == Qnrows(x) - 1
+    maxColIndex x == Qncols(x) - 1
+
+    qelt(m, i, j) == Qelt2(m, i, j)
+    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
+    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
+    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
+
+    empty() == Qnew(0$Integer, 0$Integer)
+    qnew(rows, cols) == Qnew(rows, cols)
+    new(rows, cols, a) == Qnew1(rows, cols, a)
+
+\end{chunk}
+\begin{chunk}{U8MAT.dotabb}
+"U8MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U8MAT"]
+"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
+"U8MAT" -> "MATCAT"
+
+\end{chunk}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain U16MAT U16Matrix}
+
+\begin{chunk}{U16Matrix.input}
+)set break resume
+)sys rm -f U16Matrix.output
+)spool U16Matrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show U16Matrix
+--R U16Matrix  is a domain constructor
+--R Abbreviation for U16Matrix is U16MAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit /tmp/ta.spad to see algebra source code for U16MAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (U16Vector,%) -> U16Vector      ?*? : (%,U16Vector) -> U16Vector
+--R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
+--R coerce : U16Vector -> %               column : (%,Integer) -> U16Vector
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R diagonalMatrix : List(%) -> %         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
+--R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
+--R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U16Vector
+--R sample : () -> %                      square? : % -> Boolean
+--R squareTop : % -> %                    symmetric? : % -> Boolean
+--R transpose : % -> %                    transpose : U16Vector -> %
+--R vertConcat : (%,%) -> %              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?**? : (%,Integer) -> % if Integer has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Integer) -> % if Integer has FIELD
+--R ?=? : (%,%) -> Boolean if Integer has SETCAT
+--R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Integer has SETCAT
+--R columnSpace : % -> List(U16Vector) if Integer has EUCDOM
+--R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
+--R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> Integer if Integer has commutative(*)
+--R diagonalMatrix : List(Integer) -> %
+--R elt : (%,List(Integer),List(Integer)) -> %
+--R elt : (%,Integer,Integer,Integer) -> Integer
+--R elt : (%,Integer,Integer) -> Integer
+--R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
+--R hash : % -> SingleInteger if Integer has SETCAT
+--R inverse : % -> Union(%,"failed") if Integer has FIELD
+--R latex : % -> String if Integer has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R listOfLists : % -> List(List(Integer))
+--R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
+--R map : (((Integer,Integer) -> Integer),%,%) -> %
+--R map : ((Integer -> Integer),%) -> %
+--R map! : ((Integer -> Integer),%) -> %
+--R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
+--R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
+--R members : % -> List(Integer) if $ has finiteAggregate
+--R minordet : % -> Integer if Integer has commutative(*)
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
+--R nullSpace : % -> List(U16Vector) if Integer has INTDOM
+--R nullity : % -> NonNegativeInteger if Integer has INTDOM
+--R pfaffian : % -> Integer if Integer has COMRING
+--R qelt : (%,Integer,Integer) -> Integer
+--R qsetelt! : (%,Integer,Integer,Integer) -> Integer
+--R rank : % -> NonNegativeInteger if Integer has INTDOM
+--R rowEchelon : % -> % if Integer has EUCDOM
+--R scalarMatrix : (NonNegativeInteger,Integer) -> %
+--R setColumn! : (%,Integer,U16Vector) -> %
+--R setRow! : (%,Integer,U16Vector) -> %
+--R setelt : (%,List(Integer),List(Integer),%) -> %
+--R setelt : (%,Integer,Integer,Integer) -> Integer
+--R setsubMatrix! : (%,Integer,Integer,%) -> %
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
+--R swapColumns! : (%,Integer,Integer) -> %
+--R swapRows! : (%,Integer,Integer) -> %
+--R zero : (NonNegativeInteger,NonNegativeInteger) -> %
+--R ?~=? : (%,%) -> Boolean if Integer has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{U16Matrix.help}
+====================================================================
+U16Matrix examples
+====================================================================
+
+This is a low-level domain which implements matrices (two dimensional 
+arrays) of 16-bit integers. Indexing is 0 based, there is no bound 
+checking (unless provided by lower level).
+
+See Also:
+o )show U8Matrix
+o )show U16Matrix
+o )show U32Matrix
+
+\end{chunk}
+\pagehead{U16Matrix}{U16MAT}
+\pagepic{ps/v103u16matrix.eps}{U16MAT}{1.00}
+{\bf See}\\
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{U16MAT}{\#{}?} &
+\cross{U16MAT}{-?} &
+\cross{U16MAT}{?**?} &
+\cross{U16MAT}{?*?} \\
+\cross{U16MAT}{?+?} &
+\cross{U16MAT}{?-?} &
+\cross{U16MAT}{?/?} &
+\cross{U16MAT}{?=?} \\
+\cross{U16MAT}{?\~{}=?} &
+\cross{U16MAT}{antisymmetric?} &
+\cross{U16MAT}{any?} &
+\cross{U16MAT}{coerce} \\
+\cross{U16MAT}{column} &
+\cross{U16MAT}{columnSpace} &
+\cross{U16MAT}{copy} &
+\cross{U16MAT}{count} \\
+\cross{U16MAT}{determinant} &
+\cross{U16MAT}{diagonal?} &
+\cross{U16MAT}{diagonalMatrix} &
+\cross{U16MAT}{elt} \\
+\cross{U16MAT}{empty} &
+\cross{U16MAT}{empty?} &
+\cross{U16MAT}{eq?} &
+\cross{U16MAT}{eval} \\
+\cross{U16MAT}{every?} &
+\cross{U16MAT}{exquo} &
+\cross{U16MAT}{fill!} &
+\cross{U16MAT}{hash} \\
+\cross{U16MAT}{horizConcat} &
+\cross{U16MAT}{inverse} &
+\cross{U16MAT}{latex} &
+\cross{U16MAT}{less?} \\
+\cross{U16MAT}{listOfLists} &
+\cross{U16MAT}{map} &
+\cross{U16MAT}{map!} &
+\cross{U16MAT}{matrix} \\
+\cross{U16MAT}{maxColIndex} &
+\cross{U16MAT}{maxRowIndex} &
+\cross{U16MAT}{member?} &
+\cross{U16MAT}{members} \\
+\cross{U16MAT}{minColIndex} &
+\cross{U16MAT}{minRowIndex} &
+\cross{U16MAT}{minordet} &
+\cross{U16MAT}{more?} \\
+\cross{U16MAT}{ncols} &
+\cross{U16MAT}{new} &
+\cross{U16MAT}{nrows} &
+\cross{U16MAT}{nullSpace} \\
+\cross{U16MAT}{nullity} &
+\cross{U16MAT}{parts} &
+\cross{U16MAT}{pfaffian} &
+\cross{U16MAT}{qelt} \\
+\cross{U16MAT}{qnew} &
+\cross{U16MAT}{qsetelt!} &
+\cross{U16MAT}{rank} &
+\cross{U16MAT}{row} \\
+\cross{U16MAT}{rowEchelon} &
+\cross{U16MAT}{sample} &
+\cross{U16MAT}{scalarMatrix} &
+\cross{U16MAT}{setColumn!} \\
+\cross{U16MAT}{setRow!} &
+\cross{U16MAT}{setelt} &
+\cross{U16MAT}{setsubMatrix!} &
+\cross{U16MAT}{size?} \\
+\cross{U16MAT}{square?} &
+\cross{U16MAT}{squareTop} &
+\cross{U16MAT}{subMatrix} &
+\cross{U16MAT}{swapColumns!} \\
+\cross{U16MAT}{swapRows!} &
+\cross{U16MAT}{symmetric?} &
+\cross{U16MAT}{transpose} &
+\cross{U16MAT}{vertConcat} \\
+\cross{U16MAT}{zero} &
+\end{tabular} 
+
+\begin{chunk}{domain U16MAT U16Matrix}
+)abbrev domain U16MAT U16Matrix
+++ Author: Waldek Hebisch
+++ Description:
+++ This is a low-level domain which implements matrices
+++ (two dimensional arrays) of 16-bit integers.
+++ Indexing is 0 based, there is no bound checking (unless
+++ provided by lower level).
+U16Matrix : MatrixCategory(Integer,
+                         U16Vector,
+                         U16Vector) with
+    qnew : (Integer, Integer) -> %
+      ++ qnew(n, m) creates a new n by m matrix of zeros.
+      ++
+      ++X qnew(3,4)$U16Matrix()
+  == add
+
+    R ==> Integer
+
+    Qelt2    ==> AREF2U16$Lisp
+    Qsetelt2 ==> SETAREF2U16$Lisp
+    Qnrows   ==> ANROWSU16$Lisp
+    Qncols   ==> ANCOLSU16$Lisp
+    Qnew     ==> MAKEMATRIXU16$Lisp
+    Qnew1    ==> MAKEMATRIX1U16$Lisp
+
+    minRowIndex x == 0
+    minColIndex x == 0
+    nrows x == Qnrows(x)
+    ncols x == Qncols(x)
+    maxRowIndex x == Qnrows(x) - 1
+    maxColIndex x == Qncols(x) - 1
+
+    qelt(m, i, j) == Qelt2(m, i, j)
+    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
+    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
+    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
+
+    empty() == Qnew(0$Integer, 0$Integer)
+    qnew(rows, cols) == Qnew(rows, cols)
+    new(rows, cols, a) == Qnew1(rows, cols, a)
+
+\end{chunk}
+\begin{chunk}{U16MAT.dotabb}
+"U16MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U16MAT"]
+"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
+"U16MAT" -> "MATCAT"
+
+\end{chunk}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
+\section{domain U32MAT U32Matrix}
+
+\begin{chunk}{U32Matrix.input}
+)set break resume
+)sys rm -f U32Matrix.output
+)spool U32Matrix.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 1
+)show U32Matrix
+--R U32Matrix  is a domain constructor
+--R Abbreviation for U32Matrix is U32MAT 
+--R This constructor is exposed in this frame.
+--R Issue )edit /tmp/ta.spad to see algebra source code for U32MAT 
+--R
+--R------------------------------- Operations --------------------------------
+--R ?*? : (U32Vector,%) -> U32Vector      ?*? : (%,U32Vector) -> U32Vector
+--R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
+--R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
+--R ?+? : (%,%) -> %                      -? : % -> %
+--R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
+--R coerce : U32Vector -> %               column : (%,Integer) -> U32Vector
+--R copy : % -> %                         diagonal? : % -> Boolean
+--R diagonalMatrix : List(%) -> %         empty : () -> %
+--R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
+--R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
+--R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
+--R maxRowIndex : % -> Integer            minColIndex : % -> Integer
+--R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
+--R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
+--R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U32Vector
+--R sample : () -> %                      square? : % -> Boolean
+--R squareTop : % -> %                    symmetric? : % -> Boolean
+--R transpose : % -> %                    transpose : U32Vector -> %
+--R vertConcat : (%,%) -> %              
+--R #? : % -> NonNegativeInteger if $ has finiteAggregate
+--R ?**? : (%,Integer) -> % if Integer has FIELD
+--R ?**? : (%,NonNegativeInteger) -> %
+--R ?/? : (%,Integer) -> % if Integer has FIELD
+--R ?=? : (%,%) -> Boolean if Integer has SETCAT
+--R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R coerce : % -> OutputForm if Integer has SETCAT
+--R columnSpace : % -> List(U32Vector) if Integer has EUCDOM
+--R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
+--R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
+--R determinant : % -> Integer if Integer has commutative(*)
+--R diagonalMatrix : List(Integer) -> %
+--R elt : (%,List(Integer),List(Integer)) -> %
+--R elt : (%,Integer,Integer,Integer) -> Integer
+--R elt : (%,Integer,Integer) -> Integer
+--R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
+--R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
+--R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
+--R hash : % -> SingleInteger if Integer has SETCAT
+--R inverse : % -> Union(%,"failed") if Integer has FIELD
+--R latex : % -> String if Integer has SETCAT
+--R less? : (%,NonNegativeInteger) -> Boolean
+--R listOfLists : % -> List(List(Integer))
+--R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
+--R map : (((Integer,Integer) -> Integer),%,%) -> %
+--R map : ((Integer -> Integer),%) -> %
+--R map! : ((Integer -> Integer),%) -> %
+--R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
+--R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
+--R members : % -> List(Integer) if $ has finiteAggregate
+--R minordet : % -> Integer if Integer has commutative(*)
+--R more? : (%,NonNegativeInteger) -> Boolean
+--R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
+--R nullSpace : % -> List(U32Vector) if Integer has INTDOM
+--R nullity : % -> NonNegativeInteger if Integer has INTDOM
+--R pfaffian : % -> Integer if Integer has COMRING
+--R qelt : (%,Integer,Integer) -> Integer
+--R qsetelt! : (%,Integer,Integer,Integer) -> Integer
+--R rank : % -> NonNegativeInteger if Integer has INTDOM
+--R rowEchelon : % -> % if Integer has EUCDOM
+--R scalarMatrix : (NonNegativeInteger,Integer) -> %
+--R setColumn! : (%,Integer,U32Vector) -> %
+--R setRow! : (%,Integer,U32Vector) -> %
+--R setelt : (%,List(Integer),List(Integer),%) -> %
+--R setelt : (%,Integer,Integer,Integer) -> Integer
+--R setsubMatrix! : (%,Integer,Integer,%) -> %
+--R size? : (%,NonNegativeInteger) -> Boolean
+--R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
+--R swapColumns! : (%,Integer,Integer) -> %
+--R swapRows! : (%,Integer,Integer) -> %
+--R zero : (NonNegativeInteger,NonNegativeInteger) -> %
+--R ?~=? : (%,%) -> Boolean if Integer has SETCAT
+--R
+--E 1
+
+)spool
+)lisp (bye)
+\end{chunk}
+\begin{chunk}{U32Matrix.help}
+====================================================================
+U32Matrix examples
+====================================================================
+
+This is a low-level domain which implements matrices (two dimensional 
+arrays) of 32-bit integers. Indexing is 0 based, there is no bound 
+checking (unless provided by lower level).
+
+See Also:
+o )show U8Matrix
+o )show U16Matrix
+o )show U32Matrix
+
+\end{chunk}
+\pagehead{U32Matrix}{U32MAT}
+\pagepic{ps/v103u32matrix.eps}{U32MAT}{1.00}
+{\bf See}\\
+
+{\bf Exports:}\\
+\begin{tabular}{llll}
+\cross{U32MAT}{\#{}?} &
+\cross{U32MAT}{-?} &
+\cross{U32MAT}{?**?} &
+\cross{U32MAT}{?*?} \\
+\cross{U32MAT}{?+?} &
+\cross{U32MAT}{?-?} &
+\cross{U32MAT}{?/?} &
+\cross{U32MAT}{?=?} \\
+\cross{U32MAT}{?\~{}=?} &
+\cross{U32MAT}{antisymmetric?} &
+\cross{U32MAT}{any?} &
+\cross{U32MAT}{coerce} \\
+\cross{U32MAT}{column} &
+\cross{U32MAT}{columnSpace} &
+\cross{U32MAT}{copy} &
+\cross{U32MAT}{count} \\
+\cross{U32MAT}{determinant} &
+\cross{U32MAT}{diagonal?} &
+\cross{U32MAT}{diagonalMatrix} &
+\cross{U32MAT}{elt} \\
+\cross{U32MAT}{empty} &
+\cross{U32MAT}{empty?} &
+\cross{U32MAT}{eq?} &
+\cross{U32MAT}{eval} \\
+\cross{U32MAT}{every?} &
+\cross{U32MAT}{exquo} &
+\cross{U32MAT}{fill!} &
+\cross{U32MAT}{hash} \\
+\cross{U32MAT}{horizConcat} &
+\cross{U32MAT}{inverse} &
+\cross{U32MAT}{latex} &
+\cross{U32MAT}{less?} \\
+\cross{U32MAT}{listOfLists} &
+\cross{U32MAT}{map} &
+\cross{U32MAT}{map!} &
+\cross{U32MAT}{matrix} \\
+\cross{U32MAT}{maxColIndex} &
+\cross{U32MAT}{maxRowIndex} &
+\cross{U32MAT}{member?} &
+\cross{U32MAT}{members} \\
+\cross{U32MAT}{minColIndex} &
+\cross{U32MAT}{minRowIndex} &
+\cross{U32MAT}{minordet} &
+\cross{U32MAT}{more?} \\
+\cross{U32MAT}{ncols} &
+\cross{U32MAT}{new} &
+\cross{U32MAT}{nrows} &
+\cross{U32MAT}{nullSpace} \\
+\cross{U32MAT}{nullity} &
+\cross{U32MAT}{parts} &
+\cross{U32MAT}{pfaffian} &
+\cross{U32MAT}{qelt} \\
+\cross{U32MAT}{qnew} &
+\cross{U32MAT}{qsetelt!} &
+\cross{U32MAT}{rank} &
+\cross{U32MAT}{row} \\
+\cross{U32MAT}{rowEchelon} &
+\cross{U32MAT}{sample} &
+\cross{U32MAT}{scalarMatrix} &
+\cross{U32MAT}{setColumn!} \\
+\cross{U32MAT}{setRow!} &
+\cross{U32MAT}{setelt} &
+\cross{U32MAT}{setsubMatrix!} &
+\cross{U32MAT}{size?} \\
+\cross{U32MAT}{square?} &
+\cross{U32MAT}{squareTop} &
+\cross{U32MAT}{subMatrix} &
+\cross{U32MAT}{swapColumns!} \\
+\cross{U32MAT}{swapRows!} &
+\cross{U32MAT}{symmetric?} &
+\cross{U32MAT}{transpose} &
+\cross{U32MAT}{vertConcat} \\
+\cross{U32MAT}{zero} &
+\end{tabular} 
+
+\begin{chunk}{domain U32MAT U32Matrix}
+)abbrev domain U32MAT U32Matrix
+++ Author: Waldek Hebisch
+++ Description:
+++ This is a low-level domain which implements matrices
+++ (two dimensional arrays) of 32-bit integers.
+++ Indexing is 0 based, there is no bound checking (unless
+++ provided by lower level).
+U32Matrix : MatrixCategory(Integer,
+                         U32Vector,
+                         U32Vector) with
+    qnew : (Integer, Integer) -> %
+      ++ qnew(n, m) creates a new n by m matrix of zeros.
+      ++
+      ++X qnew(3,4)$U32Matrix()
+  == add
+
+    R ==> Integer
+
+    Qelt2    ==> AREF2U32$Lisp
+    Qsetelt2 ==> SETAREF2U32$Lisp
+    Qnrows   ==> ANROWSU32$Lisp
+    Qncols   ==> ANCOLSU32$Lisp
+    Qnew     ==> MAKEMATRIXU32$Lisp
+    Qnew1    ==> MAKEMATRIX1U32$Lisp
+
+    minRowIndex x == 0
+    minColIndex x == 0
+    nrows x == Qnrows(x)
+    ncols x == Qncols(x)
+    maxRowIndex x == Qnrows(x) - 1
+    maxColIndex x == Qncols(x) - 1
+
+    qelt(m, i, j) == Qelt2(m, i, j)
+    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
+    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
+    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
+
+    empty() == Qnew(0$Integer, 0$Integer)
+    qnew(rows, cols) == Qnew(rows, cols)
+    new(rows, cols, a) == Qnew1(rows, cols, a)
+
+\end{chunk}
+\begin{chunk}{U32MAT.dotabb}
+"U32MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U32MAT"]
+"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
+"U32MAT" -> "MATCAT"
+
+\end{chunk}
+%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain U8VEC U8Vector}
 
 \begin{chunk}{U8Vector.input}
@@ -141968,6 +143305,10 @@ t8:=fill!(t2,7)
 U8Vector examples
 ====================================================================
 
+This is a low-level domain which implements vectors (one dimensional 
+arrays) of unsigned 8-bit numbers.  Indexing is 0 based, there is no 
+bound checking (unless provided by lower level).
+
 t1:=empty()$U8Vector
   []
 
@@ -142083,7 +143424,8 @@ o )show U32Vector
 \begin{chunk}{domain U8VEC U8Vector}
 )abbrev domain U8VEC U8Vector
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements vectors
+++ Description:
+++ This is a low-level domain which implements vectors
 ++ (one dimensional arrays) of unsigned 8-bit numbers.  Indexing
 ++ is 0 based, there is no bound checking (unless provided by
 ++ lower level).
@@ -142333,6 +143675,10 @@ t8:=fill!(t2,7)
 U16Vector examples
 ====================================================================
 
+This is a low-level domain which implements vectors (one dimensional 
+arrays) of unsigned 16-bit numbers.  Indexing is 0 based, there is no 
+bound checking (unless provided by lower level).
+
 t1:=empty()$U16Vector
   []
 
@@ -142448,7 +143794,8 @@ o )show U32Vector
 \begin{chunk}{domain U16VEC U16Vector}
 )abbrev domain U16VEC U16Vector
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements vectors
+++ Description:
+++ This is a low-level domain which implements vectors
 ++ (one dimensional arrays) of unsigned 16-bit numbers.  Indexing
 ++ is 0 based, there is no bound checking (unless provided by
 ++ lower level).
@@ -142518,720 +143865,6 @@ U16Vector() : OneDimensionalArrayAggregate Integer == add
 
 \end{chunk}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{domain U8MAT U8Matrix}
-
-\begin{chunk}{U8Matrix.input}
-)set break resume
-)sys rm -f U8Matrix.output
-)spool U8Matrix.output
-)set message test on
-)set message auto off
-)clear all
-
---S 1 of 1
-)show U8Matrix
---R U8Matrix  is a domain constructor
---R Abbreviation for U8Matrix is U8MAT 
---R This constructor is exposed in this frame.
---R Issue )edit /tmp/ta.spad to see algebra source code for U8MAT 
---R
---R------------------------------- Operations --------------------------------
---R ?*? : (U8Vector,%) -> U8Vector      ?*? : (%,U8Vector) -> U8Vector
---R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
---R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
---R ?+? : (%,%) -> %                      -? : % -> %
---R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
---R coerce : U8Vector -> %               column : (%,Integer) -> U8Vector
---R copy : % -> %                         diagonal? : % -> Boolean
---R diagonalMatrix : List(%) -> %         empty : () -> %
---R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
---R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
---R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
---R maxRowIndex : % -> Integer            minColIndex : % -> Integer
---R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
---R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
---R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U8Vector
---R sample : () -> %                      square? : % -> Boolean
---R squareTop : % -> %                    symmetric? : % -> Boolean
---R transpose : % -> %                    transpose : U8Vector -> %
---R vertConcat : (%,%) -> %              
---R #? : % -> NonNegativeInteger if $ has finiteAggregate
---R ?**? : (%,Integer) -> % if Integer has FIELD
---R ?**? : (%,NonNegativeInteger) -> %
---R ?/? : (%,Integer) -> % if Integer has FIELD
---R ?=? : (%,%) -> Boolean if Integer has SETCAT
---R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
---R coerce : % -> OutputForm if Integer has SETCAT
---R columnSpace : % -> List(U8Vector) if Integer has EUCDOM
---R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
---R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
---R determinant : % -> Integer if Integer has commutative(*)
---R diagonalMatrix : List(Integer) -> %
---R elt : (%,List(Integer),List(Integer)) -> %
---R elt : (%,Integer,Integer,Integer) -> Integer
---R elt : (%,Integer,Integer) -> Integer
---R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
---R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
---R hash : % -> SingleInteger if Integer has SETCAT
---R inverse : % -> Union(%,"failed") if Integer has FIELD
---R latex : % -> String if Integer has SETCAT
---R less? : (%,NonNegativeInteger) -> Boolean
---R listOfLists : % -> List(List(Integer))
---R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
---R map : (((Integer,Integer) -> Integer),%,%) -> %
---R map : ((Integer -> Integer),%) -> %
---R map! : ((Integer -> Integer),%) -> %
---R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
---R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
---R members : % -> List(Integer) if $ has finiteAggregate
---R minordet : % -> Integer if Integer has commutative(*)
---R more? : (%,NonNegativeInteger) -> Boolean
---R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
---R nullSpace : % -> List(U8Vector) if Integer has INTDOM
---R nullity : % -> NonNegativeInteger if Integer has INTDOM
---R pfaffian : % -> Integer if Integer has COMRING
---R qelt : (%,Integer,Integer) -> Integer
---R qsetelt! : (%,Integer,Integer,Integer) -> Integer
---R rank : % -> NonNegativeInteger if Integer has INTDOM
---R rowEchelon : % -> % if Integer has EUCDOM
---R scalarMatrix : (NonNegativeInteger,Integer) -> %
---R setColumn! : (%,Integer,U8Vector) -> %
---R setRow! : (%,Integer,U8Vector) -> %
---R setelt : (%,List(Integer),List(Integer),%) -> %
---R setelt : (%,Integer,Integer,Integer) -> Integer
---R setsubMatrix! : (%,Integer,Integer,%) -> %
---R size? : (%,NonNegativeInteger) -> Boolean
---R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
---R swapColumns! : (%,Integer,Integer) -> %
---R swapRows! : (%,Integer,Integer) -> %
---R zero : (NonNegativeInteger,NonNegativeInteger) -> %
---R ?~=? : (%,%) -> Boolean if Integer has SETCAT
---R
---E 1
-
-)spool
-)lisp (bye)
-\end{chunk}
-\begin{chunk}{U8Matrix.help}
-====================================================================
-U8Matrix examples
-====================================================================
-
-See Also:
-o )show U8Matrix
-o )show U16Matrix
-o )show U32Matrix
-
-\end{chunk}
-\pagehead{U8Matrix}{U8MAT}
-\pagepic{ps/v103u8matrix.eps}{U8MAT}{1.00}
-{\bf See}\\
-
-{\bf Exports:}\\
-\begin{tabular}{llll}
-\cross{U8MAT}{\#{}?} &
-\cross{U8MAT}{-?} &
-\cross{U8MAT}{?**?} &
-\cross{U8MAT}{?*?} \\
-\cross{U8MAT}{?+?} &
-\cross{U8MAT}{?-?} &
-\cross{U8MAT}{?/?} &
-\cross{U8MAT}{?=?} \\
-\cross{U8MAT}{?\~{}=?} &
-\cross{U8MAT}{antisymmetric?} &
-\cross{U8MAT}{any?} &
-\cross{U8MAT}{coerce} \\
-\cross{U8MAT}{column} &
-\cross{U8MAT}{columnSpace} &
-\cross{U8MAT}{copy} &
-\cross{U8MAT}{count} \\
-\cross{U8MAT}{determinant} &
-\cross{U8MAT}{diagonal?} &
-\cross{U8MAT}{diagonalMatrix} &
-\cross{U8MAT}{elt} \\
-\cross{U8MAT}{empty} &
-\cross{U8MAT}{empty?} &
-\cross{U8MAT}{eq?} &
-\cross{U8MAT}{eval} \\
-\cross{U8MAT}{every?} &
-\cross{U8MAT}{exquo} &
-\cross{U8MAT}{fill!} &
-\cross{U8MAT}{hash} \\
-\cross{U8MAT}{horizConcat} &
-\cross{U8MAT}{inverse} &
-\cross{U8MAT}{latex} &
-\cross{U8MAT}{less?} \\
-\cross{U8MAT}{listOfLists} &
-\cross{U8MAT}{map} &
-\cross{U8MAT}{map!} &
-\cross{U8MAT}{matrix} \\
-\cross{U8MAT}{maxColIndex} &
-\cross{U8MAT}{maxRowIndex} &
-\cross{U8MAT}{member?} &
-\cross{U8MAT}{members} \\
-\cross{U8MAT}{minColIndex} &
-\cross{U8MAT}{minRowIndex} &
-\cross{U8MAT}{minordet} &
-\cross{U8MAT}{more?} \\
-\cross{U8MAT}{ncols} &
-\cross{U8MAT}{new} &
-\cross{U8MAT}{nrows} &
-\cross{U8MAT}{nullSpace} \\
-\cross{U8MAT}{nullity} &
-\cross{U8MAT}{parts} &
-\cross{U8MAT}{pfaffian} &
-\cross{U8MAT}{qelt} \\
-\cross{U8MAT}{qnew} &
-\cross{U8MAT}{qsetelt!} &
-\cross{U8MAT}{rank} &
-\cross{U8MAT}{row} \\
-\cross{U8MAT}{rowEchelon} &
-\cross{U8MAT}{sample} &
-\cross{U8MAT}{scalarMatrix} &
-\cross{U8MAT}{setColumn!} \\
-\cross{U8MAT}{setRow!} &
-\cross{U8MAT}{setelt} &
-\cross{U8MAT}{setsubMatrix!} &
-\cross{U8MAT}{size?} \\
-\cross{U8MAT}{square?} &
-\cross{U8MAT}{squareTop} &
-\cross{U8MAT}{subMatrix} &
-\cross{U8MAT}{swapColumns!} \\
-\cross{U8MAT}{swapRows!} &
-\cross{U8MAT}{symmetric?} &
-\cross{U8MAT}{transpose} &
-\cross{U8MAT}{vertConcat} \\
-\cross{U8MAT}{zero} &
-\end{tabular} 
-
-\begin{chunk}{domain U8MAT U8Matrix}
-)abbrev domain U8MAT U8Matrix
-++ Description: This is a low-level domain which implements matrices
-++ (two dimensional arrays) of 8-bit integers.
-++ Indexing is 0 based, there is no bound checking (unless
-++ provided by lower level).
-U8Matrix : MatrixCategory(Integer,
-                         U8Vector,
-                         U8Vector) with
-    qnew : (Integer, Integer) -> %
-      ++ qnew(n, m) creates a new n by m matrix of zeros.
-      ++
-      ++X qnew(3,4)$U8Matrix()
-  == add
-
-    R ==> Integer
-
-    Qelt2    ==> AREF2U8$Lisp
-    Qsetelt2 ==> SETAREF2U8$Lisp
-    Qnrows   ==> ANROWSU8$Lisp
-    Qncols   ==> ANCOLSU8$Lisp
-    Qnew     ==> MAKEMATRIXU8$Lisp
-    Qnew1    ==> MAKEMATRIX1U8$Lisp
-
-    minRowIndex x == 0
-    minColIndex x == 0
-    nrows x == Qnrows(x)
-    ncols x == Qncols(x)
-    maxRowIndex x == Qnrows(x) - 1
-    maxColIndex x == Qncols(x) - 1
-
-    qelt(m, i, j) == Qelt2(m, i, j)
-    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
-    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
-    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
-
-    empty() == Qnew(0$Integer, 0$Integer)
-    qnew(rows, cols) == Qnew(rows, cols)
-    new(rows, cols, a) == Qnew1(rows, cols, a)
-
-\end{chunk}
-\begin{chunk}{U8MAT.dotabb}
-"U8MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U8MAT"]
-"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
-"U8MAT" -> "MATCAT"
-
-\end{chunk}
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{domain U16MAT U16Matrix}
-
-\begin{chunk}{U16Matrix.input}
-)set break resume
-)sys rm -f U16Matrix.output
-)spool U16Matrix.output
-)set message test on
-)set message auto off
-)clear all
-
---S 1 of 1
-)show U16Matrix
---R U16Matrix  is a domain constructor
---R Abbreviation for U16Matrix is U16MAT 
---R This constructor is exposed in this frame.
---R Issue )edit /tmp/ta.spad to see algebra source code for U16MAT 
---R
---R------------------------------- Operations --------------------------------
---R ?*? : (U16Vector,%) -> U16Vector      ?*? : (%,U16Vector) -> U16Vector
---R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
---R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
---R ?+? : (%,%) -> %                      -? : % -> %
---R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
---R coerce : U16Vector -> %               column : (%,Integer) -> U16Vector
---R copy : % -> %                         diagonal? : % -> Boolean
---R diagonalMatrix : List(%) -> %         empty : () -> %
---R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
---R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
---R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
---R maxRowIndex : % -> Integer            minColIndex : % -> Integer
---R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
---R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
---R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U16Vector
---R sample : () -> %                      square? : % -> Boolean
---R squareTop : % -> %                    symmetric? : % -> Boolean
---R transpose : % -> %                    transpose : U16Vector -> %
---R vertConcat : (%,%) -> %              
---R #? : % -> NonNegativeInteger if $ has finiteAggregate
---R ?**? : (%,Integer) -> % if Integer has FIELD
---R ?**? : (%,NonNegativeInteger) -> %
---R ?/? : (%,Integer) -> % if Integer has FIELD
---R ?=? : (%,%) -> Boolean if Integer has SETCAT
---R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
---R coerce : % -> OutputForm if Integer has SETCAT
---R columnSpace : % -> List(U16Vector) if Integer has EUCDOM
---R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
---R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
---R determinant : % -> Integer if Integer has commutative(*)
---R diagonalMatrix : List(Integer) -> %
---R elt : (%,List(Integer),List(Integer)) -> %
---R elt : (%,Integer,Integer,Integer) -> Integer
---R elt : (%,Integer,Integer) -> Integer
---R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
---R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
---R hash : % -> SingleInteger if Integer has SETCAT
---R inverse : % -> Union(%,"failed") if Integer has FIELD
---R latex : % -> String if Integer has SETCAT
---R less? : (%,NonNegativeInteger) -> Boolean
---R listOfLists : % -> List(List(Integer))
---R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
---R map : (((Integer,Integer) -> Integer),%,%) -> %
---R map : ((Integer -> Integer),%) -> %
---R map! : ((Integer -> Integer),%) -> %
---R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
---R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
---R members : % -> List(Integer) if $ has finiteAggregate
---R minordet : % -> Integer if Integer has commutative(*)
---R more? : (%,NonNegativeInteger) -> Boolean
---R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
---R nullSpace : % -> List(U16Vector) if Integer has INTDOM
---R nullity : % -> NonNegativeInteger if Integer has INTDOM
---R pfaffian : % -> Integer if Integer has COMRING
---R qelt : (%,Integer,Integer) -> Integer
---R qsetelt! : (%,Integer,Integer,Integer) -> Integer
---R rank : % -> NonNegativeInteger if Integer has INTDOM
---R rowEchelon : % -> % if Integer has EUCDOM
---R scalarMatrix : (NonNegativeInteger,Integer) -> %
---R setColumn! : (%,Integer,U16Vector) -> %
---R setRow! : (%,Integer,U16Vector) -> %
---R setelt : (%,List(Integer),List(Integer),%) -> %
---R setelt : (%,Integer,Integer,Integer) -> Integer
---R setsubMatrix! : (%,Integer,Integer,%) -> %
---R size? : (%,NonNegativeInteger) -> Boolean
---R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
---R swapColumns! : (%,Integer,Integer) -> %
---R swapRows! : (%,Integer,Integer) -> %
---R zero : (NonNegativeInteger,NonNegativeInteger) -> %
---R ?~=? : (%,%) -> Boolean if Integer has SETCAT
---R
---E 1
-
-)spool
-)lisp (bye)
-\end{chunk}
-\begin{chunk}{U16Matrix.help}
-====================================================================
-U16Matrix examples
-====================================================================
-
-See Also:
-o )show U8Matrix
-o )show U16Matrix
-o )show U32Matrix
-
-\end{chunk}
-\pagehead{U16Matrix}{U16MAT}
-\pagepic{ps/v103u16matrix.eps}{U16MAT}{1.00}
-{\bf See}\\
-
-{\bf Exports:}\\
-\begin{tabular}{llll}
-\cross{U16MAT}{\#{}?} &
-\cross{U16MAT}{-?} &
-\cross{U16MAT}{?**?} &
-\cross{U16MAT}{?*?} \\
-\cross{U16MAT}{?+?} &
-\cross{U16MAT}{?-?} &
-\cross{U16MAT}{?/?} &
-\cross{U16MAT}{?=?} \\
-\cross{U16MAT}{?\~{}=?} &
-\cross{U16MAT}{antisymmetric?} &
-\cross{U16MAT}{any?} &
-\cross{U16MAT}{coerce} \\
-\cross{U16MAT}{column} &
-\cross{U16MAT}{columnSpace} &
-\cross{U16MAT}{copy} &
-\cross{U16MAT}{count} \\
-\cross{U16MAT}{determinant} &
-\cross{U16MAT}{diagonal?} &
-\cross{U16MAT}{diagonalMatrix} &
-\cross{U16MAT}{elt} \\
-\cross{U16MAT}{empty} &
-\cross{U16MAT}{empty?} &
-\cross{U16MAT}{eq?} &
-\cross{U16MAT}{eval} \\
-\cross{U16MAT}{every?} &
-\cross{U16MAT}{exquo} &
-\cross{U16MAT}{fill!} &
-\cross{U16MAT}{hash} \\
-\cross{U16MAT}{horizConcat} &
-\cross{U16MAT}{inverse} &
-\cross{U16MAT}{latex} &
-\cross{U16MAT}{less?} \\
-\cross{U16MAT}{listOfLists} &
-\cross{U16MAT}{map} &
-\cross{U16MAT}{map!} &
-\cross{U16MAT}{matrix} \\
-\cross{U16MAT}{maxColIndex} &
-\cross{U16MAT}{maxRowIndex} &
-\cross{U16MAT}{member?} &
-\cross{U16MAT}{members} \\
-\cross{U16MAT}{minColIndex} &
-\cross{U16MAT}{minRowIndex} &
-\cross{U16MAT}{minordet} &
-\cross{U16MAT}{more?} \\
-\cross{U16MAT}{ncols} &
-\cross{U16MAT}{new} &
-\cross{U16MAT}{nrows} &
-\cross{U16MAT}{nullSpace} \\
-\cross{U16MAT}{nullity} &
-\cross{U16MAT}{parts} &
-\cross{U16MAT}{pfaffian} &
-\cross{U16MAT}{qelt} \\
-\cross{U16MAT}{qnew} &
-\cross{U16MAT}{qsetelt!} &
-\cross{U16MAT}{rank} &
-\cross{U16MAT}{row} \\
-\cross{U16MAT}{rowEchelon} &
-\cross{U16MAT}{sample} &
-\cross{U16MAT}{scalarMatrix} &
-\cross{U16MAT}{setColumn!} \\
-\cross{U16MAT}{setRow!} &
-\cross{U16MAT}{setelt} &
-\cross{U16MAT}{setsubMatrix!} &
-\cross{U16MAT}{size?} \\
-\cross{U16MAT}{square?} &
-\cross{U16MAT}{squareTop} &
-\cross{U16MAT}{subMatrix} &
-\cross{U16MAT}{swapColumns!} \\
-\cross{U16MAT}{swapRows!} &
-\cross{U16MAT}{symmetric?} &
-\cross{U16MAT}{transpose} &
-\cross{U16MAT}{vertConcat} \\
-\cross{U16MAT}{zero} &
-\end{tabular} 
-
-\begin{chunk}{domain U16MAT U16Matrix}
-)abbrev domain U16MAT U16Matrix
-++ Description: This is a low-level domain which implements matrices
-++ (two dimensional arrays) of 16-bit integers.
-++ Indexing is 0 based, there is no bound checking (unless
-++ provided by lower level).
-U16Matrix : MatrixCategory(Integer,
-                         U16Vector,
-                         U16Vector) with
-    qnew : (Integer, Integer) -> %
-      ++ qnew(n, m) creates a new n by m matrix of zeros.
-      ++
-      ++X qnew(3,4)$U16Matrix()
-  == add
-
-    R ==> Integer
-
-    Qelt2    ==> AREF2U16$Lisp
-    Qsetelt2 ==> SETAREF2U16$Lisp
-    Qnrows   ==> ANROWSU16$Lisp
-    Qncols   ==> ANCOLSU16$Lisp
-    Qnew     ==> MAKEMATRIXU16$Lisp
-    Qnew1    ==> MAKEMATRIX1U16$Lisp
-
-    minRowIndex x == 0
-    minColIndex x == 0
-    nrows x == Qnrows(x)
-    ncols x == Qncols(x)
-    maxRowIndex x == Qnrows(x) - 1
-    maxColIndex x == Qncols(x) - 1
-
-    qelt(m, i, j) == Qelt2(m, i, j)
-    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
-    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
-    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
-
-    empty() == Qnew(0$Integer, 0$Integer)
-    qnew(rows, cols) == Qnew(rows, cols)
-    new(rows, cols, a) == Qnew1(rows, cols, a)
-
-\end{chunk}
-\begin{chunk}{U16MAT.dotabb}
-"U16MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U16MAT"]
-"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
-"U16MAT" -> "MATCAT"
-
-\end{chunk}
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
-\section{domain U32MAT U32Matrix}
-
-\begin{chunk}{U32Matrix.input}
-)set break resume
-)sys rm -f U32Matrix.output
-)spool U32Matrix.output
-)set message test on
-)set message auto off
-)clear all
-
---S 1 of 1
-)show U32Matrix
---R U32Matrix  is a domain constructor
---R Abbreviation for U32Matrix is U32MAT 
---R This constructor is exposed in this frame.
---R Issue )edit /tmp/ta.spad to see algebra source code for U32MAT 
---R
---R------------------------------- Operations --------------------------------
---R ?*? : (U32Vector,%) -> U32Vector      ?*? : (%,U32Vector) -> U32Vector
---R ?*? : (Integer,%) -> %                ?*? : (%,Integer) -> %
---R ?*? : (Integer,%) -> %                ?*? : (%,%) -> %
---R ?+? : (%,%) -> %                      -? : % -> %
---R ?-? : (%,%) -> %                      antisymmetric? : % -> Boolean
---R coerce : U32Vector -> %               column : (%,Integer) -> U32Vector
---R copy : % -> %                         diagonal? : % -> Boolean
---R diagonalMatrix : List(%) -> %         empty : () -> %
---R empty? : % -> Boolean                 eq? : (%,%) -> Boolean
---R fill! : (%,Integer) -> %              horizConcat : (%,%) -> %
---R matrix : List(List(Integer)) -> %     maxColIndex : % -> Integer
---R maxRowIndex : % -> Integer            minColIndex : % -> Integer
---R minRowIndex : % -> Integer            ncols : % -> NonNegativeInteger
---R nrows : % -> NonNegativeInteger       parts : % -> List(Integer)
---R qnew : (Integer,Integer) -> %         row : (%,Integer) -> U32Vector
---R sample : () -> %                      square? : % -> Boolean
---R squareTop : % -> %                    symmetric? : % -> Boolean
---R transpose : % -> %                    transpose : U32Vector -> %
---R vertConcat : (%,%) -> %              
---R #? : % -> NonNegativeInteger if $ has finiteAggregate
---R ?**? : (%,Integer) -> % if Integer has FIELD
---R ?**? : (%,NonNegativeInteger) -> %
---R ?/? : (%,Integer) -> % if Integer has FIELD
---R ?=? : (%,%) -> Boolean if Integer has SETCAT
---R any? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
---R coerce : % -> OutputForm if Integer has SETCAT
---R columnSpace : % -> List(U32Vector) if Integer has EUCDOM
---R count : (Integer,%) -> NonNegativeInteger if $ has finiteAggregate and Integer has SETCAT
---R count : ((Integer -> Boolean),%) -> NonNegativeInteger if $ has finiteAggregate
---R determinant : % -> Integer if Integer has commutative(*)
---R diagonalMatrix : List(Integer) -> %
---R elt : (%,List(Integer),List(Integer)) -> %
---R elt : (%,Integer,Integer,Integer) -> Integer
---R elt : (%,Integer,Integer) -> Integer
---R eval : (%,List(Integer),List(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,Integer,Integer) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,Equation(Integer)) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R eval : (%,List(Equation(Integer))) -> % if Integer has EVALAB(INT) and Integer has SETCAT
---R every? : ((Integer -> Boolean),%) -> Boolean if $ has finiteAggregate
---R exquo : (%,Integer) -> Union(%,"failed") if Integer has INTDOM
---R hash : % -> SingleInteger if Integer has SETCAT
---R inverse : % -> Union(%,"failed") if Integer has FIELD
---R latex : % -> String if Integer has SETCAT
---R less? : (%,NonNegativeInteger) -> Boolean
---R listOfLists : % -> List(List(Integer))
---R map : (((Integer,Integer) -> Integer),%,%,Integer) -> %
---R map : (((Integer,Integer) -> Integer),%,%) -> %
---R map : ((Integer -> Integer),%) -> %
---R map! : ((Integer -> Integer),%) -> %
---R matrix : (NonNegativeInteger,NonNegativeInteger,((Integer,Integer) -> Integer)) -> %
---R member? : (Integer,%) -> Boolean if $ has finiteAggregate and Integer has SETCAT
---R members : % -> List(Integer) if $ has finiteAggregate
---R minordet : % -> Integer if Integer has commutative(*)
---R more? : (%,NonNegativeInteger) -> Boolean
---R new : (NonNegativeInteger,NonNegativeInteger,Integer) -> %
---R nullSpace : % -> List(U32Vector) if Integer has INTDOM
---R nullity : % -> NonNegativeInteger if Integer has INTDOM
---R pfaffian : % -> Integer if Integer has COMRING
---R qelt : (%,Integer,Integer) -> Integer
---R qsetelt! : (%,Integer,Integer,Integer) -> Integer
---R rank : % -> NonNegativeInteger if Integer has INTDOM
---R rowEchelon : % -> % if Integer has EUCDOM
---R scalarMatrix : (NonNegativeInteger,Integer) -> %
---R setColumn! : (%,Integer,U32Vector) -> %
---R setRow! : (%,Integer,U32Vector) -> %
---R setelt : (%,List(Integer),List(Integer),%) -> %
---R setelt : (%,Integer,Integer,Integer) -> Integer
---R setsubMatrix! : (%,Integer,Integer,%) -> %
---R size? : (%,NonNegativeInteger) -> Boolean
---R subMatrix : (%,Integer,Integer,Integer,Integer) -> %
---R swapColumns! : (%,Integer,Integer) -> %
---R swapRows! : (%,Integer,Integer) -> %
---R zero : (NonNegativeInteger,NonNegativeInteger) -> %
---R ?~=? : (%,%) -> Boolean if Integer has SETCAT
---R
---E 1
-
-)spool
-)lisp (bye)
-\end{chunk}
-\begin{chunk}{U32Matrix.help}
-====================================================================
-U32Matrix examples
-====================================================================
-
-See Also:
-o )show U8Matrix
-o )show U16Matrix
-o )show U32Matrix
-
-\end{chunk}
-\pagehead{U32Matrix}{U32MAT}
-\pagepic{ps/v103u32matrix.eps}{U32MAT}{1.00}
-{\bf See}\\
-
-{\bf Exports:}\\
-\begin{tabular}{llll}
-\cross{U32MAT}{\#{}?} &
-\cross{U32MAT}{-?} &
-\cross{U32MAT}{?**?} &
-\cross{U32MAT}{?*?} \\
-\cross{U32MAT}{?+?} &
-\cross{U32MAT}{?-?} &
-\cross{U32MAT}{?/?} &
-\cross{U32MAT}{?=?} \\
-\cross{U32MAT}{?\~{}=?} &
-\cross{U32MAT}{antisymmetric?} &
-\cross{U32MAT}{any?} &
-\cross{U32MAT}{coerce} \\
-\cross{U32MAT}{column} &
-\cross{U32MAT}{columnSpace} &
-\cross{U32MAT}{copy} &
-\cross{U32MAT}{count} \\
-\cross{U32MAT}{determinant} &
-\cross{U32MAT}{diagonal?} &
-\cross{U32MAT}{diagonalMatrix} &
-\cross{U32MAT}{elt} \\
-\cross{U32MAT}{empty} &
-\cross{U32MAT}{empty?} &
-\cross{U32MAT}{eq?} &
-\cross{U32MAT}{eval} \\
-\cross{U32MAT}{every?} &
-\cross{U32MAT}{exquo} &
-\cross{U32MAT}{fill!} &
-\cross{U32MAT}{hash} \\
-\cross{U32MAT}{horizConcat} &
-\cross{U32MAT}{inverse} &
-\cross{U32MAT}{latex} &
-\cross{U32MAT}{less?} \\
-\cross{U32MAT}{listOfLists} &
-\cross{U32MAT}{map} &
-\cross{U32MAT}{map!} &
-\cross{U32MAT}{matrix} \\
-\cross{U32MAT}{maxColIndex} &
-\cross{U32MAT}{maxRowIndex} &
-\cross{U32MAT}{member?} &
-\cross{U32MAT}{members} \\
-\cross{U32MAT}{minColIndex} &
-\cross{U32MAT}{minRowIndex} &
-\cross{U32MAT}{minordet} &
-\cross{U32MAT}{more?} \\
-\cross{U32MAT}{ncols} &
-\cross{U32MAT}{new} &
-\cross{U32MAT}{nrows} &
-\cross{U32MAT}{nullSpace} \\
-\cross{U32MAT}{nullity} &
-\cross{U32MAT}{parts} &
-\cross{U32MAT}{pfaffian} &
-\cross{U32MAT}{qelt} \\
-\cross{U32MAT}{qnew} &
-\cross{U32MAT}{qsetelt!} &
-\cross{U32MAT}{rank} &
-\cross{U32MAT}{row} \\
-\cross{U32MAT}{rowEchelon} &
-\cross{U32MAT}{sample} &
-\cross{U32MAT}{scalarMatrix} &
-\cross{U32MAT}{setColumn!} \\
-\cross{U32MAT}{setRow!} &
-\cross{U32MAT}{setelt} &
-\cross{U32MAT}{setsubMatrix!} &
-\cross{U32MAT}{size?} \\
-\cross{U32MAT}{square?} &
-\cross{U32MAT}{squareTop} &
-\cross{U32MAT}{subMatrix} &
-\cross{U32MAT}{swapColumns!} \\
-\cross{U32MAT}{swapRows!} &
-\cross{U32MAT}{symmetric?} &
-\cross{U32MAT}{transpose} &
-\cross{U32MAT}{vertConcat} \\
-\cross{U32MAT}{zero} &
-\end{tabular} 
-
-\begin{chunk}{domain U32MAT U32Matrix}
-)abbrev domain U32MAT U32Matrix
-++ Description: This is a low-level domain which implements matrices
-++ (two dimensional arrays) of 32-bit integers.
-++ Indexing is 0 based, there is no bound checking (unless
-++ provided by lower level).
-U32Matrix : MatrixCategory(Integer,
-                         U32Vector,
-                         U32Vector) with
-    qnew : (Integer, Integer) -> %
-      ++ qnew(n, m) creates a new n by m matrix of zeros.
-      ++
-      ++X qnew(3,4)$U32Matrix()
-  == add
-
-    R ==> Integer
-
-    Qelt2    ==> AREF2U32$Lisp
-    Qsetelt2 ==> SETAREF2U32$Lisp
-    Qnrows   ==> ANROWSU32$Lisp
-    Qncols   ==> ANCOLSU32$Lisp
-    Qnew     ==> MAKEMATRIXU32$Lisp
-    Qnew1    ==> MAKEMATRIX1U32$Lisp
-
-    minRowIndex x == 0
-    minColIndex x == 0
-    nrows x == Qnrows(x)
-    ncols x == Qncols(x)
-    maxRowIndex x == Qnrows(x) - 1
-    maxColIndex x == Qncols(x) - 1
-
-    qelt(m, i, j) == Qelt2(m, i, j)
-    elt(m : %, i : Integer, j : Integer) : R == Qelt2(m, i, j)
-    qsetelt!(m, i, j, r) == Qsetelt2(m, i, j, r)
-    setelt(m : %, i : Integer, j : Integer, r : R) == Qsetelt2(m, i, j, r)
-
-    empty() == Qnew(0$Integer, 0$Integer)
-    qnew(rows, cols) == Qnew(rows, cols)
-    new(rows, cols, a) == Qnew1(rows, cols, a)
-
-\end{chunk}
-\begin{chunk}{U32MAT.dotabb}
-"U32MAT" [color="#88FF44",href="bookvol10.3.pdf#nameddest=U32MAT"]
-"MATCAT" [color="#4488FF",href="bookvol10.2.pdf#nameddest=MATCAT"]
-"U32MAT" -> "MATCAT"
-
-\end{chunk}
-%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \section{domain U32VEC U32Vector}
 
 \begin{chunk}{U32Vector.input}
@@ -143413,6 +144046,10 @@ t8:=fill!(t2,7)
 U32Vector examples
 ====================================================================
 
+This is a low-level domain which implements vectors (one dimensional 
+arrays) of unsigned 32-bit numbers.  Indexing is 0 based, there is no 
+bound checking (unless provided by lower level).
+
 t1:=empty()$U32Vector
   []
 
@@ -143531,7 +144168,8 @@ o )show U32Vector
 \begin{chunk}{domain U32VEC U32Vector}
 )abbrev domain U32VEC U32Vector
 ++ Author: Waldek Hebisch
-++ Description: This is a low-level domain which implements vectors
+++ Description:
+++ This is a low-level domain which implements vectors
 ++ (one dimensional arrays) of unsigned 32-bit numbers.  Indexing
 ++ is 0 based, there is no bound checking (unless provided by
 ++ lower level).
@@ -143637,6 +144275,8 @@ U32Vector() : OneDimensionalArrayAggregate Integer == add
 Variable examples
 ====================================================================
 
+This domain implements variables
+
 See Also:
 o )show Variable
 
@@ -143961,14 +144601,6 @@ o )show Vector
 \begin{chunk}{domain VECTOR Vector}
 )abbrev domain VECTOR Vector
 ++ Author: Mark Botch
-++ Date Created:
-++ Date Last Updated:
-++ Basic Functions:
-++ Related Constructors: IndexedVector, DirectProduct
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type represents vector like objects with varying lengths
 ++ and indexed by a finite segment of integers starting at 1.
@@ -144109,13 +144741,6 @@ o )show Void
 ++ Author: Stephen M. Watt
 ++ Date Created: 1986
 ++ Date Last Updated: May 30, 1991
-++ Basic Operations: 
-++ Related Domains: ErrorFunctions, ResolveLatticeCompletion, Exit
-++ Also See:
-++ AMS Classifications:
-++ Keywords: type, mode, coerce, no value
-++ Examples:
-++ References:
 ++ Description:
 ++ This type is used when no value is needed, e.g., in the \spad{then}
 ++ part of a one armed \spad{if}.
@@ -144193,6 +144818,11 @@ Void: with
 WeightedPolynomials examples
 ====================================================================
 
+This domain represents truncated weighted polynomials over a general
+(not necessarily commutative) polynomial type. The variables must be
+specified, as must the weights. The representation is sparse in the 
+sense that only non-zero terms are represented.
+
 See Also:
 o )show WeightedPolynomials
 
@@ -144233,12 +144863,6 @@ o )show WeightedPolynomials
 ++ Author: James Davenport
 ++ Date Created:  17 April 1992
 ++ Date Last Updated: 12 July 1992
-++ Basic Functions: Ring, changeWeightLevel
-++ Related Constructors: PolynomialRing
-++ Also See: OrdinaryWeightedPolynomials
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents truncated weighted polynomials over a general
 ++ (not necessarily commutative) polynomial type. The variables must be
@@ -144749,11 +145373,6 @@ o )show WuWenTsunTriangularSet
 ++ Author: Marc Moreno Maza (marc@nag.co.uk)
 ++ Date Created: 11/18/1995
 ++ Date Last Updated: 12/15/1998
-++ Basic Functions:
-++ Related Constructors:
-++ Also See: 
-++ AMS Classifications:
-++ Keywords:
 ++ References :
 ++ [1] W. T. WU "A Zero Structure Theorem for polynomial equations solving"
 ++      MM Research Preprints, 1987.
@@ -145080,6 +145699,10 @@ equivalent for the
 XDistributedPolynomial examples
 ====================================================================
 
+This type supports distributed multivariate polynomials whose variables 
+do not commute. The coefficient ring may be non-commutative too.
+However, coefficients and variables commute.
+
 See Also:
 o )show XDistributedPolynomial
 
@@ -145145,13 +145768,6 @@ o )show XDistributedPolynomial
 ++ Author: Michel Petitot petitot@lifl.fr
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type supports distributed multivariate polynomials
 ++ whose variables do not commute.
@@ -145753,6 +146369,12 @@ pq :: rpoly - pr*qr
 XPBWPolynomial examples
 ====================================================================
 
+This domain constructor implements polynomials in non-commutative
+variables written in the Poincare-Birkhoff-Witt basis from the
+Lyndon basis.
+
+These polynomials can be used to compute Baker-Campbell-Hausdorff relations. 
+
 Initialisations
 
   a:Symbol := 'a
@@ -146157,13 +146779,6 @@ o )show XPBWPolynomial
 ++ Author: Michel Petitot (petitot@lifl.fr).
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain constructor implements polynomials in non-commutative
 ++ variables written in the Poincare-Birkhoff-Witt basis from the
@@ -146699,14 +147314,6 @@ o )show XPolynomial
 ++ Author: Michel Petitot petitot@lifl.fr
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Fix History: compilation v 2.1 le 13 dec 98
-++   extend renomme en expand
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type supports multivariate polynomials whose set of variables 
 ++ is \spadtype{Symbol}. The representation is recursive.
@@ -147161,13 +147768,6 @@ o )show XPolynomialRing
 ++ Author: Michel Petitot petitot@lifl.fr
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Fix History: compilation v 2.1 le 13 dec 98
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This domain represents generalized polynomials with coefficients
 ++ (from a not necessarily commutative ring), and words
@@ -147395,6 +147995,10 @@ XPolynomialRing(R:Ring,E:OrderedMonoid): T == C where
 XRecursivePolynomial examples
 ====================================================================
 
+This type supports multivariate polynomials whose variables do not commute.
+The representation is recursive. The coefficient ring may be 
+non-commutative. Coefficients and variables commute.
+
 See Also:
 o )show XRecursivePolynomial
 
@@ -147459,14 +148063,6 @@ equivalents for the {\bf SparseMultivariatePolynomial} constructor.
 ++ Author: Michel Petitot petitot@lifl.fr
 ++ Date Created: 91
 ++ Date Last Updated: 7 Juillet 92
-++ Fix History: compilation v 2.1 le 13 dec 98
-++   extend renomme en expand
-++ Basic Functions:
-++ Related Constructors:
-++ Also See:
-++ AMS Classifications:
-++ Keywords:
-++ References:
 ++ Description:
 ++ This type supports multivariate polynomials whose variables do not commute.
 ++ The representation is recursive. The coefficient ring may be 
diff --git a/changelog b/changelog
index ed82f4b..fd83e1b 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20130301 tpd src/axiom-website/patches.html 20130301.01.tpd.patch
+20130301 tpd books/bookvol10.3 write help documentation for all domains
 20130229 tpd src/axiom-website/patches.html 20130229.01.tpd.patch
 20130229 tpd books/bookvolbib add references
 20130228 tpd src/axiom-website/patches.html 20130228.02.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 6fe53d8..d941051 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4001,5 +4001,7 @@ books/bookvolbib add references
 books/bookvol10.2 write help documentation for all categories
 <a href="patches/20130229.01.tpd.patch">20130229.01.tpd.patch</a>
 books/bookvolbib add references
+<a href="patches/20130301.01.tpd.patch">20130301.01.tpd.patch</a>
+books/bookvol10.3 write help documentation for all domains
  </body>
 </html>
